commit 415ab252f455618b85eef28ef6f6dacc1ae2bf87
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 19 21:34:46 2015 -0500

    3.15.8

 NEWS         | 31 +++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 32 insertions(+), 1 deletion(-)

commit fa48b42ef1b1e43b1728d0fea51f68e760dd37b0
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Feb 20 13:33:09 2015 +0100

    menubutton: Fix possible button/popover state inconsistences

    While a popover is hiding, the modal grab is already gone and
    the toggle
    button is clickable again, but clicking again at that time will
    result in
    gtk_widget_show() trying to show an already shown widget (although
    fading
    out and hidden soon) and the toggle button activated.

    So let the menubutton set the active status only if the menu/popover
    widget wasn't already shown, and ensure this doesn't get triggered by
    double/triple button press events.

 gtk/gtkmenubutton.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 85ad434290bc92ecdd92eb86b997bf103b658f1d
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Feb 20 12:46:52 2015 +0100

    inspector: Destroy popovers on unmap

    As an implementation detail, the popover hooks the fade out animation
    on ::hide. Destroying the popover right away here is not a problem,
    but
    prevents the animation from actually running. ::unmap will be
    run after
    the animation is finished, so destroy the popover there.

 gtk/inspector/prop-list.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cff1694c99227dbf0b52525d7436fc4771859e00
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 9 16:10:29 2015 +0100

    popover: Add show/hide transitions

    These have the same visual effect and timing than the gnome-shell
    ones.
    During the hide animation, the popover has been made to take focus
    elsewhere, and refuse to take any pointer/keyboard input until
    the popover
    is shown again.

    This has been based on work from Timm Bäder.

    https://bugzilla.gnome.org/show_bug.cgi?id=741405

 docs/reference/gtk/gtk3-sections.txt |   2 +
 gtk/gtkpopover.c                     | 307
 +++++++++++++++++++++++++++++++++--
 gtk/gtkpopover.h                     |   6 +
 3 files changed, 298 insertions(+), 17 deletions(-)

commit 3a671994d4f4de61a48df6198353a188b7862baa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 20 08:24:47 2015 -0500

    scrolled window: Avoid a crash

    gtk_scrolled_window_allocate_scrollbar was calling
    gtk_scrolled_window_allocate_child just to get the relative
    allocation, overlooking the fact that that function is only
    safe to call if the scrolled window _has_ a child. Unfortunately,
    gtk_scrolled_window_allocate_scrollbar will sometimes get called
    when that is not the case. Since we are really only interested
    in the relative allocation, just get that directly. This
    fixes a segfault in the style-properties-nth-child reftest.

 gtk/gtkscrolledwindow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4fc98ae34566a8416a345ebdd2a51828f8192632
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 20 08:23:53 2015 -0500

    scrolled window: Drop dead code

    The allocation is never used in this function, so don't bother
    getting it.

 gtk/gtkscrolledwindow.c | 3 ---
 1 file changed, 3 deletions(-)

commit 00f9f1cc6bda6b6dd1d8091d8b8278be8af61a88
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Feb 20 12:22:26 2015 +0100

    printing: Use correct units for margins taken via IPP

    cups_printer_get_hard_margins() returned margins in millimeters
    for margins taken via IPP request instead of Units used before.

 modules/printbackends/cups/gtkprintbackendcups.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cc780116a2e576922a3fd7694ab57409b4e3e4d4
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Feb 19 16:44:18 2015 +0100

    dnd: Set the parent DnD wayland surface on gtk_drag_set_icon_window()

    This is a better place to call this, both lets us remove all other
    calls,
    and additionally handles the gtk_drag_set_icon_widget() entry point.

 gtk/gtkdnd.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 4a7da1e14387076e5cec6acd138de068afa5a352
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Thu Feb 19 14:44:34 2015 +0100

    Do not return on void functions

 gtk/gtkbitmaskprivateimpl.h   | 4 ++--
 gtk/gtkcssshorthandproperty.c | 2 +-
 gtk/gtkpaned.c                | 4 ++--
 gtk/gtkstyleproperty.c        | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit b8005f4de920ad367ac5da03e54db7101172441f
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Thu Feb 19 14:44:56 2015 +0100

    pathbar: use the same parameter as in the declaration

 gtk/gtkpathbar.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8b4863f0c410ddd4d9fe574e60ad1a4d7555891c
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 18 11:33:36 2015 +0000

    docs: Add extra symbol links to input handling documentation

    Cross-reference to the API documentation more consistently.

    https://bugzilla.gnome.org/show_bug.cgi?id=744054

 docs/reference/gtk/input-handling.xml | 50
 +++++++++++++++++------------------
 1 file changed, 25 insertions(+), 25 deletions(-)

commit 09bb109f01e4455f8c286da91fb5314ffac037f5
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 18 11:13:28 2015 +0000

    docs: Expand input handling documentation to cover event masks

    Also try and clarify a few things about event propagation. Move
    input-handling.xml into gtk-doc’s expand_content_files variable
    so it
    automatically links to widget documentation. Add links from
    gtk_widget_add_events() and friends to the new documentation.

    https://bugzilla.gnome.org/show_bug.cgi?id=744054

 docs/reference/gtk/Makefile.am        |   1 +
 docs/reference/gtk/gtk-docs.sgml      |   2 +-
 docs/reference/gtk/input-handling.xml | 133
 ++++++++++++++++++++++++++++------
 gdk/gdktypes.h                        |   3 +
 gdk/gdkwindow.c                       |   4 +
 gtk/gtkwidget.c                       |   8 +-
 6 files changed, 123 insertions(+), 28 deletions(-)

commit 668d5d8665d91110461da00caf80dcaf1cfc0bd4
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Feb 17 14:37:28 2015 +0000

    docs: Mention events in the input handling documentation title

    Make it a little easier to find these docs when searching for
    ‘event’.

    https://bugzilla.gnome.org/show_bug.cgi?id=744054

 docs/reference/gtk/input-handling.xml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b397dd04c495a9df5b145471ab613476f160428b
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Tue Feb 17 16:57:57 2015 +0000

    gtk: Remove documentation references to the GTK_NO_WINDOW flag

    It has been removed entirely, and replaced by
    gtk_widget_get_has_window().

    https://bugzilla.gnome.org/show_bug.cgi?id=744054

 gtk/gtklabel.c     |  3 ++-
 gtk/gtktestutils.c |  6 ++++--
 gtk/gtkwidget.c    | 29 ++++++++++++++---------------
 3 files changed, 20 insertions(+), 18 deletions(-)

commit 5091ae5e04ba8489d53ffc92eb610f274d950b18
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Thu Feb 19 09:56:49 2015 +0100

    Updated Galician translations

 po/gl.po | 1191
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 655 insertions(+), 536 deletions(-)

commit c85e32d56e3737aaf414f6286c7812cad760ba59
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 18 17:26:20 2015 -0500

    color scale: simplify code a bit

    It is not necessary to call gtk_widget_get_accessible repeatedly.

 gtk/gtkcolorscale.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 50c848a992282f411511d0fef4642026dec6bef6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 18 17:25:05 2015 -0500

    Explicitly set the a11y role of tooltip windows

    This seems better than trying to identify the 'tooltipness'
    of the window on the other side.

    https://bugzilla.gnome.org/show_bug.cgi?id=744683

 gtk/gtktooltip.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 7624418ddffdadf894c7db943708d6100800cde3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 18 17:24:29 2015 -0500

    Drop nonworking code to set a11y roles of tooltips

    This code relied on widget names, and we don't set those anymore.

 gtk/a11y/gtkwindowaccessible.c | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit e1100813e6c49d8b1ecf22c8b9228764003fb4e3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 17 19:25:22 2015 -0500

    widget factory: Don't make file chooser local-only

    There's no reason to.

 demos/widget-factory/widget-factory.ui | 1 +
 1 file changed, 1 insertion(+)

commit 11960fa9169d7b61b36a5d67bf3d9df5a533ed8e
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Wed Feb 18 22:20:45 2015 +0000

    Updated Hungarian translation

 po-properties/hu.po | 67
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 34 insertions(+), 33 deletions(-)

commit 359fc25aad14af2b69b60dbbc19d10cb28c85b9c
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Thu Feb 19 00:16:15 2015 +0800

    build: Don't use shopt in the build command

    shopt command only works in bash, so we should not use it in
    gtk/Makefile.am.

    https://bugzilla.gnome.org/show_bug.cgi?id=743647

 gtk/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3d88899072362a01bbc3207da2138e405a6f0dba
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 18 10:57:05 2015 +0000

    gtk: Fix various tiny typos in documentation comments

    e.g. Invalid syntax in introspection annotations, typos in object
    names,
    accidentally using a gtk-doc comment for an internal function.

 gtk/gtkcssstyleproperty.c | 2 +-
 gtk/gtklistbox.c          | 2 +-
 gtk/gtklistbox.h          | 1 +
 gtk/gtkmodelbutton.c      | 2 +-
 gtk/gtksettings.c         | 2 +-
 gtk/gtkwin32.c            | 2 +-
 6 files changed, 6 insertions(+), 5 deletions(-)

commit e160befdf899180267fa9df04477ca8c563cb9c0
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 18 10:55:58 2015 +0000

    docs: Remove non-existent symbols from gtk3-sections.txt

    Eliminate a couple of gtk-doc warnings.

 docs/reference/gtk/gtk3-sections.txt | 3 ---
 1 file changed, 3 deletions(-)

commit 8c32f403fb65ef4363303c5e2b019e4ade02c0c5
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Wed Feb 18 10:55:34 2015 +0000

    docs: Ignore generated files when building documentation

 docs/reference/gdk/Makefile.am | 1 +
 docs/reference/gtk/Makefile.am | 2 ++
 2 files changed, 3 insertions(+)

commit a0a1ea10a8d412b60285beea22acd127e50c0fdd
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Wed Feb 18 11:38:29 2015 +0100

    AppChooserDialog: Fix memleak

 gtk/gtkappchooserdialog.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 7233281d05e06a73ca84916a80c1335f8a0636ac
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Feb 18 10:55:57 2015 +0100

    Updated Spanish translation

 po/es.po | 23 +++++++++--------------
 1 file changed, 9 insertions(+), 14 deletions(-)

commit eb995ce4538076a5fd823a9e26840e478996ac05
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Feb 18 08:14:48 2015 +0000

    Updated Italian translation

 po/it.po | 158
 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 69 insertions(+), 89 deletions(-)

commit e43ec48e837b6b458a1b89658ecc19bff9f90265
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Feb 17 19:45:50 2015 +0100

    wayland: Use display from GdkDragContext device

    It will be useless to check the source window on the destination side,
    it's at the moment always NULL. Fetch the display from the device
    instead,
    which will be set for every GdkDragContext.

 gdk/wayland/gdkdnd-wayland.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 4162fccaa29d2c22ca3050520fa217c4edf3dc72
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 17 18:36:57 2015 +0100

    Updated Spanish translation

 po-properties/es.po | 240
 ++++++++++++++++++++++++++--------------------------
 1 file changed, 119 insertions(+), 121 deletions(-)

commit bf22ac8337e9151ef66c1adf0322221c08406b11
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 17 18:36:41 2015 +0100

    Updated Spanish translation

 po/es.po | 200
 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 111 insertions(+), 89 deletions(-)

commit 5a907cc094d518e5a69848ea573832bc0a7f11f1
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Feb 17 16:21:42 2015 +0100

    scrolledwindow: Ensure indicator windows are created at the right
    place

    At the time of creating the indicator window, the scrollbar
    allocation is
    poked and reused as the initial window dimensions. This usually
    happens
    on two circumstances, either initially (so a ::size-allocate is
    emitted,
    relocating the windows in the right places), or post-initialization
    when
    calling set_overlay_scrolling() (so the scrollbars already have
    a valid
    size allocation)

    However, if the scrolledwindow is unrealized, and later re-realized
    again,
    the scrollbars will already have a valid allocation, although
    0,0 based
    due to being contained in the previous indicator window. This
    comes out
    wrong then, and the indicator window is given 0,0 based coordinates
    too.

    Fix this by refactoring the scrollbar allocation code out of
    size_allocate,
    and also use that given size at the time of creating the indicator
    windows,
    this will provide the right widget-relative allocation anytime.

 gtk/gtkscrolledwindow.c | 220
 +++++++++++++++++++++++++++---------------------
 1 file changed, 125 insertions(+), 95 deletions(-)

commit c473afbdc9dac6c425d41a5827f5539140c38252
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Feb 17 16:15:26 2015 +0100

    scrolledwindow: Fully reset indicators' state on unrealize

    This avoids timers to run after realize(), and inconsistent initial
    states
    if the scrolledwindow is just realized again.

 gtk/gtkscrolledwindow.c | 41 +++++++++++++++++++++++++++++++++++++----
 1 file changed, 37 insertions(+), 4 deletions(-)

commit b3043e429b6b3851c321643066d85ae91ad3471b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 17 09:30:56 2015 -0500

    Avoid a crash in the inspector under wayland

    The Wayland-specific popover code in GtkWindow was not doing the
    right thing with the separate display connection we use for the
    inspector.

 gtk/gtkwindow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4510c93b7f1e73fd52666ae2a508448ac98e6f4
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Tue Feb 17 14:17:53 2015 +0100

    Do not use "return" when chaining up to a void function

 gdk/gdkwindow.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 0cf63ec8928e996de673514ac39fd48ac14da025
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Tue Feb 17 13:43:52 2015 +0000

    Updated Italian translation

 po/it.po | 3461
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 2198 insertions(+), 1263 deletions(-)

commit 0a4879b9ac5b3ab7766f91dcbb8f518a265b3a6b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Feb 17 10:21:41 2015 +0000

    glarea: Better error handling

    Currently, GtkGLArea will leak GError instances set during the context
    creation, if an error is set.

    If any error is set post-context creation, it should be displayed even
    in the case a GL context exists; for instance, we can use the error
    display facility for shader compilation errors.

 gtk/gtkglarea.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit da559c08f93d6832f4b9d3199cf5a22ac7f035f9
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Feb 16 16:58:17 2015 +0100

    switch: Have a priv varibale in the constructor

 gtk/gtkswitch.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit e1081bc4719c9e8cfef0d931d29838316412fa41
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Feb 16 06:25:44 2015 +0100

    switch: Change handle_x to handle_pos

    Make that variable go from 0.0 to 1.0 where 0.0 means inactive (slider
    is on the left) and 1.0 means active (slider is on the right).

    The math is simpler that way and most importantly the value is
    independent of size.

 gtk/gtkswitch.c | 57
 ++++++++++++++++-----------------------------------------
 1 file changed, 16 insertions(+), 41 deletions(-)

commit 86a41b108e34c69ca03f65838fd67bf9c124aadf
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Feb 16 05:22:00 2015 +0100

    switch: Get rid of offset member variable

    We can compute it on-demand whereever we need it.

 gtk/gtkswitch.c | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 1b171e812ea603c0a32940ce02891e7cd1d39adc
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Feb 16 03:24:38 2015 +0100

    switch: Remove unused variables from private struct

 gtk/gtkswitch.c | 2 --
 1 file changed, 2 deletions(-)

commit 295b8aab0c1be8bf4437637f9b69ed1c368df489
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Feb 15 05:37:19 2015 +0100

    css: Implement animations for font-weight property

 gtk/gtkcssenumvalue.c         | 18 +++++++++++++++++-
 gtk/gtkcssstylepropertyimpl.c |  2 +-
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 0c4a42e6295bd2546263502fb9867c3f075a2bf4
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Feb 15 05:02:33 2015 +0100

    css: Implement "bolder" and "lighter" font weights

 gtk/gtkcssenumvalue.c | 60
 +++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 58 insertions(+), 2 deletions(-)

commit a414faa99736fba99c8488f2e497d492a717c667
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Feb 16 22:22:57 2015 +0200

    Updated Hebrew Property translation

 po-properties/he.po | 445
 ++++++++++++++++++++++++++--------------------------
 1 file changed, 222 insertions(+), 223 deletions(-)

commit 36fcd7327c3194e769d38976cf82ceff8e5245ba
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Feb 16 22:21:51 2015 +0200

    Updated Hebrew translation

 po/he.po | 215
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 113 insertions(+), 102 deletions(-)

commit 1500626d4467656a92f1be9af21ad8646b7266ad
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Feb 16 14:15:28 2015 -0600

    update Punjabi Translation

 po-properties/pa.po | 3023
 ++++++++++++++++++++++++++++-----------------------
 po/pa.po            | 2419 +++++++++++++++++++++++++----------------
 2 files changed, 3146 insertions(+), 2296 deletions(-)

commit 978c36484787efc6088f5a5f52b13f6a237e06b6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Feb 16 20:54:10 2015 +0100

    Updated Slovenian translation

 po/sl.po | 2171
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1244 insertions(+), 927 deletions(-)

commit 26cc941a9e558a6cf7305ba19b15add84a965963
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Feb 16 20:41:39 2015 +0100

    Updated Slovenian translation

 po/sl.po | 2521
 ++++++++++++++++++++++----------------------------------------
 1 file changed, 875 insertions(+), 1646 deletions(-)

commit 0550ba4208c225d8934e1a3196cfafd68e5d7013
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 16 18:33:56 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 186
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 95 insertions(+), 91 deletions(-)

commit 0d57d211927c4785a9a9d8cec690de7401cf9090
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 15 22:00:49 2015 -0500

    Fix a misleading condition

    gcc5 rightfully complains about this condition being unclear.

 gtk/gtkbuilderparser.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f8961facb297da9b86960d539a8713256976c98e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 15 19:55:54 2015 -0500

    Improve two strings

    Make two property blurbs better.

    https://bugzilla.gnome.org/show_bug.cgi?id=744574

 gtk/gtkglarea.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a5d6fe41242e8289b6f779c6c53100c672ae08ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 15 19:49:37 2015 -0500

    Updates

 NEWS | 36 ++++++++++++++++++++++++++++++++++--
 1 file changed, 34 insertions(+), 2 deletions(-)

commit 0080224fdb0984997e04dcc465ecda58933738ac
Author: Bastian Ilsø <bastianilso@src.gnome.org>
Date:   Sat Feb 14 21:24:20 2015 +0100

    Updated grid-packing to GtkApplication.

 docs/reference/gtk/getting_started.xml |  5 ++---
 examples/grid-packing.c                | 38
 ++++++++++++++++++----------------
 2 files changed, 22 insertions(+), 21 deletions(-)

commit b187773053098cca1b7c23e04e096d47fbb65a5f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 15 13:03:29 2015 -0500

    Add style classes to the title buttons

    This will let themes treat close/min/max buttons differently,
    if they so desire.

    https://bugzilla.gnome.org/show_bug.cgi?id=744400

 gtk/gtkheaderbar.c | 3 +++
 1 file changed, 3 insertions(+)

commit 2b31a35792b05ade94aa2847b52e7360a5fb2d03
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Feb 15 12:36:26 2015 +0000

    Updated Hungarian translation

 po-properties/hu.po | 322
 ++++++++++++++++++++++++++--------------------------
 1 file changed, 159 insertions(+), 163 deletions(-)

commit 305ecc4e828f8a7a3460903bfad0f50e50ead457
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Feb 15 12:34:39 2015 +0000

    Updated Hungarian translation

 po/hu.po | 198
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 108 insertions(+), 90 deletions(-)

commit 5a6264ef5ddcbeb626f96424ad629e222543125e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Feb 15 11:23:30 2015 +0000

    docs: Fix "shadres" → "shaders" typo

    https://bugzilla.gnome.org/show_bug.cgi?id=744394

 gtk/gtkglarea.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb53f893e25cbff9832e2ab6632ed5e306610e2b
Author: Christian Hergert <christian@hergert.me>
Date:   Sat Feb 14 18:11:54 2015 -0800

    stack: check for widget before calling is_ancestor()

    We can hit this path during the destruction case, where widget has
    been released.

    This fixes a lot of superfluous error messages on console.

 gtk/gtkstack.c | 1 +
 1 file changed, 1 insertion(+)

commit 5889905d1d8d6889dfa388e7d320ca10e154efc0
Author: Jonas Ådahl <jadahl@gmail.com>
Date:   Fri Feb 13 14:17:49 2015 +0800

    wayland: Update to xdg-shell unstable v5

    Only trivial changes needed.

    https://bugzilla.gnome.org/show_bug.cgi?id=744455

 gdk/wayland/gdkwindow-wayland.c    |  16 +--
 gdk/wayland/protocol/xdg-shell.xml | 278
 +++++++++++++++++++++++--------------
 2 files changed, 183 insertions(+), 111 deletions(-)

commit 00327eb509f323bdbd6233f61b642008d59c85d1
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Feb 14 20:58:40 2015 +0100

    Updated Slovenian translation

 po/sl.po | 3254
 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 2187 insertions(+), 1067 deletions(-)

commit a9930ba302f79bb468261bf60b4e1c0c64b4018e
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sat Feb 14 17:08:13 2015 +0000

    Updated Turkish translation

 po-properties/tr.po | 4852
 +++++++++++++++++++++++----------------------------
 1 file changed, 2181 insertions(+), 2671 deletions(-)

commit b3abfaf9eec5c00d20a15e30f32b4b197efc6161
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 14 00:57:29 2015 -0500

    GtkSearchEngine: Add debug spew

    This lets us find out which search engine implementation is
    in use.

 gtk/gtksearchengine.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit ff87c6516bdfcf40a11ef56d8206d3b484563159
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 14 00:48:26 2015 -0500

    file chooser: Allow to limit search

    Add a button to allow restricting search to the current
    folder (and subdirectories). This makes the search more
    useful, and makes the file chooser more similar to
    nautilus.

 gtk/gtkfilechooserwidget.c       | 23 +++++++++++++++++++++--
 gtk/ui/gtkfilechooserwidget.ui   | 24 ++++++++++++++++++++++++
 gtk/ui/gtkfilechooserwidget.ui.h |  2 ++
 3 files changed, 47 insertions(+), 2 deletions(-)

commit 2c5ea0dd4578e33571fe4c0c14c36c1604631f69
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 13 23:50:06 2015 -0500

    file chooser: Add a location column for search

    In search, we show files from differnt locations, and it makes
    sense to show where they come from. This makes the file chooser
    more similar to nautilus, too.

 gtk/gtkfilechooserwidget.c       | 53
 +++++++++++++++++++++++++++++++++++++++-
 gtk/ui/gtkfilechooserwidget.ui   | 10 ++++++++
 gtk/ui/gtkfilechooserwidget.ui.h |  1 +
 3 files changed, 63 insertions(+), 1 deletion(-)

commit 61012f3efea3f06bb6dd38bed1988dab6aaad387
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 13 20:43:06 2015 -0500

    file chooser: Don't open folders unexpectedly

    Folders that show up among search results were unexpectedly
    returned even for GTK_FILE_CHOOSER_ACTION_OPEN. Change things
    around so that we switch to the folder instead, which is the
    behavior we had in GTK+ 2.x.

    https://bugzilla.gnome.org/show_bug.cgi?id=744204

 gtk/gtkfilechooserwidget.c | 24 +-----------------------
 1 file changed, 1 insertion(+), 23 deletions(-)

commit a34a0224e4fc6eff35fd41b7f318517b20b95713
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 13 18:21:42 2015 -0800

    gtkwindow: Don't set the background if the window is app-paintable

    This fixes transparent DND windows.

 gtk/gtkwindow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ae521bb325493d32fa2e3be341886163b0d7df9
Author: Pier Luigi Fiorini <pierluigi.fiorini@gmail.com>
Date:   Wed Feb 11 06:46:00 2015 +0000

    wayland: Do not require latest wl_seat

    Some compositors might not offer wl_seat 4 resulting in GTK+
    clients not
    working on that compositor.

    wl_seat 4 introduces keyboard repeat information, but when that
    information
    is missing it is retrieved from settings, hence there's no reason to
    require wl_seat 4.

    This patch was tested against QtCompositor (5.5, dev branch)
    and Weston 1.6.1.

    Reviewed-by: Daniel Stone <daniels@collabora.com>

    https://bugzilla.gnome.org/show_bug.cgi?id=744172

 gdk/wayland/gdkdisplay-wayland.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3110e4103207e31d932f9bcdd5ca295e17f41de
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:   Thu Feb 12 18:09:13 2015 +0100

    Rename GtkSidebar to GtkStackSidebar

    GtkSidebar is too generic and doesn't fully convey what the widget
    does.

    https://bugzilla.gnome.org/show_bug.cgi?id=744094

 NEWS                                   |   2 +
 demos/gtk-demo/sidebar.c               |  18 +-
 demos/widget-factory/widget-factory.ui |   2 +-
 docs/reference/gtk/gtk-docs.sgml       |   2 +-
 docs/reference/gtk/gtk3-sections.txt   |  22 +-
 docs/reference/gtk/gtk3.types.in       |   2 +-
 docs/reference/gtk/visual_index.xml    |   2 +-
 docs/tools/widgets.c                   |   4 +-
 gtk/Makefile.am                        |   4 +-
 gtk/gtk-autocleanups.h                 |   2 +-
 gtk/gtk.h                              |   2 +-
 gtk/gtksidebar.c                       | 532
 --------------------------------
 gtk/gtksidebar.h                       |  73 -----
 gtk/gtkstacksidebar.c                  | 533
 +++++++++++++++++++++++++++++++++
 gtk/gtkstacksidebar.h                  |  73 +++++
 gtk/inspector/window.ui                |   2 +-
 gtk/makefile.msc.in                    |   4 +-
 po-properties/POTFILES.in              |   2 +-
 po/POTFILES.in                         |   2 +-
 tests/teststack.c                      |   4 +-
 20 files changed, 645 insertions(+), 642 deletions(-)

commit ac497c6e8f45bfece4054ba7f72ffd7becb45311
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 13 08:50:04 2015 -0500

    csd: Always raise on primary titlebar click

    This matches more closely what typical window managers do.
    Pointed out in
    https://bugzilla.redhat.com/show_bug.cgi?id=1158472

 gtk/gtkwindow.c | 3 +++
 1 file changed, 3 insertions(+)

commit eeb7bff0bb5178e91dd17d45d1f79fceccb45fea
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 13 08:49:23 2015 -0500

    Forgotten file

 gtk/gtknotebook.h | 3 +++
 1 file changed, 3 insertions(+)

commit 99a6495d6cc9abc94883a05a5f5adfedc7977a27
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 12 18:23:44 2015 -0500

    Bump version

    So apps can require 3.15.7 for new api.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 933ee3af56a19c5ea3bd04c1fac349860479b05d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 13 18:36:34 2015 +0800

    gdkglcontext-win32.c: Fix Build on C89 Compilers

    Make sure variables are declared at the top of the block.

 gdk/win32/gdkglcontext-win32.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 8d7a235a045b667b2efad80a93717572b581307b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 12 17:33:10 2015 -0500

    notebook: Add api to complete tab dnd from the outside

    This is necessary to avoid unwanted drag cancel animations,
    now that GtkNotebook is careful about cancelling a drag
    when the dragged tab disappears unexpectedly.

 docs/reference/gtk/gtk3-sections.txt |  1 +
 gtk/gtknotebook.c                    | 39
 ++++++++++++++++++++++++++++++------
 2 files changed, 34 insertions(+), 6 deletions(-)

commit 1bf02fd773f652e74fef7bb0c9bafa33c55df75d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 12 18:53:03 2015 +0100

    Updated POTFILES.in

 po-properties/POTFILES.in | 1 +
 po/POTFILES.in            | 1 +
 2 files changed, 2 insertions(+)

commit d066e7541e63ea621ef983c31c1652d295150b12
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 12 17:30:42 2015 +0000

    Remove GdkGLProfile

    The existence of OpenGL implementations that do not provide the full
    core profile compatibility because of reasons beyond the technical,
    like
    llvmpipe not implementing floating point buffers, makes the
    existence of
    GdkGLProfile and documenting the fact that we use core profiles a bit
    harder.

    Since we do not have any existing profile except the default, we can
    remove the GdkGLProfile and its related API from GDK and GTK+,
    and sweep
    the whole thing under the carpet, while we wait for an extension that
    lets us ask for the most compatible profile possible.

    https://bugzilla.gnome.org/show_bug.cgi?id=744407

 docs/reference/gdk/gdk3-sections.txt |   3 -
 gdk/gdkglcontext.c                   |  75 ----------------------
 gdk/gdkglcontext.h                   |   5 --
 gdk/gdktypes.h                       |  16 -----
 gdk/mir/gdkmirglcontext.c            |  13 ----
 gdk/wayland/gdkglcontext-wayland.c   |  15 +----
 gdk/win32/gdkglcontext-win32.c       | 116
 ++++++++++++++---------------------
 gdk/x11/gdkglcontext-x11.c           |  65 +++++++-------------
 gdk/x11/gdkglcontext-x11.h           |   1 -
 gtk/gtkglarea.c                      |  80 +-----------------------
 gtk/gtkglarea.h                      |   5 --
 11 files changed, 68 insertions(+), 326 deletions(-)

commit ccc0eafbc335d6f422f12d118e69579226e440a3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Feb 12 18:40:56 2015 +0100

    Updated Spanish translation

 po/es.po | 158
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 79 insertions(+), 79 deletions(-)

commit 390a42fa605e99362ac307bf568113dcdad41cdc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 12 14:28:22 2015 +0000

    gl: Add gdk_gl_context_get_version()

    Store the OpenGL version when we first do the extensions check; this
    allows client code to check the available GL version without
    requiring a
    call to gdk_gl_context_make_current() and epoxy_gl_version().

 docs/reference/gdk/gdk3-sections.txt |  5 +++++
 gdk/gdkglcontext.c                   | 35
 ++++++++++++++++++++++++++++++++++-
 gdk/gdkglcontext.h                   |  4 ++++
 3 files changed, 43 insertions(+), 1 deletion(-)

commit f52a59d4148dedc40d8e942f120c7999a39ffec7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 12 13:32:02 2015 +0000

    docs: Specify the minimum version of GL provided by the core profile

    When using GDK_GL_PROFILE_3_2_CORE, we are not only specifying
    that the
    GDK should create a core profile; we are also specifying that the
    minimum required version of OpenGL is set to 3.2.

    We should also specify that the GDK_GL_PROFILE_DEFAULT profile is an
    alias for GDK_GL_PROFILE_3_2_CORE.

 gdk/gdktypes.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c372f95a4175ba2f55d4e84be29d76dce344905b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 12 13:20:24 2015 +0000

    glarea: Add accessors for the required GL version

    Specifying the version of OpenGL is enough of a common operation
    that it
    should not require overriding the creation of the GdkGLContext.

 gtk/gtkglarea.c | 74
 +++++++++++++++++++++++++++++++++++++++++++++++++--------
 gtk/gtkglarea.h |  8 +++++++
 2 files changed, 72 insertions(+), 10 deletions(-)

commit ec112a772b35ce3dca23d194f704615eef7d29cc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 12 13:19:21 2015 +0000

    glarea: Update documentation

    Drop the fixed pipeline example code.

    https://bugzilla.gnome.org/show_bug.cgi?id=744394

 gtk/gtkglarea.c | 33 +++++++--------------------------
 1 file changed, 7 insertions(+), 26 deletions(-)

commit 59679daeae9ee6dfdb8a39fc65bdd042fb178128
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 12 12:42:08 2015 +0000

    glarea: Clean up the header

 gtk/gtkglarea.h | 57
 +++++++++++++++++++++++++--------------------------------
 1 file changed, 25 insertions(+), 32 deletions(-)

commit c115c479dc33b44ab6eb071630d21e1d2a473c2e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 12 12:40:03 2015 +0000

    docs: Add missing GdkGLContext symbols

 docs/reference/gdk/gdk3-sections.txt | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 022724aa69bbf1c65768b87d0f3e319257284b40
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 12 12:34:28 2015 +0000

    gl: Drop profile for gdk_window_create_gl_context()

    Now that we have a two-stages GL context creation sequence, we
    can move
    the profile to a pre-realize option, like the debug and forward
    compatibility bits, or the GL version to use.

 gdk/gdkglcontext.c                 | 34
 +++++++++++++++++++++++++++++++---
 gdk/gdkglcontext.h                 |  8 +++++---
 gdk/gdkwindow.c                    |  6 +-----
 gdk/gdkwindow.h                    |  1 -
 gdk/gdkwindowimpl.h                |  1 -
 gdk/mir/gdkmirglcontext.c          |  4 ++++
 gdk/mir/gdkmirwindowimpl.c         |  8 +-------
 gdk/wayland/gdkglcontext-wayland.c | 12 +++++-------
 gdk/wayland/gdkglcontext-wayland.h |  1 -
 gdk/win32/gdkglcontext-win32.c     |  7 +------
 gdk/win32/gdkglcontext-win32.h     |  1 -
 gdk/x11/gdkglcontext-x11.c         | 17 +++++++----------
 gdk/x11/gdkglcontext-x11.h         |  1 -
 gtk/gtkglarea.c                    |  4 +++-
 14 files changed, 58 insertions(+), 47 deletions(-)

commit 015bf99816969cff366e201169e6c54fd8b3cf3d
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:   Sat Feb 7 20:05:18 2015 +0000

    gtk: x: fix compilation without x11 backend

    https://bugzilla.gnome.org/show_bug.cgi?id=744148

 gtk/gtkx-autocleanups.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 973060deb5af4f458d95e95015a831dfadbf2dcf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 22 15:13:10 2015 +0100

    main: Make gtk_get_option_group() available to bindings

    Now that GOptionGroup is registered as a boxed type [1], don't skip it
    in gobject-introspection.

    [1]: See https://bugzilla.gnome.org/show_bug.cgi?id=743349

    https://bugzilla.gnome.org/show_bug.cgi?id=743350

 gtk/gtkmain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d825249b42a490175dd051af2d73e579b58a3a64
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:   Mon Feb 9 11:49:31 2015 +0100

    gtklistbox: add bind_model()

    gtk_list_box_bind_model() binds a GListModel to a GtkListBox.

    This is a first step towards having GListModel support in Gtk. It's
    not
    useful for large models, because GtkListBox always creates all widgets
    for all rows.

 docs/reference/gtk/gtk3-sections.txt |   2 +
 gtk/gtklistbox.c                     | 112
 +++++++++++++++++++++++++++++++++++
 gtk/gtklistbox.h                     |  20 +++++++
 3 files changed, 134 insertions(+)

commit 9141eeb60e29082d58036f9dd4bafdb052afcd69
Author: Timm Bäder <mail@baedert.org>
Date:   Tue Feb 10 20:02:08 2015 +0100

    GtkListBoxRow: Update the listbox's cursor row when focusing

    https://bugzilla.gnome.org/show_bug.cgi?id=708320

 gtk/gtklistbox.c | 32 ++++++++++++++++++++++++--------
 1 file changed, 24 insertions(+), 8 deletions(-)

commit b876e036b2586fa4b0537d51313feb9d38e5a6de
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 11 23:34:04 2015 -0500

    file chooser: Allow opening folders in the file manager

    This has been suggested in
    https://bugzilla.gnome.org/show_bug.cgi?id=325150#c2

 gtk/gtkfilechooserwidget.c | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit 6886f479fee4c855823a2adcc84bf23e74b2305f
Author: Armin K <krejzi@email.com>
Date:   Wed Feb 11 00:06:38 2015 +0100

    wayland: Implement minimize support

    Use the existing xdg_surface API for minimization.

    https://bugzilla.gnome.org/show_bug.cgi?id=695945

 gdk/wayland/gdkwindow-wayland.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit c82ad2c1292b1e39f41db20467e5b3691cbb6984
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Thu Feb 12 03:34:05 2015 +0100

    mir, gl: Ensure we use the 3.2 core profile

    Emit an error if the profile is different.

 gdk/mir/gdkmirglcontext.c | 44
 ++++++++++++++++++++++++++++++++++++++------
 1 file changed, 38 insertions(+), 6 deletions(-)

commit ce31df3238154fa127e169ae4113a3987572f8be
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Thu Feb 12 03:32:11 2015 +0100

    mir: Switch GDK_GL_PROFILE_DEFAULT to mean 3_2_CORE

    Instead of LEGACY.

 gdk/mir/gdkmirwindowimpl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f9503ac18991ed7401c86b3d97fb8b93d18e9016
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Thu Feb 12 03:03:18 2015 +0100

    mir, GL: Split GL context creation in two phases

    Move egl_context initialization in gdk_gl_context_realize

     • gdk_window_create_gl_context() creates a GdkGLContext
     • gdk_gl_context_realize() creates the underlying resources

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/mir/gdkmirglcontext.c  | 49
 ++++++++++++++++++++++++++++++++++++++++++++++
 gdk/mir/gdkmirwindowimpl.c | 27 -------------------------
 2 files changed, 49 insertions(+), 27 deletions(-)

commit 8a52ace8de5eb1820170950079d904d75f2a5db0
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Thu Feb 12 02:20:24 2015 +0100

    configure.ac: bump mirclient dependency to 0.11

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 278fa902e21d79a251cabb833822553feb49d674
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 11 12:01:36 2015 -0500

    Revert "image: Optimize non-resize changes"

    This reverts commit 6276b9cda0b179e6a29b9002f82a338dc6f9649f.

    This change was causing problems in gnome-mines. Revert it
    until we can figure out what exactly is going wrong there.
    See https://bugzilla.redhat.com/show_bug.cgi?id=1190887

 gtk/gtkimage.c | 132
 ++++++++++-----------------------------------------------
 1 file changed, 23 insertions(+), 109 deletions(-)

commit 879956e2f56def6b9a5ae015db861967e864f11a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 11 16:46:00 2015 +0100

    Updated Norwegian bokmål translation.

 po-properties/nb.po | 1836
 ++++++++++++++++++++++++++-------------------------
 1 file changed, 944 insertions(+), 892 deletions(-)

commit c72a8a538cfdc930151e94624b8bc6117f80f07d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 11 16:37:34 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 55 ++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 32 insertions(+), 23 deletions(-)

commit b9f710217fa8604b41e3a781de019ac86a3dfdfc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 10 20:15:58 2015 -0500

    Bump glib requirement

    Needed for g_autoptr.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 295ac9135f8742e427c0770aa50da9bd22331d67
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 10 18:04:15 2015 -0500

    Bump version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b763bb0594ec98ef96d2d9987ce622e2de9452e0
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 10 23:49:15 2015 +0100

    stylecontext: Don't use cache when unsaved

    Fixes image-load-from-file reftest

 gtk/gtkstylecontext.c | 23 +++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

commit 9e96461aa59cdb5454a48200b8b80caaf04c4147
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 10 11:29:59 2015 -0500

    Updates

 NEWS | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit 4dee1646a12e7d57b838a2299a51861efc7b7181
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 8 21:02:07 2015 +0100

    Fix annotations

    The function gtk_label_set_attributes() is also used to
    unset attributes, by passing %NULL. Reflect that in the
    argument annotations.

 gtk/gtklabel.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5666522ab3d5073d5f1b6483d9354680d3ccb1ce
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Feb 10 10:16:53 2015 +0000

    gl: Fix the required version setter

    We don't allow a version tuple to be lower than (3, 2), but we should
    allow versions above that.

    https://bugzilla.gnome.org/show_bug.cgi?id=744212

 gdk/gdkglcontext.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 60195ab021afce26b052213c3145d0dc6b447c0e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Feb 10 16:20:37 2015 +0800

    win32/gl: Ensure we use the 3.2 core profile

    Emit an error if the profile is different.

    This is a follow-up commit to commits cc45e82 (x11/gl: Ensure we
    use the
    3.2 core profile) and 2d9081d (wayland/gl: Ensure we use the 3.2 core
    profile), so that we do the same on GDK-Win32.  Update variable
    names and
    comments so that the code is clearer to people, as we still need a
    temporary legacy WGL context first before we can use
    wglCreateContextAttribsARB() to create a WGL core (3.2+) context.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/win32/gdkglcontext-win32.c | 51
 +++++++++++++++++-------------------------
 1 file changed, 20 insertions(+), 31 deletions(-)

commit 03f5d5a5e41bc42835dc02774a27a5eb5d4d023b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Feb 10 03:33:02 2015 +0000

    gl: Put shaders in static storage

    We are not changing the shader code.

    The compiler will hopefully put them in the .rodata section.

 gdk/gdkgl.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 50187ae86dfdb4c5815731da25dc9e57296d28c5
Author: Niels Nesse <nnesse@sonic.net>
Date:   Tue Feb 10 01:11:24 2015 -0800

    gdkgl should use shader version 1.50

    Using version 1.20 with a forward compatible 3.2 core context is
    incorrect
    since OpenGL 3.2 deprecates shader version 1.20 (See section
    E.2). The latest
    fglrx drivers will not compile these shaders.

    https://bugzilla.gnome.org/show_bug.cgi?id=744203

 gdk/gdkgl.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ab919deeefc732f9c7a5285452431edd04a43879
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Feb 9 22:59:13 2015 +0200

    Updated Lithuanian translation

 po-properties/lt.po | 3437
 ++++++++++++++++++++++++++++-----------------------
 po/lt.po            |  299 ++---
 2 files changed, 1947 insertions(+), 1789 deletions(-)

commit 6bf55142ee5e6270180f2d0f23ad42ab7ca08a5d
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 9 19:32:38 2015 +0000

    demo: Change the resource path for the shaders

    We need to use the same name as the "plugin" so that the main UI will
    display the resources inside a notebook tab.

 demos/gtk-demo/demo.gresource.xml | 2 +-
 demos/gtk-demo/glarea.c           | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 843475bd2ef7130051c781f48fcb64f32b6872c2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 9 19:09:31 2015 +0000

    gl: Drop GdkGLContextClass.upload_texture()

    It's unnecessary to allow per-backend overrides.

 gdk/gdkgl.c               |  5 +++--
 gdk/gdkglcontext.c        |  6 +-----
 gdk/gdkglcontextprivate.h | 24 ++++++++++++------------
 3 files changed, 16 insertions(+), 19 deletions(-)

commit 3b4bf963f60cbf40c9c69f8c50f1358a7ccc46b5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 9 16:27:44 2015 +0000

    demo: Move the GLSL shaders to resources

    It's easier to use them or modify them as separate files, instead of
    inlined inside the C source.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 demos/gtk-demo/Makefile.am          |  2 ++
 demos/gtk-demo/demo.gresource.xml   |  4 ++++
 demos/gtk-demo/glarea-fragment.glsl |  9 +++++++++
 demos/gtk-demo/glarea-vertex.glsl   |  8 ++++++++
 demos/gtk-demo/glarea.c             | 31 +++++++++----------------------
 5 files changed, 32 insertions(+), 22 deletions(-)

commit 2d35053d9721a4159a776889dd908e6e972dfdfb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 9 16:10:22 2015 +0000

    gl: Clean up the required version accessors

    We can simplify the code, since we only have core GL profiles in GDK.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkglcontext.c | 45 +++++++++++++++++----------------------------
 1 file changed, 17 insertions(+), 28 deletions(-)

commit 4ad887f4bf2e9567e6f8656d49870c5ce668c260
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 9 16:09:25 2015 +0000

    docs: We do not support non-core GL profiles

    No need to mention that some API only works on core GL profiles in the
    GdkGLContext docs.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkglcontext.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 601c49ef39376a34358f87ef6ed3ae0c49130cb3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 9 16:08:43 2015 +0000

    gl: Clean up pre-requisite checks for GdkGLContext setters

    We don't support non-core profiles.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkglcontext.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2d9081d117de009f32d68bcf9beb7d4aac342ba4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 9 15:56:18 2015 +0000

    wayland/gl: Ensure we use the 3.2 core profile

    Emit an error if the profile is different.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/wayland/gdkglcontext-wayland.c | 64
 ++++++++++++++++++++++----------------
 1 file changed, 38 insertions(+), 26 deletions(-)

commit cc45e828dff80a45760cb96cbf203d9ece1848db
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 9 15:55:08 2015 +0000

    x11/gl: Ensure we use the 3.2 core profile

    Drop the dead code for the legacy profile, and return an error when
    realizing if the profile is incorrect.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/x11/gdkglcontext-x11.c | 23 ++++-------------------
 1 file changed, 4 insertions(+), 19 deletions(-)

commit 01d1cdc76c6454c74884bd56f06fa3b8accac7fd
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 5 16:39:53 2015 +0000

    demos: Update the GtkGLArea demo code

    Same way we updated the testglarea test code.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 demos/gtk-demo/glarea.c | 280
 +++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 263 insertions(+), 17 deletions(-)

commit b87034a985523f71783c1f0b16a27da8a6738de5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 30 17:20:44 2015 +0000

    tests: Update testglarea

    Since we dropped the legacy OpenGL compatibility profile, we need
    to use
    recent OpenGL APi and concepts. This also means that the example code
    gets a tad more complicated.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 tests/testglarea.c | 256
 +++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 240 insertions(+), 16 deletions(-)

commit 1d3cc65e894d8342b7bf72e51e036be7a5c4d339
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Feb 5 16:23:04 2015 +0000

    gl: Add more debugging notes

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkglcontext.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 5a3b28aaf1bb8d50a56866d885e49e51c3cafd55
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 28 19:07:33 2015 +0000

    glarea: Do not use extension API

    We are using GL contexts with Core GL profiles, so we need to use the
    proper API, not the one provided by extensions.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gtk/gtkglarea.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 395125bcfb4a44f5892e55aa5ca768adbe6cebc4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 28 19:06:37 2015 +0000

    gl: Do not use the extension API for core GL

    Since we are using a Core GL profile, we need to drop the
    extension-based API.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkgl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b8b3b431bfba9fa9bc68ebc95af13a32ea8a7ad
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 28 19:04:22 2015 +0000

    gl: Drop OpenGL legacy profile

    We simply don't want to care about legacy OpenGL.

    All supported platforms also have support for OpenGL ≥ 3.2; it would
    complicate the internal code; and would force us to use legacy GL
    contexts internally if the first context created by the user is
    a legacy
    GL context, and disable creation of core-3.2 contexts after that.

    We will need to fix all our code examples to use the Core 3.2 profile.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkglcontext.c         | 12 +-----------
 gdk/gdktypes.h             | 20 +++++++++++++++-----
 gdk/gdkwindow.c            | 14 +-------------
 gdk/x11/gdkglcontext-x11.c |  6 +-----
 4 files changed, 18 insertions(+), 34 deletions(-)

commit 6aaa6c337bc85913f0f898239cd678fef2a89b20
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 28 14:37:26 2015 +0000

    gl: Move getters for context options to the public API

    They can be useful for third party code as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkglcontext.c        | 16 +++++++++++++---
 gdk/gdkglcontext.h        |  8 ++++++++
 gdk/gdkglcontextprivate.h |  5 -----
 3 files changed, 21 insertions(+), 8 deletions(-)

commit f7497daee933cbfa328225eb318449054bab81f3
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 28 12:31:36 2015 +0000

    Switch GDK_GL_PROFILE_DEFAULT to mean 3_2_CORE

    Instead of LEGACY.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/wayland/gdkglcontext-wayland.c | 2 +-
 gdk/win32/gdkglcontext-win32.c     | 3 +--
 gdk/x11/gdkglcontext-x11.c         | 2 +-
 3 files changed, 3 insertions(+), 4 deletions(-)

commit 4c091db6c25e85ab45c192cf6ef305bce39a64da
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Jan 30 14:32:26 2015 +0800

    win32/gl: Use the GdkGLContext options

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/win32/gdkglcontext-win32.c | 63
 ++++++++++++++++++++++++++++++++++--------
 1 file changed, 52 insertions(+), 11 deletions(-)

commit ba56f11702ae59bea00c2edf9aefaf40f06bc3e7
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Jan 30 13:53:31 2015 +0800

    GDK-Win32: Split GL context creation in two phases

    Like what is being done in the X11 and Wayland backends, create the
    GdkWin32GLContext in 2 steps, where we only create the actual
    WGL context
    in _gdk_win32_gl_context_realize().

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/win32/gdkglcontext-win32.c | 94
 +++++++++++++++++++++++++++---------------
 gdk/win32/gdkglcontext-win32.h |  5 +++
 2 files changed, 66 insertions(+), 33 deletions(-)

commit 42a895e85e2d48a25e8d15c4ed096610891e5a25
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 28 12:29:37 2015 +0000

    wayland/gl: Use the GdkGLContext options

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/wayland/gdkglcontext-wayland.c | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 3425f7fe5a2e61e671452116b60a4aa5aa577f72
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 28 09:40:34 2015 +0000

    x11/gl: Use the GdkGLContext options

    When creating an OpenGL context using the glXCreateContextAttribs()
    function.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/x11/gdkglcontext-x11.c | 68
 ++++++++++++++++++++++++++++------------------
 1 file changed, 41 insertions(+), 27 deletions(-)

commit fa9005229983e8bd0f582ba0b4e0e8f1d6a5e061
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Jan 28 09:34:16 2015 +0000

    gl: Add context options

    Users of the GdkGLContext API should be allowed to set properties
    on the
    shim GdkGLContext instance prior to realization, so that the
    backend-specific implementation can use the value of those properties
    when creating the windowing system specific resources.

    The main three options are:

     • a major/minor version tuple, to request a specific GL version
     • a debug bit, to request a "debug context", which provides
     additional
       validation and run time checking
     • a forward compatibility bit, to request a context that does not
       have deprecated functionality

    See also:
     - https://www.opengl.org/registry/specs/ARB/glx_create_context.txt

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkglcontext.c        | 185
 ++++++++++++++++++++++++++++++++++++++++++++++
 gdk/gdkglcontext.h        |  11 +++
 gdk/gdkglcontextprivate.h |  19 +++--
 3 files changed, 208 insertions(+), 7 deletions(-)

commit 22e6f37c9c00ca3e97fbd454774a178473a0c93e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Jan 27 21:23:23 2015 +0000

    GL: Split GL context creation in two phases

    One of the major requests by OpenGL users has been the ability to
    specify settings when creating a GL context, like the version to use
    or whether the debug support should be enabled.

    We have a couple of requirements in terms of API:

     • avoid, if at all possible, the "C arrays of integers with
       attribute, value pairs", which are hard to write and hard
       to bind in non-C languages.
     • allow failing in a recoverable way.
     • do not make the GL context creation API a mess of arguments.

    Looking at prior art, it seems that a common pattern is to split the
    construction phase in two:

     • a first phase that creates a GL context wrapper object and
       does preliminary checks on the environment.
     • a second phase that creates the backend-specific GL object.

    We adopted a similar pattern:

     • gdk_window_create_gl_context() creates a GdkGLContext
     • gdk_gl_context_realize() creates the underlying resources

    Calling gdk_gl_context_make_current() also realizes the context, so
    simple GL users do not need to care. Advanced users will want to
    call gdk_window_create_gl_context(), set up the optional requirements,
    and then call gdk_gl_context_realize(). If either of these two steps
    fails, it's possible to recover by changing the requirements,
    or simply
    creating a new GdkGLContext instance.

    https://bugzilla.gnome.org/show_bug.cgi?id=741946

 gdk/gdkglcontext.c                 |  59 +++++-
 gdk/gdkglcontext.h                 |  18 +-
 gdk/gdkglcontextprivate.h          |   3 +
 gdk/gdkwindow.c                    |  31 ++-
 gdk/gdkwindow.h                    |   1 -
 gdk/gdkwindowimpl.h                |   4 +-
 gdk/wayland/gdkglcontext-wayland.c |  80 ++++----
 gdk/x11/gdkglcontext-x11.c         | 375
 ++++++++++++++++++++-----------------
 gtk/gtkglarea.c                    |  17 +-
 9 files changed, 363 insertions(+), 225 deletions(-)

commit 8f50148a34a4d44da8e0c3022e47aeaba4ee489d
Author: Stas Solovey <whats_up@tut.by>
Date:   Sun Feb 8 22:14:05 2015 +0000

    Updated Russian translation

 po/ru.po | 240
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 130 insertions(+), 110 deletions(-)

commit 614556180acbc1296283e6a0e1d91b7489c32a6d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 8 19:34:46 2015 +0100

    Updated Norwegian bokmål translation

 po/nb.po | 937
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 480 insertions(+), 457 deletions(-)

commit 87480d7d1c83c1b5ca5ce8923295564e35f093d9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 7 17:06:58 2015 +0100

    Updated POTFILES.skip

 po-properties/POTFILES.skip | 2 ++
 po/POTFILES.skip            | 2 ++
 2 files changed, 4 insertions(+)

commit 1116914ea03685ffbff188e48e32685a4985c2d3
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 31 11:56:15 2015 +0100

    css: Move scale to GtkStyleProviderPrivate

    This way, we can remove it as a separate argument from
    gtk_css_value_compute() and allow computation to only depend on one
    thing: the style provider.

 gtk/gtkcssanimatedstyle.c        |  6 ++----
 gtk/gtkcssanimatedstyleprivate.h |  1 -
 gtk/gtkcssarrayvalue.c           |  7 +++----
 gtk/gtkcssbgsizevalue.c          |  9 ++++-----
 gtk/gtkcssbordervalue.c          |  9 ++++-----
 gtk/gtkcsscolorvalue.c           | 23 ++++++++++-------------
 gtk/gtkcsscornervalue.c          |  9 ++++-----
 gtk/gtkcsseasevalue.c            |  5 ++---
 gtk/gtkcssenginevalue.c          |  5 ++---
 gtk/gtkcssenumvalue.c            | 18 ++++++++----------
 gtk/gtkcssiconthemevalue.c       |  1 -
 gtk/gtkcssimage.c                | 16 +++++++---------
 gtk/gtkcssimagebuiltin.c         |  1 -
 gtk/gtkcssimagegradient.c        |  7 +++----
 gtk/gtkcssimageicontheme.c       |  9 ++++-----
 gtk/gtkcssimagelinear.c          | 11 +++++------
 gtk/gtkcssimageprivate.h         | 10 ++++------
 gtk/gtkcssimagescaled.c          | 15 ++++++++-------
 gtk/gtkcssimageurl.c             |  5 ++---
 gtk/gtkcssimagevalue.c           |  7 +++----
 gtk/gtkcssinheritvalue.c         | 14 ++++++--------
 gtk/gtkcssinitialvalue.c         | 10 ++++------
 gtk/gtkcsskeyframes.c            |  2 --
 gtk/gtkcsskeyframesprivate.h     |  1 -
 gtk/gtkcsslookup.c               |  2 --
 gtk/gtkcsslookupprivate.h        |  1 -
 gtk/gtkcssnumbervalue.c          | 31 +++++++++++++++----------------
 gtk/gtkcsspositionvalue.c        |  9 ++++-----
 gtk/gtkcssrepeatvalue.c          |  5 ++---
 gtk/gtkcssrgbavalue.c            |  5 ++---
 gtk/gtkcssshadowsvalue.c         |  7 +++----
 gtk/gtkcssshadowvalue.c          | 15 +++++++--------
 gtk/gtkcssstaticstyle.c          |  8 +-------
 gtk/gtkcssstaticstyleprivate.h   |  3 ---
 gtk/gtkcssstringvalue.c          |  5 ++---
 gtk/gtkcsstransformvalue.c       | 33 +++++++++++++++------------------
 gtk/gtkcsstypedvalue.c           |  7 +++----
 gtk/gtkcssunsetvalue.c           | 10 ++++------
 gtk/gtkcssvalue.c                | 11 +++++------
 gtk/gtkcssvalueprivate.h         | 10 ++++------
 gtk/gtkstylecascade.c            |  9 +++++++++
 gtk/gtkstylecontext.c            |  4 ----
 gtk/gtkstyleproviderprivate.c    | 14 ++++++++++++++
 gtk/gtkstyleproviderprivate.h    |  2 ++
 44 files changed, 177 insertions(+), 215 deletions(-)

commit 808bfe0a98ac4cd2e11ea4eed82a66470121c19b
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Feb 6 10:13:11 2015 +0100

    settings: Provide a default style cascade per scale

    This guarantees we only create 1 extra style cascade in total
    for hidpi
    and not one per style context.

    Style cascades are now nested like this:

    GtkSettings root cascade (scale == 1)
     |
     +-- GtkSettings per scale cascade (for any scale, no custom
     providers)
     |
     +-- GtkStyleContext custom cascade (for any scale, custom providers)

    This requires a bunch of care when changing cascade-related properties
    inside GtkStyleContext, so that it ends up with a properly setup
    cascade, but I think I got those cases right.

    The only thing we don't do yet is reverting to a GtkSettings cascade
    when the last custom provider is removed from a custom cascade.

 gtk/gtksettings.c        | 41 +++++++++++++++++++++++++++++---------
 gtk/gtksettingsprivate.h |  3 ++-
 gtk/gtkstylecontext.c    | 52
 +++++++++++++++++++++++++++++-------------------
 3 files changed, 65 insertions(+), 31 deletions(-)

commit 9209c4ea411efc08a59eba12ff7898bd7be1aa05
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 31 11:01:25 2015 +0100

    stylecontext: Store the scale value in the cascade

    This is in preparation for the next commits.

 gtk/gtkstylecascade.c        | 23 +++++++++++++++++++++++
 gtk/gtkstylecascadeprivate.h |  4 ++++
 gtk/gtkstylecontext.c        | 29 ++++++++++++++++++++---------
 3 files changed, 47 insertions(+), 9 deletions(-)

commit 0b06b1e3f7565620372382760897b5a9895fc339
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 6 13:00:21 2015 +0800

    gdkglcontext-win32.h: Clean Up a Bit

    We don't have a Win32-specific ->upload_texture() anymore, so don't
    indicate so.  Left out this part from my previous commit.

 gdk/win32/gdkglcontext-win32.h | 7 -------
 1 file changed, 7 deletions(-)

commit 24e6bda26421053af5fc1c7c49e23437b560be1c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 6 12:41:38 2015 +0800

    GDK-Win32: Drop Win32-specific ->upload_texture()

    The default ->upload_texture() works also for Windows since commit
    27cf0fa,
    as some of the problems described in 742953 also applied for GL core
    contexts on Windows as well before 27cf0fa.  Clean up the GDK-Win32
    code a
    little bit as a result.

 gdk/win32/gdkglcontext-win32.c | 17 -----------------
 1 file changed, 17 deletions(-)

commit 93c3b90f6a88dd2eb80661bec002fa9ebb729d65
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Feb 6 03:13:59 2015 +0100

    treeview: Fix copy/paste bug

    Introduced in 7eecb16404b9fdcd1377e1a159f5e94f079e24b7

 gtk/gtktreeview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89f635fee1bd0af3bdbf96e2545e0140ea99afc9
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Feb 5 18:52:59 2015 +0100

    css: Add -gtk-dpi CSS property hack

    This property is necessary to ensure widgets automatically update
    after
    the text scale factor is changed desktop-wide.

    And if I'm already doing a property like this, I can make it
    overridable. So now you can override the dpi per-widget with CSS like
    GtkSwitch {
      -gtk-dpi: 48;
    }
    if you want to debug things.

    Long-term, we want to get rid of this property and insist on dpi being
    96 everywhere and people can change the font size to get larger fonts.

 gtk/gtkcssinitialvalue.c      | 13 +++++++++++++
 gtk/gtkcssstylepropertyimpl.c | 18 +++++++++++++++++-
 gtk/gtkcsstypesprivate.h      |  1 +
 gtk/gtkwidget.c               |  8 ++++++--
 4 files changed, 37 insertions(+), 3 deletions(-)

commit 7eecb16404b9fdcd1377e1a159f5e94f079e24b7
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 24 03:29:18 2015 +0100

    treeview: Don't create an overly large pixel cache

    GPUs generally have problems when you create a 35000px wide surface.
    Luckily X catches this and sends a BadAlloc. Which GTK immediately
    abort()s on.

    Testcase included.

    https://bugzilla.redhat.com/show_bug.cgi?id=1163579

 gtk/gtktreeview.c                                 |  4 +-
 testsuite/reftests/Makefile.am                    |  2 +
 testsuite/reftests/treeview-crash-too-wide.ref.ui | 50
 +++++++++++++++++++++++
 testsuite/reftests/treeview-crash-too-wide.ui     | 50
 +++++++++++++++++++++++
 4 files changed, 104 insertions(+), 2 deletions(-)

commit 98ee594f7347e363834bffbec7320c71ac18637e
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 3 08:06:39 2015 +0100

    blur: Simplify return_if_fail()

 gtk/gtkcairoblur.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 0a64a4f3c0bb3af4920f0dbcf48345a3ae7fb866
Author: William Hua <william@attente.ca>
Date:   Wed Feb 4 10:32:29 2015 +0100

    mir: release surface before rendering parent

    We should remove the mir and cairo surface before rendering the
    transient_for, which will regenerate the cairo surface anyways.
    Otherwise, we end up releasing both, when we only really want to
    get rid
    of the mir surface.

 gdk/mir/gdkmirwindowimpl.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 85c5f6058a01805d63a498b5f28d6a9daab3f7e1
Author: William Hua <william@attente.ca>
Date:   Tue Feb 3 16:23:14 2015 +0100

    mir: don't always request mir surfaces

    Some child window behaviour is faked by painting in the parent, so we
    don't bother creating the Mir surface in that case.

 gdk/mir/gdkmirwindowimpl.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit bee39d2251e58a693e19db701e791098eefd4f23
Author: William Hua <william@attente.ca>
Date:   Mon Jan 26 18:29:07 2015 -0500

    mir: reconstruct surface if window is moved

 gdk/mir/gdkmirwindowimpl.c | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit 16b250f9bb8f6ee8c5c0c54e6658c44c883646eb
Author: William Hua <william@attente.ca>
Date:   Mon Jan 19 12:08:43 2015 -0500

    mir: stop using deprecated surface api

 gdk/mir/gdkmirwindowimpl.c | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit 5eacc92ba7871db936f4af08b82e4c9b05994f5f
Author: William Hua <william@attente.ca>
Date:   Thu Jan 8 00:24:42 2015 -0500

    mir: fix issues with mouse over parent menu

    Mouse over a parent menu[bar] didn't work while the menu was open.
    The fix was to correct the behaviour of pointer crossing events
    so that
    the pointer appears to be only inside one window at a time.

    See:
    http://tronche.com/gui/x/xlib/events/window-entry-exit/normal.html

 gdk/mir/gdkmir-private.h    |  12 ++++
 gdk/mir/gdkmireventsource.c | 144
 +++++++++++++++++++++++++++++++++++---------
 gdk/mir/gdkmirwindowimpl.c  |   2 +-
 3 files changed, 130 insertions(+), 28 deletions(-)

commit 6a3904cf0ce11f1987344b62c1cb8344825a3db6
Author: William Hua <william@attente.ca>
Date:   Thu Jan 8 00:23:02 2015 -0500

    mir: add back window hierarchy functions

 gdk/mir/gdkmirwindowimpl.c | 43
 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit c2afa674e23d4e16415f34323cba2268bf6c4f52
Author: William Hua <william@attente.ca>
Date:   Wed Jan 7 12:18:03 2015 -0500

    mir: stop forwarding motion events to subwindows

 gdk/mir/gdkmir-private.h    | 12 -------
 gdk/mir/gdkmireventsource.c | 80
 ---------------------------------------------
 gdk/mir/gdkmirwindowimpl.c  | 44 -------------------------
 3 files changed, 136 deletions(-)

commit 901bc2957de45c06457746374e1e33883d28d1dc
Author: William Hua <william@attente.ca>
Date:   Wed Dec 17 12:37:28 2014 -0500

    mir: generate leave events for transient children

 gdk/mir/gdkmir-private.h    |  5 +++++
 gdk/mir/gdkmireventsource.c | 50
 +++++++++++++++++++++++++++++++++++++++++++++
 gdk/mir/gdkmirwindowimpl.c  | 10 +++++++++
 3 files changed, 65 insertions(+)

commit 737e598a17307d63709742c1a040351314e7c4e8
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Dec 12 18:42:05 2014 +0100

    mir: use monitor plug names more similar to the ones used in Xmir

 gdk/mir/gdkmirscreen.c | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit 9a84c3e0f5f8fe63de0ea9a05d4f2809329dcc20
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Dec 12 03:01:38 2014 +0100

    mir: only paint background if window has one

 gdk/mir/gdkmirwindowimpl.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 38d46aacae46caa60ebd72b0f1ff852ee3b71e79
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Dec 12 01:40:55 2014 +0100

    mir: use old scrolling system if we get simple integer values

 gdk/mir/gdkmireventsource.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 584cfff90a558c7258630bfa5aaf68361cc1f80d
Author: William Hua <william@attente.ca>
Date:   Tue Dec 9 08:57:21 2014 -0500

    mir: end the current grab on ungrab

 gdk/mir/gdkmirpointer.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit e843d9440539d8926888175d7fd4c250a4c273c7
Author: William Hua <william@attente.ca>
Date:   Mon Dec 8 16:24:17 2014 -0500

    mir: only render non-top-level transients.

 gdk/mir/gdkmirwindowimpl.c | 30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

commit 9abf990656b69a4704b8ba40733d920da879711f
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Fri Dec 5 15:53:03 2014 +0100

    mir: handle new MirCloseSurfaceEvent

 gdk/mir/gdkmir-debug.c      | 10 ++++++++++
 gdk/mir/gdkmireventsource.c | 11 +++++++++++
 2 files changed, 21 insertions(+)

commit 5ac5f6f81aeed997e6025f1baeb6fe6c6f1ef54b
Author: William Hua <william@attente.ca>
Date:   Thu Dec 4 10:03:40 2014 -0500

    mir: reset cursor_inside on hide/withdraw

    Without this, we generate incorrect crossing events for transient
    windows.

 gdk/mir/gdkmirwindowimpl.c | 2 ++
 1 file changed, 2 insertions(+)

commit 8e0abb4bac29d2d2e944c883e5144d4d6b20cdcf
Author: William Hua <william@attente.ca>
Date:   Wed Dec 3 16:48:58 2014 -0500

    mir: disable some debug output

 gdk/mir/gdkmirwindowimpl.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 4f19be1c822240cb70be85ec030585fa2450a7ad
Author: William Hua <william@attente.ca>
Date:   Wed Dec 3 11:30:34 2014 -0500

    mir: skip windows that aren't visible

 gdk/mir/gdkmir-private.h    | 10 +++++-----
 gdk/mir/gdkmireventsource.c |  2 +-
 gdk/mir/gdkmirwindowimpl.c  | 15 +++++++++------
 3 files changed, 15 insertions(+), 12 deletions(-)

commit 05de5b02cb47462d75f1f2fdbc415d94ee13ea54
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 20:04:54 2014 +0100

    mir: fix IsModifierKey definition

 gdk/mir/gdkmirkeymap.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 345140008e6e50975c8fd752bd0a43556e12f6d6
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 18:43:32 2014 +0100

    mir: check the log events env variable just once

 gdk/mir/gdkmireventsource.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7e5b21651170e57b80a549bfb0cf0eb92ba7d30b
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 18:19:39 2014 +0100

    mir: set event source device as well

 gdk/mir/gdkmireventsource.c | 1 +
 1 file changed, 1 insertion(+)

commit 7c2e3a812a02b9b578f895b4e4742b12b40f885b
Author: William Hua <william@attente.ca>
Date:   Tue Dec 2 11:12:11 2014 -0500

    mir: fix time conversion macro

 gdk/mir/gdkmireventsource.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54f9263f19fe076dbc373cb4aea3d59c83e12b9f
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 17:08:00 2014 +0100

    mir: implement stub _gdk_mir_keymap_key_is_modifier

    Using IsModifierKey for now

 gdk/mir/gdkmir-private.h    |  2 ++
 gdk/mir/gdkmireventsource.c | 11 ++++++-----
 gdk/mir/gdkmirkeymap.c      | 14 ++++++++++++++
 3 files changed, 22 insertions(+), 5 deletions(-)

commit a8b1e8181672d39d5f2955ebd256e6408730c303
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 16:52:03 2014 +0100

    mir: check (using simple keycode checking) if we're handling a
    modifier key

 gdk/mir/gdkmireventsource.c | 14 ++------------
 1 file changed, 2 insertions(+), 12 deletions(-)

commit 9e2eb5d2f6c15ccca688194ed8c810c4f88ccdbe
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 16:27:28 2014 +0100

    mir: compute the modifiers using the saved button_state on key events

 gdk/mir/gdkmireventsource.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 7d4066de41209b26759dac6f6ac214a633bcd992
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 16:25:18 2014 +0100

    mir: add a NANO_TO_MILLI conversion macro

 gdk/mir/gdkmireventsource.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 6b6af59b9b7734213b913e1b121ed3f0956879d5
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 16:06:59 2014 +0100

    mir: properly converts mir nanoseconds timestamps to milliseconds

 gdk/mir/gdkmireventsource.c | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit cb19fd50cb55d120cd5e8ca21dcc025813b4f967
Author: Marco Trevisan (Treviño) <mail@3v1n0.net>
Date:   Tue Dec 2 15:18:50 2014 +0100

    mir: use actual events time

 gdk/mir/gdkmireventsource.c | 39 +++++++++++++++++++++------------------
 1 file changed, 21 insertions(+), 18 deletions(-)

commit 948afc68f6ee744993db146141a28315b1e14ee1
Author: William Hua <william@attente.ca>
Date:   Mon Dec 1 16:27:29 2014 -0500

    mir: add timestamps to generated GdkEvents

    We need this because it fixes menu activation. The menu activation
    code
    looks at the time between events to determine if mouse clicks
    happen too
    quickly.

 gdk/mir/gdkmireventsource.c | 5 +++++
 1 file changed, 5 insertions(+)

commit f1cfd23cd2d5c12cc828720ff45c36eb0e11738f
Author: William Hua <william@attente.ca>
Date:   Mon Dec 1 08:54:13 2014 -0500

    mir: pass motion events down to transient children

 gdk/mir/gdkmir-private.h    |  7 +++++++
 gdk/mir/gdkmireventsource.c | 26 +++++++++++++++++++++++++-
 gdk/mir/gdkmirwindowimpl.c  | 31 +++++++++++++++++++++++++++++++
 3 files changed, 63 insertions(+), 1 deletion(-)

commit e2320678ae2bca845a6b2e9c1d53231b6dfba922
Author: William Hua <william@attente.ca>
Date:   Fri Nov 28 08:33:03 2014 -0500

    mir: use parent_window's impl for GDK_INPUT_ONLY windows

    Fixes a crash that occurs when the user selects text.

 gdk/mir/gdkmirdisplay.c | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit 6b82ad48f65add2ae10392c65c431975dc969a69
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Feb 5 17:16:21 2015 +0100

    scrolledwindow: Don't hover the scrollbars while a button is being
    pressed

    This avoids showing the scrollbars if we are positive the child widget
    is being manipulated, regardless of the pointer being close to any
    of these.
    On the next motion event after finishing the operation, the scrollbar
    will
    be shown if necessary.

    https://bugzilla.gnome.org/show_bug.cgi?id=743894

 gtk/gtkscrolledwindow.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 4ba2c9ad87aa9cdec1fc2e0c2f31a06049eca549
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Feb 3 12:03:22 2015 +0100

    popover: Unset the grab when the popover loses its parent

    This ensures the grab and signal handlers are removed if the
    parent goes
    NULL.

 gtk/gtkpopover.c | 3 +++
 1 file changed, 3 insertions(+)

commit d053db289ee8c480d96fa4fc9b89dacb2b160f71
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Feb 2 16:13:30 2015 +0100

    window: Unparent popover before unmapping/unrealizing

    Otherwise spurious invariants warnings may happen before the popover
    is removed from the window.

 gtk/gtkwindow.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit cc511268a09c0221450d7e50dff1bccb70acbd10
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Feb 2 15:34:17 2015 +0100

    window: call gtk_widget_unmap() on popover widgets unconditionally

    is_visible() wasn't the right check to perform here before unmapping,
    and gtk_widget_unmap() already avoids being doubly called by checking
    gtk_widget_get_mapped() anyway.

 gtk/gtkwindow.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 5837c1c7101fa32d39ed7be81f1409275354002d
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Feb 5 14:17:51 2015 +0100

    popover: Keep a ref on the parent scrollable

    This ensures the scrollable is still alive on dispose(), and
    properly unset
    after disconnecting all signal handlers.

 gtk/gtkpopover.c | 3 +++
 1 file changed, 3 insertions(+)

commit b15193943a8afedba3aef37743607e7d71aab162
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 5 10:42:57 2015 +0100

    GtkStatusIcon: Expand deprecation docs

    https://bugzilla.gnome.org/show_bug.cgi?id=743975

 gtk/deprecated/gtkstatusicon.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit edec64cda3d4518b4e87d5ea5d287d4570ba9933
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Feb 4 21:08:54 2015 +0100

    stylecontext: Don't crah when invalidate() is called on saved context

    We need to invalidate the root node, not the current one.
    Fixes crashes on startup of eclipse.

    Testcase included.

    https://bugzilla.redhat.com/show_bug.cgi?id=1185828

 gtk/gtkstylecontext.c        | 12 +++++++-----
 testsuite/gtk/stylecontext.c | 19 +++++++++++++++++++
 2 files changed, 26 insertions(+), 5 deletions(-)

commit 473ab791ff10c46426c2aab4cd8c3fe8d77a8925
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Feb 4 18:26:32 2015 +0100

    stylecontext: Do not have a default style

    A bunch of applications expect the style to be as close to the actual
    style as possible even during creation of the widget. Try to
    accomodate
    these apps.

    This reverses the effects of 27285f1f0fb00bb4507a8bf3e426bef940ae41af

    https://bugzilla.gnome.org/show_bug.cgi?id=743395
    https://bugzilla.redhat.com/show_bug.cgi?id=1185999

 gtk/gtkstylecontext.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 72814193419bca29d9883dbe93de0ec788c66541
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Feb 4 18:20:33 2015 +0100

    css: Having a static style per screen isn't useful

    Just have one static style for everything.

 gtk/gtkcssstaticstyle.c        | 9 +++------
 gtk/gtkcssstaticstyleprivate.h | 2 +-
 gtk/gtkstylecontext.c          | 4 ++--
 3 files changed, 6 insertions(+), 9 deletions(-)

commit 3e81653bd320b9d5c760c2731a225f546f353c7a
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:   Tue Feb 3 11:01:29 2015 +0100

    Add support for loading gtk3-only modules

    Introduce GTK3_MODULES environment variable for modules that
    don't work
    in gtk3. The list of modules is now $GTK3_MODULES:$GTK_MODULES.

    https://bugzilla.gnome.org/show_bug.cgi?id=743917

 docs/reference/gtk/running.sgml | 14 ++++++++++++--
 gtk/gtkmain.c                   | 13 ++++++++++++-
 2 files changed, 24 insertions(+), 3 deletions(-)

commit 2820c342f6fbe4dcac88b836404d748f27157e90
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Feb 4 13:04:39 2015 +0800

    MSVC Builds: Rename "install" Projects

    Rename the "install" projects as "gtk-install" as we are planning
    to have a
    grand solution file that incorporates all project files of the
    GTK+ stack
    with their dependencies, to make it easier for people to build
    GTK+ from
    scratch from a stock installation of Visual Studio 2008 and later.

 build/win32/vs10/Makefile.am         |   2 +-
 build/win32/vs10/gtk+.sln            |  34 +++---
 build/win32/vs10/gtk-install.vcxproj | 222
 +++++++++++++++++++++++++++++++++++
 build/win32/vs10/install.vcxproj     | 222
 -----------------------------------
 build/win32/vs11/Makefile.am         |   2 +-
 build/win32/vs12/Makefile.am         |   2 +-
 build/win32/vs9/Makefile.am          |   2 +-
 build/win32/vs9/gtk+.sln             |  34 +++---
 build/win32/vs9/gtk-install.vcproj   | 140 ++++++++++++++++++++++
 build/win32/vs9/install.vcproj       | 140 ----------------------
 10 files changed, 400 insertions(+), 400 deletions(-)

commit 8f3bd8ef0c43ff10cad8f8e219b58b7c5eccf0f4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Feb 4 12:42:24 2015 +0800

    MSVC Builds: "Install" autocleanup headers

    These are public headers that are needed in the package, although the
    macros are essentially no-ops for Visual Studio builds currently.

 build/win32/vs10/gtk-install.props  | 4 ++++
 build/win32/vs9/gtk-install.vsprops | 4 ++++
 2 files changed, 8 insertions(+)

commit 9c49144cbe193a48414bf1b65045e614d68c4cb9
Author: Bastian Ilsø <bastianilso@src.gnome.org>
Date:   Mon Feb 2 08:13:28 2015 +0100

    Add reference to HowDoI and getting-started

 gtk/gtkapplication.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 4b173fcde91a85ff01d7efe644dc08c5ccf4224b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 2 16:51:14 2015 +0000

    Bump version to 3.15.5

    We need the bump in order to allow projects to depend on newly added
    API.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f07d5e761f2c1d18825f73033ab7d095ea2c70d
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sun Feb 1 12:08:04 2015 +0100

    x11: Detect libinput touchpads

    These aren't reported as XIDependentTouch devices, so make it poke a
    property that's specific to touchpads managed by the libinput driver.

 gdk/x11/gdkdevicemanager-xi2.c | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit 64f26db038d8d959516183a9e4cfd9150bad9145
Author: Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
Date:   Mon Feb 2 12:54:37 2015 +0100

    gtkx: add missing header

    The header file gdk/x11/gdkx-autocleanups.h is not installed, but
    it is required by gdkx.h

    https://bugzilla.gnome.org/show_bug.cgi?id=743640

 gdk/x11/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 93ae728cc63db3fa724d7079d4f05d9a99e11912
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Feb 2 12:58:56 2015 +0100

    scrolledwindow: Don't hide indicators if leaving towards a child

    In that case the scrolledwindow still gets events through the captured
    handler, and can thus still control visibility, so hiding the
    indicators
    in this case can only lead to flashing.

 gtk/gtkscrolledwindow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e82d471c550d657973149075656ec3497a02315f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 2 11:58:00 2015 +0100

    Updated Spanish translation

 po-properties/es.po | 356
 ++++++++++++++++++++++++++--------------------------
 1 file changed, 180 insertions(+), 176 deletions(-)

commit 6aec79cbaa9835e1ce6c29315d3f4e145eb1dac1
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Feb 2 09:34:43 2015 +0100

    gtkx: Add support for g_autoptr()

    https://bugzilla.gnome.org/show_bug.cgi?id=743640

 gtk/Makefile.am         |  1 +
 gtk/gtkx-autocleanups.h | 27 +++++++++++++++++++++++++++
 gtk/gtkx.h              |  2 ++
 3 files changed, 30 insertions(+)

commit 88d166d8cc39cca1376da8df790f77ef3abbc1db
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Feb 2 09:32:45 2015 +0100

    gtkunixprint: Add support for g_autoptr()

    https://bugzilla.gnome.org/show_bug.cgi?id=743640

 gtk/Makefile.am                 |  1 +
 gtk/gtkunixprint-autocleanups.h | 28 ++++++++++++++++++++++++++++
 gtk/gtkunixprint.h              |  2 ++
 3 files changed, 31 insertions(+)

commit 8c361fd7e271f5b4adae2d99e58d515cf10bb861
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Feb 2 09:29:54 2015 +0100

    gtk: Add support for g_autoptr()

    https://bugzilla.gnome.org/show_bug.cgi?id=743640

 gtk/Makefile.am                  |   1 +
 gtk/a11y/Makefile.inc            |   1 +
 gtk/a11y/gtk-a11y-autocleanups.h |  75 +++++++++++++
 gtk/gtk-a11y.h                   |   2 +
 gtk/gtk-autocleanups.h           | 222
 +++++++++++++++++++++++++++++++++++++++
 gtk/gtk.h                        |   2 +
 gtk/gtkgesturezoom.h             |   2 +-
 7 files changed, 304 insertions(+), 1 deletion(-)

commit a71ff332660a7d6c155eb04c92936c618ae80cf8
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Feb 2 09:28:22 2015 +0100

    gdk:  Add support for g_autoptr()

    https://bugzilla.gnome.org/show_bug.cgi?id=743640

 gdk/Makefile.am             |  1 +
 gdk/gdk-autocleanup.h       | 42
 ++++++++++++++++++++++++++++++++++++++++++
 gdk/gdk.h                   |  2 ++
 gdk/x11/gdkx-autocleanups.h | 39 +++++++++++++++++++++++++++++++++++++++
 gdk/x11/gdkx.h              |  2 ++
 5 files changed, 86 insertions(+)

commit eacfad7ed693c180158a5eee82335082a87973ea
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Feb 2 15:00:45 2015 +0800

    gtkstylecontext.c: Include fallback-c89.c

    round() is now being used in the function, so that compilers without
    round() in their math.h is supported.

 gtk/gtkstylecontext.c | 2 ++
 1 file changed, 2 insertions(+)

commit 31d3be96e4168f886293bae52ad1cee56b043881
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 1 17:30:10 2015 -0500

    Be safe against stray booleans

    Since gboolean is a typedef for int, the compiler won't complain
    about gdk_window_set_event_compression (w, 2). So, make it work.

    https://bugzilla.gnome.org/show_bug.cgi?id=742566

 gdk/gdkwindow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4a531ec6ab04d7a9ebd3e3e1ea1060f811555173
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 1 11:07:12 2015 -0500

    Plug another memory leak in plugman

 examples/plugman.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f7803704993d1b306cb46052fd58fd02a9e20a23
Author: Felix Riemann <friemann@gnome.org>
Date:   Sat Jan 31 16:17:24 2015 +0100

    plugman: Fix leaking attribute string

    https://bugzilla.gnome.org/show_bug.cgi?id=743770

 examples/plugman.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 404e2753c4f63c5a71b65f5270317f21be77a5fe
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sun Jan 25 11:53:49 2015 +0000

    scrolledwindow: add a new edge-reached signal

    This will be used to just detect when an edge of the scrollable
    area is
    reached - as opposed to the edge-overshot signal that is emitted when
    the user scrolls past the edge.

    https://bugzilla.gnome.org/show_bug.cgi?id=742848

 gtk/gtkscrolledwindow.c | 68
 ++++++++++++++++++++++++++++++++++++++++++++++---
 tests/testscrolledge.c  |  9 +++++++
 2 files changed, 74 insertions(+), 3 deletions(-)

commit 48a41b01196febe124eb29c8d8ba8a996935adaa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 31 13:33:42 2015 -0500

    Reduce symbolic icon warnings to a debug message

    These icons are out there in the wild, and the warning causes
    distcheck to fail. So, reduce it to a debug message.

 gtk/gtkicontheme.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 5f977deb4fa0f5c437f8bcac49e19210c735af88
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Jan 31 11:07:59 2015 +0000

    Updated Slovak translation

 po/sk.po | 1727
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 900 insertions(+), 827 deletions(-)

commit 6276b9cda0b179e6a29b9002f82a338dc6f9649f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 30 23:32:50 2015 -0500

    image: Optimize non-resize changes

    Suggested by Owen in

    https://bugzilla.gnome.org/show_bug.cgi?id=613833

 gtk/gtkimage.c | 132
 +++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 109 insertions(+), 23 deletions(-)

commit bece876f8eded4a5deee5db9b96ef52a5a61ef0a
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 31 02:25:18 2015 +0100

    stylecontext: Use old rounding for get_padding/border/margin()

    610f7e8f70ce165e04a4cdc3fd20b560f500b925 changed the way we query
    those
    values for performance reasons but didn't copy the rounding used.

    Fixes border-half-pixel reftest.

 gtk/gtkstylecontext.c | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 3575df8ee24a4e9e7c59260d66e0e087be852e69
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 31 01:55:04 2015 +0100

    glarea: Remove useless function

    The function should have been gone in
    27cf0fa34c3a51ddb50391f21aaf2e3984d6dddb

 gtk/gtkglarea.c | 19 -------------------
 1 file changed, 19 deletions(-)

commit f1ec76a9c1250b8d6f35dc199f0fc0452bcdaaf5
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Jan 22 15:47:36 2015 +0100

    roundedbox: Treat path segments differently

    If a side of the box is 0px wide, make the corners owned by the
    adjacent
    sides. This avoids spilling over of unwanted colors from the 0-width
    side into the corner.

    This is the fix that should actually have been part of
    7e5ac3a58d0362080c4eb7c9b68ead99674c7b87 but my amazing amending
    skills
    got rid of it when amending the test.

 gtk/gtkroundedbox.c | 116
 +++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 88 insertions(+), 28 deletions(-)

commit 65dadd37fc4b98fe1da4c9b44f89e2d3ecf92921
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 30 18:58:41 2015 -0500

    Updates for 3.15.5

 NEWS | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

commit 561ff51abb9629c11855d346432cb1792b117815
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 30 18:42:06 2015 -0500

    Fix an oversight

    Commit ff256956b2072cd422 introduced a frame_clock_events_paused
    flag, but only ever set it to TRUE, instead of unsetting it when
    events are resumed. This was leading to assertion failures in
    _gdk_display_unpause_events().

 gdk/gdkwindow.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 7ff3ef3e68350773548beae93f4b29f33fa88600
Author: Matias De lellis <mati86dl@gmail.com>
Date:   Tue Dec 2 21:09:38 2014 -0300

    GtkSettings: Consider default settings for font hinting and antialias

    Arrange things so that gtk-xdg-hinting==-1 and gtk-xfg-antialias==-1
    end up as CAIRO_HINT_STYLE_DEFAULT and CAIRO_ANTIALIAS_DEFAULT in the
    cairo font options.

    This will not change anything on Linux desktops where xsettings will
    always provide values different from -1. But on other platforms, we
    can benefit from getting the platform-specific defaults in cairo.

    Based on the first patch in:
    https://bugzilla.gnome.org/show_bug.cgi?id=735316

 gtk/gtksettings.c | 53
 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 32 insertions(+), 21 deletions(-)

commit a1f8ffce4eb5cc023f810b9fe0e1e6749283ca65
Author: Bastian Ilsø <bastianilso@src.gnome.org>
Date:   Wed Jan 28 18:43:45 2015 +0000

    Getting started: BIG update of basics section

    https://bugzilla.gnome.org/show_bug.cgi?id=743680

 docs/reference/gtk/getting_started.xml | 86
 ++++++++++++++++++----------------
 1 file changed, 46 insertions(+), 40 deletions(-)

commit ff256956b2072cd422ccec5f33949854b0db0ef8
Author: Tom Hughes <tom@compton.nu>
Date:   Mon Jan 26 21:52:00 2015 +0000

    Resume events when disconnecting from a frame clock

    If we are disconnecting from a frame clock that has paused event
    processing and hasn't issued a resume yet make sure we resume the
    events or they will stay blocked forever.

    https://bugzilla.gnome.org/show_bug.cgi?id=742636

 gdk/gdkinternals.h | 1 +
 gdk/gdkwindow.c    | 9 +++++++++
 2 files changed, 10 insertions(+)

commit d86d406c99a94b5acf5e3a3fa328908508d5f882
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Jan 30 21:29:35 2015 +0000

    Updated Hungarian translation

 po-properties/hu.po | 507
 ++++++++++++++++++++++++----------------------------
 1 file changed, 237 insertions(+), 270 deletions(-)

commit 71f5eec2e040c604b30f7777ca178c9891d0cb3d
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Jan 30 21:26:29 2015 +0000

    Updated Hungarian translation

 po/hu.po | 284
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 143 insertions(+), 141 deletions(-)

commit 4f1780c7828737266b7aa1ae8372b7f1c7711b69
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 30 06:07:34 2015 -0500

    Robustness fixes for drag cancel animation

    gtk_widget_get_frame_clock() can return NULL. Deal with that
    by silently stopping the drag cancel animation in this case.

 gtk/gtkdnd.c | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit 34c29d8d3cfd85132a7e8c333ffb4353771cfe64
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 30 09:20:04 2015 -0500

    testnotebookdnd: Defer deletion to an idle

    The code here was always a bit buggy: We removed the tab from
    the notebook in a ::drag-data-received handler. But with
    GTK_DEST_DEFAULT_DROP, that signal is emitted before we inform
    the source side that the drag is finished. With its improved drag
    handling, GtkNotebook now interprets this as a 'spontaneous'
    removal of the tab being dragged, and cancels the drag, leading
    to an unwanted cancel animation.

    The easiest fix is to just defer the tab removal to an idle.

 tests/testnotebookdnd.c | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit 3fc21b4f3f2d7764b00939961fb38af9b552b6ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 30 09:26:04 2015 -0500

    notebook: Protect removal-from-within

    When a tab is dropped, we have to remove it from the notebook to
    insert it elsewhere. This is expected part of the tab dnd operation,
    and we need to differentiate it from 'spontaneous' removals which
    cause us to cancel the drag operation.

 gtk/gtknotebook.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 63104944a3d783197082cb57683301a67f1de063
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 29 23:51:26 2015 -0500

    notebook: Make dnd safe against tab disappearance

    when the dragged tab is being removed during the drag operation,
    we need to cancel the drag. To do so, we have to keep around
    a reference to the drag context.

    This should fix
    https://bugzilla.gnome.org/show_bug.cgi?id=732051

 gtk/gtknotebook.c | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

commit 3a05d9b5a0dde696fe6fb68fd2ae3bffbc36b20c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 29 23:48:06 2015 -0500

    notebook: Make reordering safe for tab disappearance

    If the dragged tab is removed during reordering, we need to
    call gtk_notebook_stop_reorder(), to clean up and bring the
    remaining tabs back in order.

 gtk/gtknotebook.c | 2 ++
 1 file changed, 2 insertions(+)

commit c160ba0696dc5ffaece04941cf24344bf76bab65
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 29 23:49:48 2015 -0500

    dnd: Allow programmatic drag cancellation

    Add a gtk_drag_cancel() function that can be used on the
    source side to cancel an ongoing drag operation. This can
    be useful, e.g. if the data that is being dragged becomes
    unavailable.

 docs/reference/gtk/gtk3-sections.txt |  1 +
 gtk/gtkdnd.c                         | 52
 +++++++++++++++++++++++++++++-------
 gtk/gtkdnd.h                         |  3 +++
 3 files changed, 46 insertions(+), 10 deletions(-)

commit f2cfe9ed74ae222fd0f61f09e85972cbc3ad9917
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 29 23:45:28 2015 -0500

    dnd: Make dest side safe against destroy

    Use a weak pointer to clean up when the current drag destination
    gets destroyed.

 gtk/gtkdnd.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0367f785efe42954b3b889c8bd9decdb1b72a930
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 22:36:47 2015 -0500

    file chooser button: Make dnd work as expected

    Update the button contents when accepting a drop.

    https://bugzilla.gnome.org/show_bug.cgi?id=743451

 gtk/gtkfilechooserbutton.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 1c8b77637abad21e30aaa8ac4963485b9e0e6e59
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Thu Jan 29 15:37:35 2015 +0000

    Updated Icelandic translation

 po/is.po | 266
 ++++++++++++++++-----------------------------------------------
 1 file changed, 68 insertions(+), 198 deletions(-)

commit 4188069db9d886e7e7478ce9a15d769af3adfb3d
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Thu Jan 29 11:34:01 2015 +0100

    Adwaita: add comments

 gtk/theme/Adwaita/_common.scss | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c6eb926e4ad9ee935885aa36c0e26290f6261e29
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Thu Jan 29 10:49:59 2015 +0100

    Adwaita: undershoot simplification and tweaks

 gtk/theme/Adwaita/_common.scss           |  4 ----
 gtk/theme/Adwaita/_drawing.scss          | 20 +++++++-------------
 gtk/theme/Adwaita/gtk-contained-dark.css | 30
 ++++++++++++------------------
 gtk/theme/Adwaita/gtk-contained.css      | 30
 ++++++++++++------------------
 4 files changed, 31 insertions(+), 53 deletions(-)

commit 99b17488dd4608d46e4b9fdc5e719d5b600ac837
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 18:26:42 2015 -0500

    file chooser: Unset sidebar during search

    It is a bit misleading to have one of the places in the sidebar
    selected while in search mode, since the search is not relative
    to any location. So, unset the sidebar selection when we enter
    search mode.

 gtk/gtkfilechooserwidget.c | 1 +
 1 file changed, 1 insertion(+)

commit f211031a9fb47b32feb3dc211f75d3a3c238689a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 18:25:32 2015 -0500

    places sidebar: Make a function NULL-safe

    gtk_places_sidebar_set_location's location argument is documented
    as allow-none, but if one actually passes NULL, a warning results.
    Fix that.

 gtk/gtkplacessidebar.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e31e88582f280917fa79ca201f59dbabe994fdc6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 18:21:18 2015 -0500

    file chooser: Unify search mode leaving

    Make all ways to get out of search mode go through the same
    code path, so we always populate the list.

 gtk/gtkfilechooserwidget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a385ca1bb75a5fad0937146b1f59386a0d0fb4c4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 18:17:51 2015 -0500

    file chooser: Fix key bindings

    Key press handlers must chain up for key bindings to work.

 gtk/gtkfilechooserwidget.c | 3 +++
 1 file changed, 3 insertions(+)

commit 59c04d51843cfc5d7a1eae447767c0fd99675f5e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 18:15:19 2015 -0500

    file chooser: Load a directory when leaving search

    Ensure that some folder contents are shown in
    the list when we leave search mode.

    https://bugzilla.gnome.org/show_bug.cgi?id=743659

 gtk/gtkfilechooserwidget.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 696129d83ca2006cd3fb69ebfb7c8fafee3f839b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 17:01:30 2015 -0500

    file chooser: Don't switch too eagerly to search mode

    If the search entry doesn't consume the key event, don't
    change to search mode. Otherwise, we interfere e.g. with
    Ctrl and Shift keys for selection.

    https://bugzilla.gnome.org/show_bug.cgi?id=743660

 gtk/gtkfilechooserwidget.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 9cbf764bcd2421824ff8ac8d4b23eae1b1e56949
Author: Garrett Regier <garrettregier@gmail.com>
Date:   Tue Jan 27 09:22:26 2015 -0800

    Fix VA marshaller for GtkWidget's "event-after" signal

    Just a copy and paste typo from the "event" signal.

    https://bugzilla.gnome.org/show_bug.cgi?id=743593
    Signed-off-by: Garrett Regier <garrettregier@gmail.com>

 gtk/gtkwidget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9ddff907f0c016e881a2254e82730ece2e36066
Author: Bastian Ilsø <bastianilso@src.gnome.org>
Date:   Wed Jan 28 11:39:01 2015 +0000

    Get started: port example-0.c to GtkApplication

    https://bugzilla.gnome.org/show_bug.cgi?id=743638

 examples/window-default.c | 29 ++++++++++++++++++-----------
 1 file changed, 18 insertions(+), 11 deletions(-)

commit 066646c96d4df25ff4d5ba1776d29e814334306c
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jan 27 13:37:15 2015 +0100

    GtkAboutDialog: Fix crash on link click

    https://bugzilla.gnome.org/show_bug.cgi?id=743592

 gtk/gtkaboutdialog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 86eefc7609cfb5428f40309b3deb22ef1cf4cde1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 16:06:02 2015 -0500

    file chooser: Make Escape go out of search mode

    This works in most other places where we have search,
    and is the expected behavior.

 gtk/gtkfilechooserwidget.c     | 8 ++++++++
 gtk/ui/gtkfilechooserwidget.ui | 1 +
 2 files changed, 9 insertions(+)

commit 1d64175c4b0a83ca7e9535c5dbf4e6ba1e8dfda1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 16:02:03 2015 -0500

    file chooser: Simplify search entry callback

 gtk/gtkfilechooserwidget.c     | 9 +++------
 gtk/ui/gtkfilechooserwidget.ui | 2 +-
 2 files changed, 4 insertions(+), 7 deletions(-)

commit d270c5524fbd129bc96b2b31e1d97efa02be4e81
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 15:57:12 2015 -0500

    file chooser: Drop unused callbacks

 gtk/gtkfilechooserwidget.c | 14 --------------
 1 file changed, 14 deletions(-)

commit 4ac57d4d4c8fced128228addc7a11b785ccb859e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 15:37:53 2015 -0500

    file chooser: Remove the search/browse buttons

    Enabling search is now handled in the file chooser dialog,
    so we don't need these buttons anymore.

 gtk/ui/gtkfilechooserwidget.ui   | 75
 ----------------------------------------
 gtk/ui/gtkfilechooserwidget.ui.h |  3 --
 2 files changed, 78 deletions(-)

commit 7c51e60b8647f8dfcc3b1c30eb8ed8e5b21489ef
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 15:36:57 2015 -0500

    file chooser dialog: Add a search button to the header

    This is where we put similar search buttons in applications
    and in other dialogs, such as the GtkAppChooserDialog.

 gtk/gtkfilechooserdialog.c | 42
 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

commit de4427304c680c4d111ba92477a30f70befa2d06
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 15:00:08 2015 -0500

    file chooser: Add a search-mode property

    This will be used to control search from the dialog.

 gtk/gtkfilechooserwidget.c | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 76b674f3b63bb77944e82170852ec64b3a4c2c39
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 10:35:49 2015 -0500

    file chooser: Clean up includes

 gtk/gtkfilechooserwidget.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit f029a2230dfb71f0d94afa3124eb2a944ca1bb21
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Wed Jan 28 20:22:05 2015 +0100

    Adwaita: undershoot tweaks

 gtk/theme/Adwaita/_drawing.scss          | 14 ++++++--------
 gtk/theme/Adwaita/gtk-contained-dark.css | 16 ++++++++--------
 gtk/theme/Adwaita/gtk-contained.css      | 16 ++++++++--------
 3 files changed, 22 insertions(+), 24 deletions(-)

commit 5f1fb0e4fcd16111611f51c37ab225cfd9bb0925
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Wed Jan 28 20:05:03 2015 +0100

    Adwaita: undershoot teeth removal

 gtk/theme/Adwaita/_drawing.scss          | 66
 +++++++++++---------------------
 gtk/theme/Adwaita/gtk-contained-dark.css | 45 ++++++++++++----------
 gtk/theme/Adwaita/gtk-contained.css      | 45 ++++++++++++----------
 3 files changed, 70 insertions(+), 86 deletions(-)

commit 201134b9df0c71cb729da9f3dc7410a066f3aacc
Author: Jakub Steiner <jimmac@gmail.com>
Date:   Wed Jan 28 18:22:59 2015 +0100

    Adwaita: shade content-view

    https://bugzilla.gnome.org/show_bug.cgi?id=740336

 gtk/theme/Adwaita/_common.scss           | 7 +++++++
 gtk/theme/Adwaita/gtk-contained-dark.css | 5 +++++
 gtk/theme/Adwaita/gtk-contained.css      | 5 +++++
 3 files changed, 17 insertions(+)

commit f07ac793fea9a76605f5c6a7b86015377a98ffc3
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Wed Jan 28 18:19:20 2015 +0100

    Adwaita: set the right background color for message dialogs

 gtk/theme/Adwaita/_common.scss      | 6 ++++++
 gtk/theme/Adwaita/gtk-contained.css | 2 ++
 2 files changed, 8 insertions(+)

commit 3f4df0644c76c88a57a0bbe57a4b469f5dddb71e
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sun Jan 25 17:55:01 2015 +0000

    window: Only claim the sequence if keeping the grab

    If the grab belongs elsewhere, the window won't claim the sequence
    right
    away. The sequence may still be claimed afterwards when window
    dragging
    starts, but simple clicks won't be consumed this way.

    This makes it possible to close popovers when clicking on the
    title region,
    while still permitting touch/button 1 interaction for every other
    purpose.

    https://bugzilla.gnome.org/show_bug.cgi?id=743257

 gtk/gtkwindow.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit ea983404ec02c1fcb01be13eb2ce271430d80346
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Jan 27 11:24:18 2015 +0000

    win32: Don't check the position of a NULL device

    This function is given a barely setup GdkEvent, so the GdkDevice field
    is still unset, causing warnings and misbehaviors when the position
    is queried for it.

    Given that the wintab GTK+ code seems to rely somewhat hard on
    the wintab
    device managing the pointer cursor, query the pointer position
    from the
    pointer itself.

    https://bugzilla.gnome.org/show_bug.cgi?id=743330

 gdk/win32/gdkdevicemanager-win32.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 15438905693106e81b96100ce5843e87910768d5
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Jan 26 14:26:34 2015 +0000

    win32: Ensure we can create a window for wintab

    The window used NULL as a parent window, which defaults internally to
    using the root window of the default screen. But at the time wintab is
    initialized, there is no default display/screen yet.

    Fix this by retrieving this information from the given
    GdkDeviceManager,
    so we don't have to wait for the display to be in place before
    initialization.

    https://bugzilla.gnome.org/show_bug.cgi?id=743330

 gdk/win32/gdkdevicemanager-win32.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2dd07f346a0f724146c6ba7d6ce3a3372d901397
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Tue Jan 27 18:50:33 2015 +0100

    gdkscreen-wayland: Don't leak wl_output objects

    https://bugzilla.gnome.org/show_bug.cgi?id=743633

 gdk/wayland/gdkscreen-wayland.c | 1 +
 1 file changed, 1 insertion(+)

commit f717d984582e75747c123e30ed5672a69c6936f8
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Wed Jan 28 17:11:34 2015 +0100

    Adwaita: another approach at the undershoot styling

 gtk/theme/Adwaita/_common.scss           |   2 -
 gtk/theme/Adwaita/_drawing.scss          |  70 ++++++---
 gtk/theme/Adwaita/gtk-contained-dark.css | 234
 ++++++++++++++++++++++---------
 gtk/theme/Adwaita/gtk-contained.css      | 234
 ++++++++++++++++++++++---------
 4 files changed, 385 insertions(+), 155 deletions(-)

commit 1aee4f038448b79ebbc6fb6925aec2dfbe71f3c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jan 28 10:08:13 2015 -0500

    Fix a typo

    commit aa1b7fab9c6a2b39 introduced a misuse of G_UNLIKELY in
    several places. Fix all those.

 gtk/gtktextview.c | 2 +-
 gtk/gtktreeview.c | 2 +-
 gtk/gtkwidget.c   | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 8e8a94bc23b782777d3071d10c7847c5b49442d8
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:   Wed Jan 28 14:13:42 2015 +0000

    Also bundle icons in status/ as resources

    https://bugzilla.gnome.org/show_bug.cgi?id=743647

 gtk/Makefile.am | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit f3d95d05eb599c80327db0b7c318d60818b48609
Author: Bastian Ilsø <bastianilso@src.gnome.org>
Date:   Tue Jan 27 11:43:40 2015 +0000

    Introduction explaining widget toolkit

 docs/reference/gtk/getting_started.xml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 00834786be3b280dd048d234ee6bb188d01e1ff8
Author: Niels Nesse <nnesse@sonic.net>
Date:   Sat Jan 17 23:21:35 2015 -0800

    GDK GL context's should associate with "window->impl_window" not
    "window"

    In some layouts this inconsistency results in crashes in
    gdk_gl_texture_from_surface() since it uses
    gdk_gl_context_get_window() but
    the returned window is not the same as the one that is being
    painted so
    "window->current_paint.surface" is NULL. I saw this problem when
    packing a
    GdkGLArea into a GtkPaned.

    https://bugzilla.gnome.org/show_bug.cgi?id=743146

 gdk/gdkwindow.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 27cf0fa34c3a51ddb50391f21aaf2e3984d6dddb
Author: Niels Nesse <nnesse@sonic.net>
Date:   Wed Jan 14 17:30:28 2015 -0800

    Fix core context creation in GdkGLContext

    - Specifically request GL version when creating context. Just
    specifying core
    profile bit results in the requested version defaulting to 1.0
    which causes
    the core profile bit to be ignored and an arbitrary compatability
    context to be
    returned.

    - Fix GL painting by removing GL calls that have been depricated by
    the 3.2 core
    profile.

    - Additionally remove glInvalidateFramebuffer() call, it is not
    supported by 3.2
    core.

    https://bugzilla.gnome.org/show_bug.cgi?id=742953

 gdk/gdkgl.c                | 16 +++++-----------
 gdk/gdkglcontext.c         |  2 +-
 gdk/gdkwindow.c            |  1 -
 gdk/x11/gdkglcontext-x11.c |  2 ++
 gtk/gtkglarea.c            |  2 --
 5 files changed, 8 insertions(+), 15 deletions(-)

commit 9e85fcbe7cc3cf296b125f149d20645c821d4b62
Author: Bastian Ilsø <bastianilso@src.gnome.org>
Date:   Tue Jan 27 19:25:40 2015 +0000

    Paragraph explaining casting conventions via macro

 docs/reference/gtk/getting_started.xml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit a1e4ba0dd42684a707c2851b4d45c3637974f6d0
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Jan 27 17:14:26 2015 +0000

    gtktreeview: Fix horizontal grid lines

    The clipping was wrong so it was not drawing grid lines
    outside the visible area, which broke due to the pixel cache.

 gtk/gtktreeview.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1442299b4838d38de81285cf007b871cf867ed69
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Wed Nov 20 17:25:59 2013 +0100

    clipboard: Add get_default() helper

    Add helper for getting the main clipboard. This makes
    the API usable for bindings (as GdkAtoms aren't usable through
    gobject-introspection), and easier to use in C.

    https://bugzilla.gnome.org/show_bug.cgi?id=712752

 docs/reference/gtk/gtk3-sections.txt |  1 +
 gtk/gtkclipboard.c                   | 20 ++++++++++++++++++++
 gtk/gtkclipboard.h                   |  3 +++
 3 files changed, 24 insertions(+)

commit 46b10f1d929e89d02175796c6dc5250215f51105
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Tue Jan 27 14:32:27 2015 +0000

    Updated Icelandic translation

 po/is.po | 87
 ++++++++++++++++++++++++++++++----------------------------------
 1 file changed, 41 insertions(+), 46 deletions(-)

commit aa1b7fab9c6a2b39ccdf90c8ee1e04e583815424
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 27 05:03:52 2015 +0100

    css: Remove _gtk_css_style_property_changes_affect_size()

    ... and _gtk_css_style_property_changes_affect_font().

    Replace it with _gtk_css_style_property_get_mask_affecting().

 gtk/gtkcssstyleproperty.c        | 23 -----------------------
 gtk/gtkcssstylepropertyprivate.h |  4 ----
 gtk/gtktextview.c                |  7 ++++++-
 gtk/gtktreeview.c                |  7 ++++++-
 gtk/gtkwidget.c                  |  7 ++++++-
 5 files changed, 18 insertions(+), 30 deletions(-)

commit 488ea44a597063ecd9d1354bc01b1e165670a98d
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 27 04:48:35 2015 +0100

    image: Use _gtk_css_style_property_get_mask_affecting()

    ... to avoid recomputing the cached surface all the time.

 gtk/gtkimage.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit c42e54e9494d7d56634bd9bbafe38ddf6ee8daa8
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 27 04:47:55 2015 +0100

    css: Add _gtk_css_style_property_get_mask_affecting()

    Computes a bitmask for all properties that affect the given flags.

 gtk/gtkcssstyleproperty.c        | 29 +++++++++++++++++++++++++++++
 gtk/gtkcssstylepropertyprivate.h |  2 ++
 2 files changed, 31 insertions(+)

commit ffff7b055bb82f4412c6c0549b84e90f285b5480
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 27 04:36:00 2015 +0100

    css: Remove GtkCssStyleProperty::affects-size

    ... and GtkCssStyleProperty::affects-font properties. Code now uses
    GtkCssStyleProperty::affects instead.

 gtk/gtkcssstyleproperty.c        | 68
 ++--------------------------------------
 gtk/gtkcssstylepropertyimpl.c    |  2 --
 gtk/gtkcssstylepropertyprivate.h |  2 --
 3 files changed, 2 insertions(+), 70 deletions(-)

commit c0650057c11b87cf7c2c063b160c54080318f7f7
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 27 04:32:09 2015 +0100

    css: Add GtkCssStyleProperty::affects property

 gtk/gtkcssstyleproperty.c        | 32 ++++++++++++++++++++++++++++++++
 gtk/gtkcssstylepropertyimpl.c    |  1 +
 gtk/gtkcssstylepropertyprivate.h |  2 ++
 gtk/gtkcsstypesprivate.h         |  2 +-
 4 files changed, 36 insertions(+), 1 deletion(-)

commit 11d70f1ac30dd491d9d8dac9b9e2c31cee073cc9
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 27 00:25:05 2015 +0100

    css: Add a -gtk-icon-theme CSS property

    The property is useless to set (it only allows 'initial', 'inherit'
    and
    'unset' as values), but it is used to track changes to the icon theme.
    And as such, it can ensure that widgets can track when they need to
    reload icons.

    https://bugzilla.gnome.org/show_bug.cgi?id=743341

 gtk/Makefile.am                   |   2 +
 gtk/gtkcssiconthemevalue.c        | 135
 ++++++++++++++++++++++++++++++++++++++
 gtk/gtkcssiconthemevalueprivate.h |  32 +++++++++
 gtk/gtkcssstylepropertyimpl.c     |  19 ++++++
 gtk/gtkcsstypesprivate.h          |   1 +
 5 files changed, 189 insertions(+)

commit 9cbf04c1d2db22001995b9851587b475ffcefe44
Author: Mike Gorse <mgorse@suse.com>
Date:   Mon Jan 26 14:59:50 2015 -0600

    A11y: fix typo when initializing a container cell accessible

    Gtk_container_cell_widget_set should chain up to its parent's set
    function, not its parent's unset function. This was resulting in
    accessibles being erroneously marked defunct after being created.

 gtk/a11y/gtkcontainercellaccessible.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8cb444147cdbc624c0ecda3209c389dbe824152f
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Jan 26 22:13:52 2015 +0200

    Updated Properties Hebrew translation

 po-properties/he.po | 904
 ++++++++++++++++++++++++++--------------------------
 1 file changed, 458 insertions(+), 446 deletions(-)

commit daad650a9c0759d96d65422b68972a8aa01bd291
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Jan 26 22:12:48 2015 +0200

    Updated Hebrew translation

 po/he.po | 326
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 174 insertions(+), 152 deletions(-)

commit 5fc8cf43317b1eef865fddefd69093b30a544976
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 24 19:31:11 2015 -0500

    x11: Handle obsolete selection requests without crashing

    The ICCCM says:

    If the specified property is None, the requestor is an obsolete
    client.
    Owners are encouraged to support these clients by using the specified
    target atom as the property name to be used for the reply.

    Lets do that, instead of crashing.

    https://bugzilla.gnome.org/show_bug.cgi?id=740613

    The previous fix for this issue in 732af31424b8f382d was incomplete.

 gdk/x11/gdkdisplay-x11.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 542c824c717b3d3f04a982dd11faf85de1ba3828
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 24 19:25:50 2015 -0500

    Trivial doc fixes

    Remove two erroneous quotation marks.

 gtk/gtkdnd.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8fc920144bb1f9840e501ef4f470be2eb83b6c0a
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Tue Jan 20 17:54:03 2015 +0100

    GtkFileChooserWidget: Fix a crash for when the widget was unrefed
    right after setting a current folder.

    Keep a reference to the widget while the async operation is ongoing.

    https://bugzilla.gnome.org/show_bug.cgi?id=725164

 gtk/gtkfilechooserwidget.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c235747847d59db7f2bf553cc53f7656397b7627
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Tue Jan 20 17:48:54 2015 +0100

    GtkFileChooserWidget: remove unused fields and cleanup code.

    These fields are never set, so we don't need the code to clean
    them up.

    https://bugzilla.gnome.org/show_bug.cgi?id=725164

 gtk/gtkfilechooserwidget.c | 39 ---------------------------------------
 1 file changed, 39 deletions(-)

commit 95fad690d2fee2970ff7f233ce82d28183d5d86b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 24 17:25:43 2015 -0500

    wayland: Don't claim to support selection notification

    We don't support selection notification, so don't claim
    we do, only to fail later.

    https://bugzilla.gnome.org/show_bug.cgi?id=743229

 gdk/wayland/gdkdisplay-wayland.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b6551c84c9fcd1c63f4fe8055e016f41cf7c4985
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 24 16:45:04 2015 -0500

    Initialize variables

    No need to risk valgrind complaints about initialized
    values.

    https://bugzilla.gnome.org/show_bug.cgi?id=743422

 gdk/gdkwindow.c | 2 ++
 1 file changed, 2 insertions(+)

commit aa0811d320c0da992a37da22edd3c7966e9cb152
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Wed Jan 21 11:28:19 2015 +0100

    GtkTreeModel: Documentation fix

    https://bugzilla.gnome.org/show_bug.cgi?id=743286

 gtk/gtktreemodel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4dee9b682b5ef0b00d882f0327f0cbdd317afaf
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Mon Jan 19 18:06:03 2015 +0100

    Fix transfer annotation for tree_model parameter of
    gtk_tree_get_row_drag_data() and add nullable, optional

    The GtkSelectionData does not own the model set with
    gtk_tree_set_row_drag_data so change the out param to "transfer none".
    This fixes a crash after multiple DnD actions due to the bindings
    stealing a reference each time this function is called.

    This also adds nullable and optional annotations for tree_model and
    path while at it.

    https://bugzilla.gnome.org/show_bug.cgi?id=743193

 gtk/gtktreednd.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9668962da12df65810856178bbb5ec1866a953d0
Author: Timm Bäder <mail@baedert.org>
Date:   Fri Jan 23 11:21:02 2015 +0100

    gtkdnd: Set the dnd window's screen before its visual

    This makes dnd icons work for widgets on a !default screen.

    https://bugzilla.gnome.org/show_bug.cgi?id=743393

 gtk/gtkdnd.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit b3c28e14fe184ee61f1904021ba42af5052bc9da
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 24 13:32:31 2015 -0500

    file chooser: search improvements

    Make it so that typing switches to search unless we have a better
    use for the key events, and stop search if the entry is emptied.

 gtk/gtkfilechooserwidget.c | 27 ++++++++++++++++++++++++---
 1 file changed, 24 insertions(+), 3 deletions(-)

commit 8f9c8120b9d8a4cfa9ed1777da37f7a2d618a3a6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 24 08:04:36 2015 -0500

    file chooser: Turn off typeahead search

    It is the third kind of navigation entry in the file chooser after
    the location entry and search, and it interacts badly with both
    of the others.

 gtk/ui/gtkfilechooserwidget.ui | 1 +
 1 file changed, 1 insertion(+)

commit a0ecb44b41ed5625aa05e101959110f09a089b5c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Dec 27 18:53:21 2014 -0500

    gtk-demo: Show search entry signals

 demos/gtk-demo/search_entry2.c | 51
 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

commit 3bf12c44e28076fd23c21a5e512df19070d04a0a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Dec 27 18:29:07 2014 -0500

    Use the new API in GtkSearchBar if we can

    Sadly, GtkSearchBar allows connecting plain entries, so we have
    to keep the old code around.

 gtk/Makefile.am             |   1 +
 gtk/gtksearchbar.c          | 152
 ++++++++++++++++++++------------------------
 gtk/gtksearchentry.c        |   6 +-
 gtk/gtksearchentryprivate.h |  36 +++++++++++
 4 files changed, 110 insertions(+), 85 deletions(-)

commit 354536d464bc39ef1f335cd89f71398bea74e506
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 24 22:44:44 2014 -0500

    inspector: Use some of the new GtkSearchEntry API

    Avoid repetitive, manual event handling in various places
    in GtkInspector.

 gtk/inspector/object-tree.c      |   9 ++++
 gtk/inspector/object-tree.ui     |   3 ++
 gtk/inspector/prop-list.c        | 103
 ++-----------------------------------
 gtk/inspector/prop-list.ui       |   1 +
 gtk/inspector/style-prop-list.c  | 106
 ++-------------------------------------
 gtk/inspector/style-prop-list.ui |   2 +
 6 files changed, 22 insertions(+), 202 deletions(-)

commit 500c8d82fc4ba01b8424fb51fae4cd6af46d362a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Nov 24 22:40:45 2014 -0500

    GtkSearchEntry: Add more API

    Add ::next-match, ::previous-match and ::stop-search keybinding
    signals that are bound to Ctrl-g, Ctrl-Shift-g and Escape. Also
    add a gtk_search_entry_handle_event() function to handle key events.

 docs/reference/gtk/gtk3-sections.txt |   1 +
 gtk/gtksearchentry.c                 | 218
 ++++++++++++++++++++++++++++++++++-
 gtk/gtksearchentry.h                 |  12 +-
 3 files changed, 220 insertions(+), 11 deletions(-)

commit 82a5edceca581b7eaedb7e3692bd8186049f8e08
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Fri Jan 23 13:37:21 2015 +0000

    Updated Icelandic translation

 po/is.po | 3124
 ++++++++++++++++++++++++++------------------------------------
 1 file changed, 1295 insertions(+), 1829 deletions(-)

commit ad180c43358d1e8f22d23763fc7935f7cdce1cee
Author: Timm Bäder <mail@baedert.org>
Date:   Thu Jan 22 13:40:12 2015 +0100

    inspector: Make gl extension rows unactivatable

 gtk/inspector/general.c | 1 +
 1 file changed, 1 insertion(+)

commit 2e71fbacbf150c15c01ea2e58484e26c245eff25
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jan 22 20:20:43 2015 +0100

    Updated POTFILES.skip

 po-properties/POTFILES.skip | 2 ++
 po/POTFILES.skip            | 2 ++
 2 files changed, 4 insertions(+)

commit 7e5ac3a58d0362080c4eb7c9b68ead99674c7b87
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Jan 22 15:47:36 2015 +0100

    roundedbox: Treat path segments differently

    If a side of the box is 0px wide, make the corners owned by the
    adjacent
    sides. This avoids spilling over of unwanted colors from the 0-width
    side into the corner.

    New test for this case is included.

 testsuite/reftests/Makefile.am                     |   3 +
 .../border-corner-zero-width-rendering.css         |  33 +++
 .../border-corner-zero-width-rendering.ref.ui      | 207 ++++++++++++++++
 .../reftests/border-corner-zero-width-rendering.ui | 269
 +++++++++++++++++++++
 4 files changed, 512 insertions(+)

commit 3a9bf0fe1d9202862b6c8e45a2575f178eae8aee
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Jan 22 14:36:33 2015 +0100

    widget: Compute clip of children properly

    For widgets with a window, we need to adjust the allocation of their
    children.

 gtk/gtkwidget.c | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

commit d879a1360052df1ae504258c178b130f66cea47b
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Jan 22 14:33:26 2015 +0100

    widget: Correctly handle which widgets to include in the clip

    Previously, we would not include any child widget on the first
    allocation, which happens right after realize(), but before map(). No
    widget is drawable at that point.

 gtk/gtkwidget.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit bd31310c40de64add4aa813315216685ef224a77
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Jan 22 14:33:03 2015 +0100

    widget: Add debug spew for setting the clip

 gtk/gtkwidget.c | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 3fcb8928310aa24696dd6e0c5350d263fd034518
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Jan 22 14:32:38 2015 +0100

    headerbar: Implement clipping

 gtk/gtkheaderbar.c | 2 ++
 1 file changed, 2 insertions(+)

commit ba06066158cc2c4e68a8de5706349a2c221c5c58
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 21 16:22:30 2015 +0100

    border: Don't special case according to border styles

    This is now done (as it should) in the compute code.

 gtk/gtkrenderborder.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 728bce2cf8258e46f11c3452539b3bf064f60f5c
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Wed Jan 21 15:29:54 2015 +0100

    css: Move "border-style: none" special case to CssValueNumber

    This fixes the background being shifted by the border-width even
    though
    the border-style was none.

 gtk/gtkcssnumbervalue.c   | 34 ++++++++++++++++++++++++++
 gtk/gtkcssstyleproperty.c | 61
 -----------------------------------------------
 2 files changed, 34 insertions(+), 61 deletions(-)

commit 610f7e8f70ce165e04a4cdc3fd20b560f500b925
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 21 02:16:44 2015 +0100

    stylecontext: Don't do unnecessary workarounds

    when calling get_padding/border/margin, there is no need to go through
    the fallback API.

    This is a huge speedup for certain benchmarks.

 gtk/gtkstylecontext.c | 54
 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 30 insertions(+), 24 deletions(-)

commit 8836a0d6ce554164e4f513bbf0c0743f629af8e0
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Wed Jan 21 01:14:55 2015 +0100

    render: fix arrow orientation

    The rotation code in the draw_arrow function was assuming that
    the arrow
    would be drawn pointing upwards but it was pointing to the right
    resulting in the rotated arrows pointing in the wrong direction.

    The recent refactoring caused a pi/2 rotation to be lost. Rather than
    adding that back somehwere (to lose it again in the future), we just
    draw the arrow pointing upwards as it is expected to do with a
    0 angle.

 gtk/gtkcssimagebuiltin.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit da163469f9d344190f69bfc163517154af0e2dab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 20 08:18:03 2015 -0500

    3.15.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c7efbeddd07ae8df844efff09bba2fd1ef792d58
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 20 06:46:58 2015 -0500

    More updates

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 22967f1612fc7005ccaad8c06eaf167cfecc843c
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 20 06:25:01 2015 +0100

    image: Compute clip properly

    Use the helper function we have for this, don't do it manually. This
    has
    the side effect of also supporting icon transforms.

 gtk/gtkimage.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit f7433557abd63c8e6d03ba31c14f004a0d62c173
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 20 05:54:45 2015 +0100

    render: Implement -gtk-icon-transform for icon surfaces

    Yes, I like playing around. To enjoy, add this CSS to your application
    of choice (preferrably glade or something with lots of images):

    GtkImage { animation: spin 2s linear infinite; }

    You can thank me later.

 gtk/gtkrendericon.c | 54
 ++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 51 insertions(+), 3 deletions(-)

commit 8c745088d5376ba399985dad98d82311218ca548
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 20 05:21:15 2015 +0100

    render: Split icon surface rendering out

    Just like normal icons, icon surfaces belong into gtkrendericon.c.

 gtk/gtkrender.c            | 48
 ++++++++++++----------------------------------
 gtk/gtkrendericon.c        | 18 +++++++++++++++++
 gtk/gtkrendericonprivate.h | 20 ++++++++++++-------
 3 files changed, 43 insertions(+), 43 deletions(-)

commit f6d64f65915d7bfe091497fdd5cf90e98115a928
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 20 01:48:46 2015 +0100

    render: Split icon rendering into its own file

 gtk/Makefile.am            |  2 ++
 gtk/gtkrender.c            | 58 +++++------------------------------
 gtk/gtkrendericon.c        | 76
 ++++++++++++++++++++++++++++++++++++++++++++++
 gtk/gtkrendericonprivate.h | 42 +++++++++++++++++++++++++
 4 files changed, 127 insertions(+), 51 deletions(-)

commit e697213b35e6fe2bf1bea6b6d51607c1a7241bc1
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 17:41:29 2015 +0100

    render: Remove spinner special-cases

    The spinner is a regular builtin image now. There is no need to go
    through the shadows code manually anymore as regular items do get
    shadows automatically.

    This also allows simplifying the actual spinner drawing code so
    that it
    actually works.

 gtk/gtkcssimagebuiltin.c        | 35 +++++++++++++++++++++++++----
 gtk/gtkcssshadowsvalue.c        | 16 -------------
 gtk/gtkcssshadowsvalueprivate.h |  4 ----
 gtk/gtkcssshadowvalue.c         | 23 -------------------
 gtk/gtkcssshadowvalueprivate.h  |  4 ----
 gtk/gtkrender.c                 | 50
 -----------------------------------------
 gtk/gtkrenderprivate.h          |  3 ---
 7 files changed, 31 insertions(+), 104 deletions(-)

commit cc4d34e6884b958505dfd888d9b53b4b39084581
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 17:30:43 2015 +0100

    render: Render builtin images as regular CSS images

    This not only reduces code, but also allows for builtin images to have
    shadows or be transformed using -gtk-icon-transform.

 gtk/gtkcssimagebuiltin.c |  6 +++
 gtk/gtkrender.c          | 97
 +++++++++---------------------------------------
 2 files changed, 23 insertions(+), 80 deletions(-)

commit 45541cbf10a13716680df52c6a214495fb8243d7
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 17:14:55 2015 +0100

    render: Don't require passing CSS properties to builtin images

    Instead, make the buiultin image get those properties itself in the
    compute vfunc.

 gtk/gtkcssimagebuiltin.c        | 239
 ++++++++++++++++++++--------------------
 gtk/gtkcssimagebuiltinprivate.h |  13 ++-
 gtk/gtkrender.c                 | 157 +-------------------------
 3 files changed, 133 insertions(+), 276 deletions(-)

commit 9ce8ce119853635692139a13c3b85602696486ef
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 17:09:42 2015 +0100

    css: Move icon properties to the end

    The order in which properties are defined depends on the order
    in which
    they are computed. And that means that properties can only depend on
    other properties that are defined before them.

    The next patches will need this reordering.

 gtk/gtkcssstylepropertyimpl.c | 74
 +++++++++++++++++++++----------------------
 gtk/gtkcsstypesprivate.h      |  8 ++---
 2 files changed, 41 insertions(+), 41 deletions(-)

commit fe028e27899e818f84bb007a44b83802a97ef071
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 05:44:47 2015 +0100

    render: Only render 4 different arrows

    Instead of supporting every angle, just support top, right, bottom and
    left and round the angle to one of those directions.

    Adwaita overrides arrows anyway and doesn't even look at the angle, so
    this should not be a problem.

 gtk/gtkcssimagebuiltin.c        | 27 +++++++++++++++++++++++++--
 gtk/gtkcssimagebuiltinprivate.h |  5 ++++-
 gtk/gtkrender.c                 | 30 ++++++++++++++++++++++++++----
 3 files changed, 55 insertions(+), 7 deletions(-)

commit 118c8876561f9379f169106a684bc23ec8c605b1
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 04:40:24 2015 +0100

    render: Don't pass junction sides to builtin image

    Instead, split the grip into 8 different builtin images (one for each
    side and corner).

 gtk/gtkcssimagebuiltin.c        | 66
 +++++++++++++++++++----------------------
 gtk/gtkcssimagebuiltinprivate.h | 10 +++++--
 gtk/gtkrender.c                 | 38 ++++++++++++++++++------
 3 files changed, 68 insertions(+), 46 deletions(-)

commit e6b228f12a30cda36a84b550b49f84555e08fcc7
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 04:27:31 2015 +0100

    render: Extend builtin images to account for states

    We add to the enum to account for the images generated for different
    states.

 gtk/gtkcssimagebuiltin.c        | 84
 +++++++++++++++++++++++++++++++----------
 gtk/gtkcssimagebuiltinprivate.h | 15 ++++++--
 gtk/gtkrender.c                 | 60 +++++++++++++++++++++++------
 3 files changed, 126 insertions(+), 33 deletions(-)

commit 1c3dd5d46bd2e33bc7bf43b28d9c57c69a1199dd
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Jan 18 20:24:27 2015 +0100

    render: Move code for rendering builtin images

    Also, make it have a generic entry point with
    gtk_css_image_builtin_draw().

    The only feature lost so is the drawing of shadows for spinners, but
    that will come back later.

 gtk/gtkcssimagebuiltin.c        | 794
 +++++++++++++++++++++++++++++++++++++-
 gtk/gtkcssimagebuiltinprivate.h |  25 ++
 gtk/gtkrender.c                 | 818
 ++++++++--------------------------------
 3 files changed, 976 insertions(+), 661 deletions(-)

commit ebb64c2288aff6bd70d349771cc564d36b2f27b0
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Jan 18 00:17:57 2015 +0100

    inspector: Remove unused hash table

 gtk/inspector/style-prop-list.c | 4 ----
 1 file changed, 4 deletions(-)

commit 7ba7dff69e5d6902845f91119c90658420a54c0a
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Jan 18 00:14:08 2015 +0100

    inspector: Remove unused treemodel properties

    As a side effect, we can use _gtk_css_section_to_string() to
    format the
    section and save a lot of code.

 gtk/inspector/style-prop-list.c | 51
 +++--------------------------------------
 1 file changed, 3 insertions(+), 48 deletions(-)

commit 4ba710ea3091f9e3603c4fc77dc4c14c083021b6
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 18:55:34 2015 +0100

    inspector: Use GtkCssStyle and gtk_css_value_to_string()

 gtk/inspector/style-prop-list.c | 81
 +++++------------------------------------
 1 file changed, 9 insertions(+), 72 deletions(-)

commit 8b6d419e02085fa19e73236a0bef363240b7c803
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 18:15:19 2015 +0100

    render: Move border rendering into its own file

    gtkrenderborder.c now contains the implementation for
      gtk_css_style_render_border
      gtk_css_style_render_outline

 gtk/gtkrender.c              | 473
 ++----------------------------------------
 gtk/gtkrenderborder.c        | 482
 ++++++++++++++++++++++++++++++++++++++++++-
 gtk/gtkrenderborderprivate.h |  34 ++-
 3 files changed, 505 insertions(+), 484 deletions(-)

commit 5ec97f61446868048037dcb8b07310a57956c2cc
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 18:09:52 2015 +0100

    render: Remove unused header

 gtk/gtkrender.c | 1 -
 1 file changed, 1 deletion(-)

commit 717877dff2c53804e26b688275a1ca284bbf7306
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 18:00:03 2015 +0100

    render: Rename gtkborderimage.[ch]

    I want the gtkrender prefix for all filenames about rendering.

 gtk/Makefile.am                     |   4 +-
 gtk/deprecated/gtkstyleproperties.c |   1 -
 gtk/gtkborderimage.c                | 321
 -----------------------------------
 gtk/gtkborderimageprivate.h         |  54 ------
 gtk/gtkrender.c                     |   2 +-
 gtk/gtkrenderborder.c               | 322
 ++++++++++++++++++++++++++++++++++++
 gtk/gtkrenderborderprivate.h        |  54 ++++++
 7 files changed, 379 insertions(+), 379 deletions(-)

commit cb0ca9a804554d8bf90c88e80802210edbcd6245
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 17:07:01 2015 +0100

    render: Use a GtkCssStyle instead of GtkStyleContext for focus

 gtk/gtkrender.c | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 5cc0cae4b7a837ecc8cc3114d4851fba9a3e968d
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 16:55:45 2015 +0100

    render: Rename gtkthemingbackground.[ch]

    I want the gtkrender prefix for all filenames about rendering.

 gtk/Makefile.am                   |   4 +-
 gtk/gtkrender.c                   |   2 +-
 gtk/gtkrenderbackground.c         | 346
 ++++++++++++++++++++++++++++++++++++++
 gtk/gtkrenderbackgroundprivate.h  |  41 +++++
 gtk/gtkthemingbackground.c        | 346
 --------------------------------------
 gtk/gtkthemingbackgroundprivate.h |  41 -----
 6 files changed, 390 insertions(+), 390 deletions(-)

commit d25b4105d61243dc5943dc5c6d649b123d81b86f
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 05:54:36 2015 +0100

    render: Take a GtkCssStyle for rendering frames

    ... and move the whole function into gtkthemingbackground.c

 gtk/gtkrender.c                   | 192
 ++++++++++++++++++--------------------
 gtk/gtkthemingbackground.c        |  14 +--
 gtk/gtkthemingbackgroundprivate.h |  17 ++--
 3 files changed, 107 insertions(+), 116 deletions(-)

commit d0a12d477e965958c3943a565485ad25789136e4
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 05:27:23 2015 +0100

    borderimage: Use a GtkCssStyle instead of GtkStyleContext

 gtk/gtkborderimage.c        | 14 +++++++-------
 gtk/gtkborderimageprivate.h |  2 +-
 gtk/gtkrender.c             |  2 +-
 3 files changed, 9 insertions(+), 9 deletions(-)

commit dd2202288aae0e8d45b941d5839b45ae309fe0fd
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 05:23:00 2015 +0100

    themingbackground: Use a GtkCssStyle instead of GtkStyleContext

 gtk/gtkrender.c                   |  4 +--
 gtk/gtkthemingbackground.c        | 68
 +++++++++++++++++++--------------------
 gtk/gtkthemingbackgroundprivate.h |  2 +-
 3 files changed, 37 insertions(+), 37 deletions(-)

commit 8d94140da9a20499b43ddfac375b325efb9de12f
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 05:16:01 2015 +0100

    roundedbox: Take a GtkCssStyle instead of a GtkStyleContext

    This is in preparation for iusing GtkCssStyle instead of
    GtkStyleContext
    in render functions.

 gtk/gtkrender.c            |  6 +++---
 gtk/gtkroundedbox.c        | 28 ++++++++++++++--------------
 gtk/gtkroundedboxprivate.h | 10 +++++-----
 gtk/gtkthemingbackground.c |  2 +-
 4 files changed, 23 insertions(+), 23 deletions(-)

commit 73b3b9ee9408e9d645cb443852a5d93e4485b0d9
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 02:38:43 2015 +0100

    stylecontext: Rename function and export it.

    The name now better reflects what it does, since GtkCssComputedValues
    was renamed to GtkCssStyle, too.

 gtk/gtkstylecontext.c        | 29 ++++++++++++++---------------
 gtk/gtkstylecontextprivate.h |  1 +
 2 files changed, 15 insertions(+), 15 deletions(-)

commit f313a8235bfeaea63bc657d33a5035ebbcc6f318
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 20 01:15:04 2015 +0100

    reftests: Fix border-style-none reftest

    Unset all CSS; Adwaita was messing up things.

 testsuite/reftests/border-style-none.css | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 8c534fefca02044eda8970cf7fd30cefe9d09749
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 20 01:02:59 2015 +0100

    dnd: Draw dnd icon with regular code

    Overriding the window background is ugly because the window background
    is owned by GTK and can be reset at any time.

    https://bugzilla.gnome.org/show_bug.cgi?id=742646

 gtk/gtkdnd.c | 121
 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 64 insertions(+), 57 deletions(-)

commit dbb8d1dd07a91171ba4a32119713c05e0483de91
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 20 00:33:34 2015 +0100

    stylecontext: Keep track of the CSS ID

    This is necessary since we do the new caching and need to distinguish
    between styles with different IDs.

    Fixes various test cases.

 gtk/gtkcssnodedeclaration.c        | 27 +++++++++++++++++++++++++++
 gtk/gtkcssnodedeclarationprivate.h |  3 +++
 gtk/gtkstylecontext.c              | 36
 ++++++++++++++++++++++++++++++++++++
 gtk/gtkstylecontextprivate.h       |  4 ++++
 gtk/gtkwidget.c                    |  4 +++-
 5 files changed, 73 insertions(+), 1 deletion(-)

commit 39d6ec167eaf87b2f94a49cee7702aaf458ee46b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Jan 19 23:00:55 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 2294
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 1444 insertions(+), 850 deletions(-)

commit c1a013fe4a7de85d4f7f503b978d623d5c854094
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 19 18:26:58 2015 +0100

    Updated Spanish translation

 po-properties/es.po | 393
 ++++++++++++++++++++++++++--------------------------
 1 file changed, 200 insertions(+), 193 deletions(-)

commit 07e9385bab1ce3c8bd7deece332bf33a23fbd1b0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 19 18:26:39 2015 +0100

    Updated Spanish translation

 po/es.po | 184
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 94 insertions(+), 90 deletions(-)

commit 63bc3542ce5cf5f9e711c8f4caad8a1ee1cf0cb0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 19 11:57:10 2015 -0500

    path bar: Don't segfault if we get disposed quickly

    The file chooser code now calls into the path bar in init,
    starting an async operation. This unveiled that the path bar
    code was not safe against being disposed early, by causing
    a crahsh of the objects-finalize test.
    Fix this by making the callback check for CANCELLED.

 gtk/gtkpathbar.c | 4 ++++
 1 file changed, 4 insertions(+)

commit cb63fe042eec9dd46139fcd3a5e26da1849e20cd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 19 11:02:36 2015 -0500

    Updates for 3.15.4

 NEWS | 107
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 107 insertions(+)

commit 00e08a0159c401327e2972f2f79db62135a501ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 19 09:29:17 2015 -0500

    places sidebar: Drop the top margin

    This looks odd in combination with the top underflow.

 gtk/gtkplacessidebar.c | 1 -
 1 file changed, 1 deletion(-)

commit 121fddc4d25934e14a731175ab356f73be4c26c2
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 18 14:25:51 2014 +0100

    x11: Fetch vendor/product identifiers for input devices

    These are retrieved from XInput device properties.

    https://bugzilla.gnome.org/show_bug.cgi?id=740758

 gdk/x11/gdkdevicemanager-xi2.c | 43
 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit 5e53676b469d747b40763770828681c6970863ce
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Nov 18 14:24:52 2014 +0100

    device: Add property/getters for vendor/product identifiers

    These are a construct only properties, expected to be filled in from
    platform specific code.

    https://bugzilla.gnome.org/show_bug.cgi?id=740758

 docs/reference/gdk/gdk3-sections.txt |   2 +
 gdk/gdkdevice.c                      | 114
 ++++++++++++++++++++++++++++++++++-
 gdk/gdkdevice.h                      |   5 ++
 gdk/gdkdeviceprivate.h               |   3 +
 4 files changed, 123 insertions(+), 1 deletion(-)

commit 531fa7860135cd339475d5411dd8630313990e91
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 19 07:32:31 2015 -0500

    gtk-demo: Make editable cells demo more robust

    When removing all rows, trying to add rows would not work
    and throw criticals. This is fallout from a recent change
    to insert rows at the right position. Fix this by handling
    the 'empty model' case separately.

    https://bugzilla.gnome.org/show_bug.cgi?id=743157

 demos/gtk-demo/editable_cells.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit dc952e3d949644b101ab819eca0502a3661e897e
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 16 13:18:09 2015 +0100

    scrolledwindow: Don't displace invalidation by the widget allocation

    This was left unmodified when GtkScrolledWindow was made a windowed
    widget.
    Displacing here by the widget allocation is not necessary anymore,
    since
    we are invalidating the window set at these coordinates.

    This patch is a simplification of a previous one by Timm Bäder.

    https://bugzilla.gnome.org/show_bug.cgi?id=742243

 gtk/gtkscrolledwindow.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit cbabb2e6ff9276991529a5144e84c6a428eef173
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 02:18:59 2015 +0100

    stylecontext: Fix FALSE/TRUE mixup

    Introduced in e649c8773f0357df19f4e28aabf40a203a39c409. It's obviously
    the root node right there.

 gtk/gtkstylecontext.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e1f87068045f5ff2c0191fcc3c5c22ed3f1f30d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 20:01:55 2015 -0500

    scrolled window: Reduce the hover proximity distance further

 gtk/gtkscrolledwindow.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 82e324f8ac91fbae6d7f30dd2df6724662fb4c27
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 19:42:58 2015 -0500

    file chooser: Fix up some focus issues

    Better to switch the visible stack child early, since GtkStack
    has its own focus handling now.

 gtk/gtkfilechooserwidget.c | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 931a479da9abc37424a2b4757117ebd766e2e3c7
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:   Mon Jan 12 09:04:11 2015 +0100

    gtkimagemenuitem: create widget for action icons lazily

    GtkImageMenuItem always packs a GtkImage when it is synced with a
    related action. This is unnecessary when the action doesn't have
    an icon
    set and results in excess padding when a GtkImageMenuItem is put in a
    menu bar (GtkUIManager does this).

    Fix this by not creating the GtkImage for icon-less actions.

    https://bugzilla.gnome.org/show_bug.cgi?id=742181

 gtk/deprecated/gtkimagemenuitem.c | 67
 +++++++++++++++++++--------------------
 1 file changed, 32 insertions(+), 35 deletions(-)

commit 858c80f33e335b45c4c7177e63a981123bd7bd17
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 05:11:40 2015 +0100

    render: Replace gtk_style_context_get_border/padding()

    Use _gtk_style_context_peek_property() instead.

 gtk/gtkrender.c            | 17 ++++++++++++-----
 gtk/gtkthemingbackground.c | 12 +++++++++---
 2 files changed, 21 insertions(+), 8 deletions(-)

commit 8b11e93a2dbe33c16810749ace5379d200fdc471
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 04:58:24 2015 +0100

    render: Get rid of gtk_style_context_get_color()

    Use _gtk_style_context_peek_property() instead.

 gtk/gtkrender.c | 32 ++++++++++++--------------------
 1 file changed, 12 insertions(+), 20 deletions(-)

commit 4bffb6aff5c277cb2868df0b62ea412f8f786fc1
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Jan 18 01:05:12 2015 +0100

    Adwaita: Make :active button gradient have 3 stops

    Just add a 3rd stop in the place where the gradients for the other
    states have a 3rd stop. When running transitions between states, this
    avoids cross-fades and instead uses the much faster gradient
    transitioning code.

 gtk/theme/Adwaita/_drawing.scss          |   1 +
 gtk/theme/Adwaita/gtk-contained-dark.css | 231
 ++++++++++---------------------
 gtk/theme/Adwaita/gtk-contained.css      | 231
 ++++++++++---------------------
 3 files changed, 149 insertions(+), 314 deletions(-)

commit 0fef59b48643f0de4cb919ba582bbcf97d3891f1
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Jan 18 22:24:35 2015 +0100

    stylecontext: Be more graceful when save() isn't matched with
    restore()

    Instead of asserting, just print a g_warning() and try to work around
    the problem.
    I hope that g_warning() isn't too spammy for people that are hit with
    it.

    Also clarify the docs that not restore()ing after a save() is a bad
    idea.

    https://bugzilla.gnome.org/show_bug.cgi?id=743101

 gtk/gtkstylecontext.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit e649c8773f0357df19f4e28aabf40a203a39c409
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 19 01:07:49 2015 +0100

    stylecontext: Explicitly specify root node

    When creating the query path, explicitly specify if it's for a
    root node
    or for a child. Relying on gtk_style_context_is_saved() is unreliable
    (for example when updating the cache).

 gtk/gtkstylecontext.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit 1a38c4d066951c9b339e1d26423858cd03181156
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 18:59:43 2015 -0500

    file chooser: Make search work again

    The last round of filechooser redesign work had left
    search somewhat dysfunctional. This commit fixes things
    up enough that search is once again a working feature
    of the file chooser.

 gtk/gtkfilechooserwidget.c       |  70 +++++++++------------
 gtk/ui/gtkfilechooserwidget.ui   | 127
 ++++++++++++++++++++++++++++++++-------
 gtk/ui/gtkfilechooserwidget.ui.h |   5 +-
 3 files changed, 136 insertions(+), 66 deletions(-)

commit dcd3d1538021c15c788b4d639b3dc671495e63ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 17:56:07 2015 -0500

    file chooser: Drop the location label

    Bringing us close to the new design.

 gtk/gtkfilechooserwidget.c       |  6 +++---
 gtk/ui/gtkfilechooserwidget.ui   | 13 -------------
 gtk/ui/gtkfilechooserwidget.ui.h |  1 -
 3 files changed, 3 insertions(+), 17 deletions(-)

commit 4b47c5a64999d5d24abe1e516324b4c95c35f6f0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 17:39:05 2015 -0500

    file chooser: Don't show 'Enter Location' in save modes

    In these modes, the entry is permanently visible anyway.

 gtk/gtkfilechooserwidget.c | 2 ++
 1 file changed, 2 insertions(+)

commit a8cb7352c5f6fa046d5ed434756c144faf62562a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 17:21:14 2015 -0500

    file chooser: Make Ctrl-L work in recent

    Just switch to browse mode when we see Ctrl-L in recent mode.
    https://bugzilla.gnome.org/show_bug.cgi?id=660450

 gtk/gtkfilechooserwidget.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 8133e7e624f63afb3a99de67590d874b6b57ba65
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 17:13:12 2015 -0500

    file chooser: Ensure the path bar is initialized

    There are some cases where we can end up showing the path
    bar without ever setting a file on it. One example is:
    1) Open file chooser
    2) Hit ~
    3) Hit Ctrl-L
    While this is a bit of a workaround, at least it makes sure
    that we never end up with an empty space where the path bar
    is supposed to be.

 gtk/gtkfilechooserwidget.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 6a7b549608ad0c6e294368996de165a1ccc2d979
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 16:57:21 2015 -0500

    trivial refactoring

 gtk/gtkfilechooserwidget.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit dfe6399de82a6d93beed5e63e96e4f26fd5bc644
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 16:18:12 2015 -0500

    file chooser: Make ~ and / work in recent

    Complained about in
    https://bugzilla.gnome.org/show_bug.cgi?id=743117

 gtk/gtkfilechooserwidget.c | 17 ++---------------
 1 file changed, 2 insertions(+), 15 deletions(-)

commit 47e5e1c72d2922f6ce5dc5bd98da17c5c83a4a4b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 15:26:49 2015 -0500

    Fix a typo in the docs

    https://bugzilla.gnome.org/show_bug.cgi?id=743037

 gdk/gdkwindow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c1063f602a3f7a2f67fd64369dbad1c7b2cd658
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 15:24:30 2015 -0500

    broadway: Only use abstract sockets when they are supported

    GIO has a function to check whether abstract sockets are
    supported, so use it. This should make broadway work on
    Freebsd again.

    https://bugzilla.gnome.org/show_bug.cgi?id=742980

 gdk/broadway/broadwayd.c          | 7 ++++---
 gdk/broadway/gdkbroadway-server.c | 7 ++++---
 2 files changed, 8 insertions(+), 6 deletions(-)

commit 811d602842ac48e3435a5ba92824a4f3c35551a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 15:15:37 2015 -0500

    Make Broadway work on freebsd

    It seems that posix_fallocate gives an ENODEV error when
    called on an fd opened with shm_open on freebsd. Fix up
    the error check to only trigger if we get ENOSPC.

    https://bugzilla.gnome.org/show_bug.cgi?id=742980

 gdk/broadway/gdkbroadway-server.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9fde44ac10eb164d7d18b5b9838f902ad5af4d20
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 14:28:47 2015 -0500

    Fine-tune the proximity hovering for scrollbars

    Reduce the distance at which we expand the scrollbar,
    and add some hysteresis.

 gtk/gtkscrolledwindow.c | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit ff2390f550dd31ca0311775426d6759e80811515
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sun Jan 18 22:21:29 2015 +0200

    Updated Greek translation

 po-properties/el.po | 1628
 ++++++++++++++++++++++++++-------------------------
 po/el.po            |  932 +++++++++++++++--------------
 2 files changed, 1324 insertions(+), 1236 deletions(-)

commit cf277fabb5bb28f0a31b281f068250603c3900d6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 18 12:40:32 2015 -0500

    Remove some outdated references

    We shouldn't recommend gtk_widget_modify_bg() or
    gtk_style_set_background() anymore.

 gdk/gdkwindow.c | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 500bd6087356494a64906f2e3164653b2580f35c
Author: Christoph Reiter <reiter.christoph@gmail.com>
Date:   Wed Dec 10 09:36:53 2014 +0100

    Adjust gtk_status_icon_position_menu() annotation to match
    GtkMenuPositionFunc again

    https://bugzilla.gnome.org/show_bug.cgi?id=674537

    https://bugzilla.gnome.org/show_bug.cgi?id=742940

 gtk/deprecated/gtkstatusicon.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6113504495fb68146fca644de975650e46e818a4
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Sun Jan 11 14:54:27 2015 -0800

    Fix event->button.y_root when using mouse buttons and dnd canceled

    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>

    https://bugzilla.gnome.org/show_bug.cgi?id=742785

 gdk/wayland/gdkdnd-wayland.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f51d8948fe0aef65e266ed06a6dc58807c43123
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Sun Jan 11 15:20:48 2015 -0800

    Fix save_hot_y init in gtk_drag_get_icon()

    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>

    https://bugzilla.gnome.org/show_bug.cgi?id=742786

 gtk/gtkdnd.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b03f089382cda13802bbcb9a8ef2e7e2b1a18d5
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Jan 17 17:25:30 2015 +0100

    Updated Basque language

 po/eu.po | 209
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 106 insertions(+), 103 deletions(-)

commit 48865fb9d90cba5cf44fb05fea546ca50df4ae3c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 17 01:03:10 2015 -0500

    Prefer the Wayland backend

    This does not affect X11 sessions, but has the advantage that
    we get much more testing of the Wayland backend in Wayland
    sessions.

 gdk/gdkdisplaymanager.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ad8d30ad8648de8532ed0f347fe74185817cd895
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 17 02:37:36 2015 +0100

    inspector: Remove a bunch of unused variables

 gtk/inspector/visual.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d0ed29d58d53fb0ad18c688f6a8df5664513729e
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 12 03:57:08 2015 +0100

    stylecontext: Remove a bunch of return_if_fail()s

    They're gonna be in the way when refactoring and we can live without
    them.

 gtk/gtkstylecontext.c | 14 --------------
 1 file changed, 14 deletions(-)

commit 63f7a36ae0ccd3b9d5ed96defce76de75671b6ec
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 13 13:45:42 2015 +0100

    stylecontext: Do not transition from the default style

    This gets rid of a bunch of awkward transitions. It's not a perfect
    solution to the problem of "should we transition from this state"
    but it
    gets rid of the ugliest offenders.

 gtk/gtkstylecontext.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 03d4e270c294c2224cf05048caba99e744289bf1
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Fri Jan 16 18:32:16 2015 +0100

    Adwaita: scrollbar style refactoring...

    ...making overlay indicator slider visible on any backgroung
    in the process.

 gtk/theme/Adwaita/_common.scss           | 101 ++++++------
 gtk/theme/Adwaita/gtk-contained-dark.css | 268
 ++++++++++++++++++++-----------
 gtk/theme/Adwaita/gtk-contained.css      | 268
 ++++++++++++++++++++-----------
 3 files changed, 410 insertions(+), 227 deletions(-)

commit de3e0f14537c9b2ceb0243cfdd378817d3bd192e
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Jan 14 22:50:26 2015 +0100

    Updated Czech translation

 po/cs.po | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit b8e87d47626afd7d6271425a5772f2ee774d1b78
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Jan 14 16:59:36 2015 +0100

    widget: Free the controller list on finalize()

    If this is done on dispose(), the widget may be destroyed (and its
    controllers list NULLified) within _gtk_widget_run_controllers(),
    causing warnings/crashes when it just tried to hop on the next
    controllers.

    Freeing the controllers here should be a safety net for
    implementations,
    so it also makes sense to do this late. The widgets that choose to
    free their controllers on dispose can still do so, and get
    _gtk_widget_remove_controller() called for these as an indirect
    result.

 gtk/gtkwidget.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 594de00cad7c5e588bc3f44d1cbfce583408b0b1
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Jan 14 16:41:54 2015 +0100

    listbox: Free the multipress gesture on finalize

 gtk/gtklistbox.c | 1 +
 1 file changed, 1 insertion(+)

commit 93d343d339ebdf93bc645ef4ca1d7eae1d966c25
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Tue Jan 13 13:44:08 2015 +0000

    Updated Icelandic translation

 po/is.po | 7658
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 4512 insertions(+), 3146 deletions(-)

commit 7daa2a1ebafc61d3e5aeac1da467c9de59750ace
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Jan 14 16:03:10 2015 +0100

    event-controller: Chain up on dispose

 gtk/gtkeventcontroller.c | 2 ++
 1 file changed, 2 insertions(+)

commit 711fea11b5fa53c6ba3edf4ae5284d4bea049ca0
Author: Stas Solovey <whats_up@tut.by>
Date:   Wed Jan 14 12:05:57 2015 +0000

    Updated Russian translation

 po/ru.po | 700
 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 265 insertions(+), 435 deletions(-)

commit f26986a50aaa1eeaa53f6db80ceac33a1156e7b2
Author: Nelson Benítez León <nbenitezl+gnome@gmail.com>
Date:   Sun Jan 11 01:11:14 2015 +0500

    gtkplacessidebar: insert bookmark by dnd in correct position

    Add needed COLUMN INDEX to "new bookmark" row based on previous
    bookmark index plus one.

    Fixes bug 742727

 gtk/gtkplacessidebar.c | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 54806d129514b4aabfbf1b8c290b7f097e5c39b1
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Sun Jan 11 13:34:38 2015 -0800

    Fix accessible_class->widget_set initialization

    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>

    https://bugzilla.gnome.org/show_bug.cgi?id=742778

 gtk/a11y/gtkcontainercellaccessible.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0d85e265713c514683713cd85045b351a325dde5
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Mon Jan 12 22:53:18 2015 +0100

    Updated Galician translations

 po/gl.po | 1526
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 944 insertions(+), 582 deletions(-)

commit 7314826de25268a381f628506383e9864056d339
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 12 12:20:26 2015 +0100

    Updated Spanish translation

 po/es.po | 230
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 123 insertions(+), 107 deletions(-)

commit 87d36885ac713badc5187f1d26044dbba9e13309
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Sun Jan 11 11:27:37 2015 -0800

    Properly check result of g_utf8_get_char_validated()

    g_utf8_get_char_validated() may return -1 or -2
    return type is gunichar(guint32)

    Therefore such checks like 'gunichar < 0' or 'gunichar > 0'
    are always 'false' or 'true'(except when gunichar == 0).

    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>

    https://bugzilla.gnome.org/show_bug.cgi?id=742774

 gtk/gtkbuilder.c                 | 2 +-
 modules/input/gtkimcontextthai.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 07cf489d2df1fd8e71bfbf8a027876490e6858c6
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Sun Jan 11 07:01:40 2015 -0800

    Fix check for 'y' padding in gtk_cell_renderer_set_padding()

    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>

    https://bugzilla.gnome.org/show_bug.cgi?id=742764

 gtk/gtkcellrenderer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a29c831f3c44cecc992e620180f43d91ed93b913
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 11 15:14:55 2015 -0500

    Remove an unused define

 configure.ac | 5 -----
 1 file changed, 5 deletions(-)

commit 430ea2fff639f31b868e025002a32ba473c7bd07
Author: Maks Naumov <maksqwe1@ukr.net>
Date:   Sun Jan 11 10:34:56 2015 -0800

    Properly ignore BadWindow and BadDrawable in get_child_info_handler()

    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>

    https://bugzilla.gnome.org/show_bug.cgi?id=742771

 gdk/x11/gdkasync.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f120ae7b4d418662f0aa9307c081abc261402311
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 21:16:21 2015 -0500

    Forgotten file

 gtk/theme/HighContrast/_common.scss | 5 -----
 1 file changed, 5 deletions(-)

commit 838e982877798fdeb417f23caf3f278a78a092e5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 21:14:56 2015 -0500

    HighContrast: Don't set nonexisting style properties

    These don't exist, so setting them can't do any good.

 gtk/theme/HighContrast/gtk.css | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit e15152c837b9d328f4d0a43cb591dcb2bb52aed3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 21:14:02 2015 -0500

    Adwaita: Don't set nonexisting style properties

    These don't exist, so setting them can't do any good.

 gtk/theme/Adwaita/_common.scss           | 4 ----
 gtk/theme/Adwaita/gtk-contained-dark.css | 8 ++------
 gtk/theme/Adwaita/gtk-contained.css      | 8 ++------
 3 files changed, 4 insertions(+), 16 deletions(-)

commit 604704a3f0a14c2c83a49e84280e2ec9ab7cc14b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 21:12:08 2015 -0500

    HighContrast: Also fix separators in file chooser buttons

    Same fix as for combo box separators.

 gtk/theme/HighContrast/_common.scss | 4 ++--
 gtk/theme/HighContrast/gtk.css      | 6 +-----
 2 files changed, 3 insertions(+), 7 deletions(-)

commit 88567295f6825e6eff8fe27db810d10209043082
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 21:09:30 2015 -0500

    Adwaita: Also fix separators in file chooser buttons

    Same fix as for combo box separators.

 gtk/theme/Adwaita/_common.scss           | 4 ++--
 gtk/theme/Adwaita/gtk-contained-dark.css | 6 +-----
 gtk/theme/Adwaita/gtk-contained.css      | 6 +-----
 3 files changed, 4 insertions(+), 12 deletions(-)

commit 8c5094c22c280f0f27d33afc52bbb5a25e17f023
Author: Iain Lane <iain.lane@canonical.com>
Date:   Fri Jan 9 15:31:08 2015 +0000

    gtkfilechooserwidget: When using an extra widget, show or hide the
    filter combo as appropriate

    https://bugzilla.gnome.org/show_bug.cgi?id=742653

 gtk/gtkfilechooserwidget.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 0b50e1fff6b90fda45bd79f6acf6f3634cda42f8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 20:28:45 2015 -0500

    HighContrast: draw combo box separators

    Same fix as the previous commit.

 gtk/theme/HighContrast/_common.scss | 2 +-
 gtk/theme/HighContrast/gtk.css      | 4 +---
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 9c4d478dc77ae8f390c94b26b5148d8bb1c4472e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 20:25:56 2015 -0500

    Adwaita: draw combo box separators

    Killing the separator in the button had the unintended side effect
    of also killing separators in the popup.

    https://bugzilla.gnome.org/show_bug.cgi?id=742704

 gtk/theme/Adwaita/_common.scss           | 2 +-
 gtk/theme/Adwaita/gtk-contained-dark.css | 4 +---
 gtk/theme/Adwaita/gtk-contained.css      | 4 +---
 3 files changed, 3 insertions(+), 7 deletions(-)

commit 35a8d3d7706defaf2fb445c201d59960eff0fba9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 20:14:24 2015 -0500

    widget-factory: Add a combo box separator example

    This shows that combo box separators are currently broken
    in Adwaita.

 demos/widget-factory/widget-factory.c  | 39
 +++++++++++++++++++++++++++++-----
 demos/widget-factory/widget-factory.ui |  4 +++-
 2 files changed, 37 insertions(+), 6 deletions(-)

commit 885b36a6d53d8a7ca4f594f27416fd4104b77082
Author: Nelson Benitez Leon <nbenitezl@gmail.com>
Date:   Tue Oct 22 12:24:55 2013 +0200

    GtkTextView: allow to extend text selection with mouse scrollwheel

    Fixes bug 710612

 gtk/gtktextview.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 5d9710cc7f8e64bae14887e76889c7e39ffc4569
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 14:27:52 2015 -0500

    file chooser: Add some padidng

    https://bugzilla.gnome.org/show_bug.cgi?id=742631

 gtk/ui/gtkfilechooserwidget.ui | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b0e42733256f5f7c3a13bdf455bd446260f044f7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 14:35:45 2015 -0500

    Forgotten files

 gtk/theme/Adwaita/gtk-contained-dark.css | 2 ++
 gtk/theme/Adwaita/gtk-contained.css      | 2 ++
 2 files changed, 4 insertions(+)

commit 366527c2d0ec76bfc6cd0f8255cb4c8b36303882
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Jan 10 13:04:10 2015 -0500

    Adwaita: Fix treeview separators in backdrop

    https://bugzilla.gnome.org/show_bug.cgi?id=742702

 gtk/theme/Adwaita/_common.scss | 4 ++++
 1 file changed, 4 insertions(+)

commit cec5815a0de9ba60417ed6611e9addcc3e85e9a2
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 10 13:58:39 2015 +0100

    stylecontext: Stop animations on manual invalidation

    If a gtk_style_context_invalidate() is called on a widget's style
    context (which nobody should ever do, sheesh!) and we're animating,
    stop
    the animations.

    Fixes crashers in Nautilus.

 gtk/gtkstylecontext.c | 3 +++
 1 file changed, 3 insertions(+)

commit 9fcbae2d857ed35483700be13d62a3590c719ee8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 21:13:10 2015 -0500

    GtkScrolledWindow: Don't start fading right away

    When we get a leave event, we need to remove the over bit,
    since we may not get motion events that tell us when we lose
    proximity, but we don't have to fade out right away - that
    will happen on its on due to inactivity a bit later. Having
    the indicator stay visible for a bit feels more relaxed.

 gtk/gtkscrolledwindow.c | 2 --
 1 file changed, 2 deletions(-)

commit 206f0bbf7f259868cd434733fd258810fad12281
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 21:12:00 2015 -0500

    GtkScrolledWindow: Factor out a constant

    Define INDICATOR_CLOSE_DISTANCE instead of hardcoding the same
    number of pixels in 4 different places.

 gtk/gtkscrolledwindow.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 11eb64a2b69f02d916d0448065a5108ad106f30c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 21:09:22 2015 -0500

    GtkScrolledWindow: Don't require proximity for track points

    These are hard to navigate precisely, so show wide scrollbars
    right away.

 gtk/gtkscrolledwindow.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 2a3a7306ef1d6be2a1bc167551fc726ee9fb1329
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 20:52:03 2015 -0500

    GtkScrolledWindow: Drop device manager complications

    We no longer use the presence or absence of particular device
    types to determine which scrolling to use.

 gtk/gtkscrolledwindow.c | 86
 ++-----------------------------------------------
 1 file changed, 3 insertions(+), 83 deletions(-)

commit 96fcdebefb4360053b3e6a94f36cc9bf3c579815
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 20:33:39 2015 -0500

    GtkScrolledWindow: Drop a redundant field

    The Indicator.enabled field was not carrying any extra information,
    so just use priv->use_indicators instead.

 gtk/gtkscrolledwindow.c | 21 ++++++---------------
 1 file changed, 6 insertions(+), 15 deletions(-)

commit 1c6eca04db851c51514bb0d2a72363d1218cb8b1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 20:26:07 2015 -0500

    GtkScrolledWindow: Rename a private field

    touch_mode -> use_indicators, more to the point.

 gtk/gtkscrolledwindow.c | 170
 +++++++++++++++++++++++++-----------------------
 1 file changed, 87 insertions(+), 83 deletions(-)

commit a834078804de592a9d77974b85ddfde03a86a94b
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Jan 10 00:07:51 2015 +0000

    x11/gl: Do not specify the GLX context version

    If we use GDK_GL_PROFILE_3_2_CORE we are asking for a core profile
    according to the GLX_ARB_create_context_profile extension. For that,
    we pass the GLX_CONTEXT_CORE_PROFILE_BIT_ARB value for the
    GLX_CONTEXT_PROFILE_MASK_ARB attribute.

    The specification for the extension says that:

      If the requested OpenGL version is less than 3.2,
      GLX_CONTEXT_PROFILE_MASK_ARB is ignored and the functionality
      of the context is determined solely by the requested version.

    Since we're asking for a core profile, we assume a GL version greater
    than or equal to 3.2; thus, we don't need to specify the
    GLX_CONTEXT_MAJOR_VERSION_ARB or the GLX_CONTEXT_MINOR_VERSION_ARB
    attributes, and instead just rely on whatever version GLX gives us.

    This seems to work around a strange issue in Mesa; if we ask for
    a core
    profile and any version > 3.0, we get broken rendering on any shared
    context we create.

 gdk/x11/gdkglcontext-x11.c | 25 +++++++++++++++++++------
 1 file changed, 19 insertions(+), 6 deletions(-)

commit 6384167054307ce7af249e40e47973d4761d97ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 15:28:53 2015 -0500

    inspector: Don't use GSettings directly

    It is not necessary here, and using GtkSettings gives us
    a greater chance to not fail e.g. on Windows.

    https://bugzilla.gnome.org/show_bug.cgi?id=742664

 gtk/inspector/visual.c  | 101
 ++++++++++--------------------------------------
 gtk/inspector/visual.ui |   3 --
 2 files changed, 21 insertions(+), 83 deletions(-)

commit c2ff89bbe3beaf101dc9713acff3edafc1b0b705
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 14:44:26 2015 -0500

    inspector: be careful about gsize vs guint64

    Since gsize doesn't work as a typename in a ui file,
    we have to be careful not to pass pointers to wrongly
    sized variables when getting the guint64 values out
    of the model.

    https://bugzilla.gnome.org/show_bug.cgi?id=742664

 gtk/inspector/resource-list.c | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 9a38fb79e5b56c0c43e77bb4c15e2586f48c7957
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 9 16:42:55 2015 +0000

    docs: Add missing quote

    The missing " breaks the syntax highlighting of the GtkImageMenuItem
    example.

 gtk/deprecated/gtkimagemenuitem.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7638d5ecbcd08783320cb76653fbfe50bf5cd02
Author: David King <dking@redhat.com>
Date:   Fri Jan 9 14:37:17 2015 +0000

    docs: Add Since for GtkCellRendererPixbuf:surface

 gtk/gtkcellrendererpixbuf.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 9a50203408c0b4d3992622d457721038e9459cb7
Author: David King <amigadave@amigadave.com>
Date:   Tue Apr 8 16:42:36 2014 +0100

    docs: Fix some old live.gnome.org URLs

 HACKING                          | 2 +-
 README.win32                     | 2 +-
 build/win32/vs10/README.txt      | 2 +-
 build/win32/vs9/README.txt       | 2 +-
 docs/reference/gtk/building.sgml | 2 +-
 docs/reference/gtk/osx.sgml      | 2 +-
 docs/reference/gtk/windows.sgml  | 2 +-
 gtk/gtkmenutracker.c             | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit 4adb3f4033818d2d3c7cf0a66507e2eda87c12fb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jan 9 14:16:03 2015 +0100

    Updated POTFILES.skip

 po-properties/POTFILES.skip | 2 ++
 po/POTFILES.skip            | 2 ++
 2 files changed, 4 insertions(+)

commit 885b3c704f812c3a1c706f81fc84da4130ea59ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 06:45:51 2015 -0500

    Fix GTK_OVERLAY_SCROLLING=0

    This was broken by the recent more dynamic approach.

 gtk/gtkscrolledwindow.c | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit d5afaa07d3a996f4f3d8229a2eac4b27f0b5b44e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 06:21:37 2015 -0500

    Fix comment typo

 gtk/gtkscrolledwindow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 80969e34bc9078255e803d630f434f48b0ade3ae
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 9 00:07:01 2015 -0500

    inspector: Show object address

    This is useful information when running the application
    in a debugger.
    https://bugzilla.gnome.org/show_bug.cgi?id=742518

 gtk/inspector/misc-info.c    | 10 ++++++++--
 gtk/inspector/misc-info.ui   | 38 ++++++++++++++++++++++++++++++++++++++
 gtk/inspector/misc-info.ui.h |  1 +
 3 files changed, 47 insertions(+), 2 deletions(-)

commit 79f806fdab5c55b0b4123050980a2986192f8c1c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Dec 26 16:04:26 2014 +0000

    Point to copy/cut/delete named icons in the stock item deprecations

    We still use symbolic icons for Copy, Cut, and Delete operations
    inside
    toolbars and some menus, so it's worth pointing to the symbolic icon
    names in the deprecation notices.

    https://bugzilla.gnome.org/show_bug.cgi?id=741969

 gtk/deprecated/gtkstock.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 08f69c53a5b8c23e23d157cee061d72249e090a9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 8 22:27:47 2015 -0500

    file chooser: Don't force a scrollbar

    No point in showing the scrollbar when it is not needed.
    https://bugzilla.gnome.org/show_bug.cgi?id=742343

 gtk/ui/gtkfilechooserwidget.ui | 1 -
 1 file changed, 1 deletion(-)

commit 57714b977480c23aa9cc39c014cc0a43f8ef7997
Author: Timm Bäder <mail@baedert.org>
Date:   Fri Dec 26 23:04:37 2014 +0100

    gtklabel: Don't accept unhandled mouse buttons

    If the pressed mouse button neither triggers a context menu nor
    activates a link, set the sequence's state to DENIED.

    https://bugzilla.gnome.org/show_bug.cgi?id=742010

 gtk/gtklabel.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 9474215a43b116cf6098b11ef967a10afc495923
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Jan 8 19:30:19 2015 +0100

    cssimage: Fix angle computation for gradients to corners

 gtk/gtkcssimagelinear.c | 43 +++++++++++++++++++++++++++----------------
 1 file changed, 27 insertions(+), 16 deletions(-)

commit 0d5acf2a05bffba27cda22f5d863fe7db749b18b
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Jan 8 18:32:00 2015 +0100

    Updated Basque language

 po/eu.po | 45 +++++++++++++++++++--------------------------
 1 file changed, 19 insertions(+), 26 deletions(-)

commit b0d0a2b5e55d6351e3a4bd6de54dcffb9c7af5c8
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Jan 8 15:41:15 2015 +0100

    Updated Basque language

 po-properties/eu.po | 3185
 +++++++++++++++++++++++++++------------------------
 1 file changed, 1714 insertions(+), 1471 deletions(-)

commit 29984c5282d1b47345b5b6627f796aa6cb34c752
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 7 18:06:59 2015 +0100

    stylecontext: Handle theme changes for cached styles

    We need to clear the cache manually on full revalidates because
    _gtk_css_change_for_child() will clear the full revalidation flags.
    And then gtk_style_context_update_cache() will not do the right thing
    (which is to clear itself).

 gtk/gtkstylecontext.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit bc07a540c7ab25326c7714f6739b8f4745c55a91
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Jan 7 15:44:53 2015 +0100

    stylecontext: Rename GtkStyleInfo to GtkCssNode

 gtk/gtkstylecontext.c | 188
 +++++++++++++++++++++++++-------------------------
 1 file changed, 94 insertions(+), 94 deletions(-)

commit 266408254960048a1be4f773e3526dd046ed3d34
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 6 12:08:49 2015 +0100

    stylecontext: update_animating() properly

    Because we can switch from animating to non-animating pretty much
    anywhere, do the check for animations unconditionally instead
    of trying
    to cram it into the correct if path (and failing).

 gtk/gtkstylecontext.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 059cd3e51f254153ce9b3b79fbb1a566a66ed3f1
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 6 12:08:17 2015 +0100

    stack: Remove commented out line

    It always shows up in my greps and confuses me.

 gtk/gtkstack.c | 1 -
 1 file changed, 1 deletion(-)

commit fe33ee426a56255199f9a09727afdc9c302d62aa
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Jan 6 00:38:54 2015 +0100

    stylecontext: Add a parent style cache

    We now cache the results of lookups on the parent GtkCssStyle. This
    allows sharing styles between widgets (recursively). However, this
    only works if the styles can't potentially depend on siblings -
    neither directly via sibling selectors or via position pseudo-classes
    like :first-child.
    Unfortunately, Adwaita currently uses first-child a lot, and in
    particular for labels, which are the most common widgets.

    The big benefits of this change are both less CPU - due to not needing
    to compute styles again - and less memory usage - due to sharing of
    the styles between widgets. Here's some nonscientific numbers I
    collected while pondering the usefulness of this patch:

                        glade   glade   widget
                        demo    demo    factory
                        runtime styles  styles
    Adwaita before      19.1s   5800    1150
    Adwaita now         18.9s   3800     970
    Adwaita hacked now  14.5s   3100     910
    simple before       11.3s   5800    1150
    simple now          10.8s   1300     590

    Adwaita: Adwaita as provided by GTK
    Adwaita hacked: Adwaita with the first/last-child for GtkLabel removed
    simple: A 250 lines simple GTK theme I use for testing
    before: This patch not applied
    now: this patch applied

    glade demo runtime: Starting glade opening a large file and closing it
    glade demo styles: GtkCssStaticStyle objects after opening glade with
                       the large file as per inspector
    widget factory styles: GtkCssStaticStyle objects after startup as per
                           inspector

 gtk/gtkstylecontext.c | 98
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 98 insertions(+)

commit 27285f1f0fb00bb4507a8bf3e426bef940ae41af
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 5 16:13:18 2015 +0100

    cssstyle: Have a default style

    This way we can initialize the default style info with a style and
    ddon't need to special case NULL everywhere.

 gtk/gtkcssstaticstyle.c        | 28 +++++++++++++++
 gtk/gtkcssstaticstyleprivate.h |  1 +
 gtk/gtkstylecontext.c          | 79
 ++++++++++++++++++------------------------
 3 files changed, 62 insertions(+), 46 deletions(-)

commit ef9aa8b0aea3c0ef02727a1ed0643ffd4f77e347
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 5 05:57:45 2015 +0100

    stylecontext: Use correct parent on updates

    Previously we looked at the save/restore state when determining the
    parent. This is wrong in the case where we're updating the cache
    though.

    So we now save the parent in the style info.

 gtk/gtkstylecontext.c | 93
 +++++++++++++++++++++++++++++++++++----------------
 1 file changed, 64 insertions(+), 29 deletions(-)

commit 89b5d1541566043b56bd000770d8634cbae22d64
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Dec 23 08:19:39 2014 +0100

    stylecontext: Fix cache updating

    After the parent changes in commit
    3a337156d11a86c7a88f1f30a09276fdf6f63008 we need to refresh the cached
    styles after the current style. After all, they now depend on the base
    style.

 gtk/gtkstylecontext.c | 69
 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 38 insertions(+), 31 deletions(-)

commit 730f4291682b636b875ef91918797fe7f7b8f9bb
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Dec 23 08:10:30 2014 +0100

    cssstaticstyle: Handle relevant change

    Relevant change is returned from style lookups, so keep is with the
    object that holds those values.

 gtk/gtkcssstaticstyle.c        | 16 +++++++++++++---
 gtk/gtkcssstaticstyleprivate.h |  7 +++++--
 gtk/gtkstylecontext.c          | 41
 ++++++++++++++---------------------------
 3 files changed, 32 insertions(+), 32 deletions(-)

commit ad199e4cf96592fb57d0a58861270d82b0a453d3
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Dec 21 21:30:51 2014 +0100

    stylecontext: Use correct parent style for lookups

    After 3a337156d11a86c7a88f1f30a09276fdf6f63008 style lookups
    still used
    the parent context's style as the parent style, even though after a
    gtk_style_context_save() the root style of the style context is the
    proper parent.

    Testcase attached.

 gtk/gtkstylecontext.c                              | 26
 ++++++++++++++--------
 testsuite/reftests/Makefile.am                     |  3 +++
 .../reftests/style-context-save-inheritance.css    | 18 +++++++++++++++
 .../reftests/style-context-save-inheritance.ref.ui | 19 ++++++++++++++++
 .../reftests/style-context-save-inheritance.ui     | 18 +++++++++++++++
 5 files changed, 75 insertions(+), 9 deletions(-)

commit 26f36ef8aefb81c3d87f4c577a248efd77733e2d
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Dec 21 20:26:26 2014 +0100

    cssnodedeclaration: Store the GType of the node

 gtk/gtkcssnodedeclaration.c        | 25 ++++++++++++++++++++++++-
 gtk/gtkcssnodedeclarationprivate.h |  3 +++
 gtk/gtkstylecontext.c              | 14 +++++++++++++-
 3 files changed, 40 insertions(+), 2 deletions(-)

commit 9645daf48fa28c26ff623fc9541a860217426e60
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Dec 17 13:30:51 2014 +0100

    cssstyle: Move function from vfunc to static func

    compute_dependencies() is only used internally by GtkCssStaticStyle,
    so there's no need to have it elsewhere.

 gtk/gtkcssanimatedstyle.c | 11 -----------
 gtk/gtkcssstaticstyle.c   | 12 ++++++++----
 gtk/gtkcssstyle.c         | 17 -----------------
 gtk/gtkcssstyleprivate.h  |  9 ---------
 4 files changed, 8 insertions(+), 41 deletions(-)

commit cd056adb2f9bb57d8f1bc001de11dadf8075ec8c
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Dec 17 13:22:03 2014 +0100

    cssstaticstyle: Move function

    And with that move, GtkCssStaticStyle is immutable.

 gtk/gtkcssstaticstyle.c        | 70
 +++++++++++++++++++++++++++++++-----------
 gtk/gtkcssstaticstyleprivate.h |  8 +++--
 gtk/gtkstylecontext.c          | 33 ++++++--------------
 3 files changed, 68 insertions(+), 43 deletions(-)

commit 8b823d7e13d8cb923db5f2e093645588ad3da9c9
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Dec 17 05:52:13 2014 +0100

    cssstaticstyle: Move function

    We want the new() return values to be immutable, so we have to
    move the
    code that modifes them.

 gtk/gtkcssstaticstyle.c        | 29 +++++++++++++++++++++++++++--
 gtk/gtkcssstaticstyleprivate.h |  7 ++++++-
 gtk/gtkstylecontext.c          | 26 +++++++++++---------------
 3 files changed, 44 insertions(+), 18 deletions(-)

commit b7be202089664f27ae3120c41c2f4f5780bb2607
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Dec 17 04:18:44 2014 +0100

    stylecontext: Refactor update_properties()

    It now always returns a new instance.

 gtk/gtkcssanimatedstyle.c        |  4 +-
 gtk/gtkcssanimatedstyleprivate.h |  1 +
 gtk/gtkcssstaticstyle.c          | 97
 ++++++++++++++++++++++++++++------------
 gtk/gtkcssstaticstyleprivate.h   |  2 +
 gtk/gtkstylecontext.c            | 40 +++++++++++++----
 5 files changed, 106 insertions(+), 38 deletions(-)

commit 7406ec84bce536560d2458753de1ec9bbf6af231
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Dec 16 06:47:08 2014 +0100

    stylecontext: Simplify function

    Instead of computing the changes manually everywhere from the parent
    changes, just pass in the parent changes.

 gtk/gtkstylecontext.c | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit c0af2d6fa6acecb987273fea66faedcc33bbbad7
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Dec 16 06:40:10 2014 +0100

    stylecontext: Simplify code

    Compute the differences only once and not in both if branches.

 gtk/gtkstylecontext.c | 26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

commit 7493e814a9501538d5db1e289200ed40bffdc857
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Dec 16 05:57:36 2014 +0100

    cssanimatedstyle: Apply animation values after creation

    This makes GtkCssAnimatedStyle immutable.

 gtk/gtkcssanimatedstyle.c |  3 +++
 gtk/gtkstylecontext.c     | 51
 +++++++++++++++++++----------------------------
 2 files changed, 24 insertions(+), 30 deletions(-)

commit a3bf9105853f553943770501ae2ad13713502a54
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Dec 16 04:15:25 2014 +0100

    cssanimatedstyle: Make advancing the style return a new style

    This is another step towards making CssStyles immutable.

 gtk/gtkcssanimatedstyle.c        | 79
 +++++++++++++++++++---------------------
 gtk/gtkcssanimatedstyleprivate.h |  4 +-
 gtk/gtkstylecontext.c            |  9 ++++-
 3 files changed, 47 insertions(+), 45 deletions(-)

commit b53d5d064341161a8cf002aaa1d259cf69c2ab65
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Dec 15 14:22:00 2014 +0100

    stylecontext: Fold a function into only caller

 gtk/gtkstylecontext.c | 23 +++++------------------
 1 file changed, 5 insertions(+), 18 deletions(-)

commit f3f021106d467f909458a2dba8e7053f27dd1e2b
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Dec 15 04:17:42 2014 +0100

    cssanimatedstyle: Avoid creating animation

    ... when no animation exists.

    This makes the function name kinda wrong, but I'm not sure what
    else to
    call it.

 gtk/gtkcssanimatedstyle.c | 80
 ++++++++++++++++++++++++++++-------------------
 gtk/gtkstylecontext.c     |  3 +-
 2 files changed, 49 insertions(+), 34 deletions(-)

commit 682abc345fe197b915af6efcbf572d303e8b05e7
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Dec 15 02:54:35 2014 +0100

    cssanimatedstyle: Remove unused function

 gtk/gtkcssanimatedstyle.c        | 16 ----------------
 gtk/gtkcssanimatedstyleprivate.h |  1 -
 2 files changed, 17 deletions(-)

commit 980923c761a7f38197817cfa9168e8b78f1a73ac
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Dec 15 01:58:11 2014 +0100

    cssanimatedstyle: Merge two functions

 gtk/gtkcssanimatedstyle.c        | 47
 ++++++++++++++++++++--------------------
 gtk/gtkcssanimatedstyleprivate.h | 13 +++++------
 gtk/gtkstylecontext.c            | 19 +++++++---------
 3 files changed, 37 insertions(+), 42 deletions(-)

commit 0bab285fe0f5ce4accec8b941742306ef54f4655
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Dec 14 23:20:19 2014 +0100

    stylecontext: Make build_properties create the style

 gtk/gtkstylecontext.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 79f73921096e795d92257d7ce063161aece057da
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Dec 14 17:06:27 2014 +0100

    stylecontext: Make static styles static

    Instead of keeping an animated style everywhere, we replace it
    with the
    static style when nothing gets animated.

    Apart from making the code cleaner, this gets rid of a bunch of
    animated
    style values that do nothing but wrap a static style.

 gtk/gtkcssanimatedstyle.c        | 62
 +++++++++++++++++++++++-----------------
 gtk/gtkcssanimatedstyleprivate.h |  6 ++--
 gtk/gtkstylecontext.c            | 30 +++++++++++++------
 3 files changed, 61 insertions(+), 37 deletions(-)

commit db36ee36a6bde810b79b5253768a8edaa1fa2a71
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Dec 14 15:46:18 2014 +0100

    stylecontext: Split function

 gtk/gtkstylecontext.c | 45 ++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 38 insertions(+), 7 deletions(-)

commit 85dd685b3f56519ae1972aab2dd9a2b4db5f939f
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Dec 13 02:07:34 2014 +0100

    stylecontext: Only look up stuff in the cache that can be in the cache

    Only saved styles are stored in the cache so we should look only those
    up there.

 gtk/gtkstylecontext.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit 77b876fad3a04c6ba8b71b3ff62df1ac9681b633
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 27 04:22:49 2014 +0100

    stylecontext: don't unset the current style info when clearing cache

    Instead, do it manually.

 gtk/gtkstylecontext.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 270e73bfcc7a1f22f123de0bbb52bf9e05c0d75a
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 27 00:25:18 2014 +0100

    stylecontext: Always pass the static style

    ... to build_properties.
    There is always one available, so we can insist on that one.

    This simplifies a bunch of code.

 gtk/gtkcssanimatedstyle.c        | 18 ------------------
 gtk/gtkcssanimatedstyleprivate.h |  7 -------
 gtk/gtkcsslookup.c               | 31 +++++++++----------------------
 gtk/gtkcsslookupprivate.h        |  4 ++--
 gtk/gtkstylecontext.c            |  9 ++++-----
 5 files changed, 15 insertions(+), 54 deletions(-)

commit c7e9489e3e9629c394ff3b3de7378bbf09ec92f0
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 26 19:38:38 2014 +0100

    stylecontext: Use a static style when saved

    The only style that is animated is the style of the unsaved primary
    node. So there's no need to create animated style objects for
    the other
    ones.

    There is a bunch of ugliness in the code currently. Further commits
    are
    expected to fix them.

 gtk/gtkcsslookup.c        | 35 ++++++++++++++++++++++++-----------
 gtk/gtkcsslookupprivate.h |  4 ++--
 gtk/gtkstylecontext.c     | 17 +++++++++++------
 3 files changed, 37 insertions(+), 19 deletions(-)

commit ac215ffc8fbefe2493c071721d5cf72c916b6bc6
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 26 05:07:06 2014 +0100

    cssstyle: Add GtkCssStaticStyle

    For now, this is only an implementation detail of the animated style.

    The idea is to use GtkCssStaticStyle as the result of CSS queries and
    then put a GtkCssAnimatedStyle on top that manages the animations. The
    neat thing about this is that you can cache the static values.

 gtk/Makefile.am                  |   2 +
 gtk/gtkcssanimatedstyle.c        | 113 ++------------------
 gtk/gtkcssanimatedstyleprivate.h |   8 +-
 gtk/gtkcssstaticstyle.c          | 225
 +++++++++++++++++++++++++++++++++++++++
 gtk/gtkcssstaticstyleprivate.h   |  69 ++++++++++++
 5 files changed, 307 insertions(+), 110 deletions(-)

commit 4168e0385efd9231731ed35b96ce58bafc3eb03f
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Oct 23 04:10:03 2014 +0200

    cssstyle: Split into GtkCssStyle and GtkCssAnimatedStyle

    GtkCssStyle is the base class to be used for all types of styles
    that do
    exist.

    GtkCssAnimatedStyle is the only implementation so far, that is
    exactly a
    copy/paste of the old GtkCssStyle code.

 gtk/Makefile.am                  |   2 +
 gtk/gtkcssanimatedstyle.c        | 599
 +++++++++++++++++++++++++++++++++++++++
 gtk/gtkcssanimatedstyleprivate.h |  90 ++++++
 gtk/gtkcssanimation.c            |   6 +-
 gtk/gtkcsslookup.c               |  22 +-
 gtk/gtkcsslookupprivate.h        |   6 +-
 gtk/gtkcssstyle.c                | 538
 ++---------------------------------
 gtk/gtkcssstyleprivate.h         |  53 +---
 gtk/gtkcsstransition.c           |  10 +-
 gtk/gtkstyleanimation.c          |   8 +-
 gtk/gtkstyleanimationprivate.h   |   7 +-
 gtk/gtkstylecontext.c            |  28 +-
 12 files changed, 767 insertions(+), 602 deletions(-)

commit 572f46067f44da99e9ee0ea3210e1c0fac148928
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 22 23:41:50 2014 +0200

    cssstyle: Rename GtkCssComputedValues => GtkCssStyle

    This is literally just renaming of the object (and the associated
    source
    files). No other changes are in there.

 gtk/Makefile.am                     |   4 +-
 gtk/deprecated/gtkgradient.c        |  10 +-
 gtk/deprecated/gtkgradientprivate.h |   4 +-
 gtk/gtkcssanimation.c               |   6 +-
 gtk/gtkcssarrayvalue.c              |   4 +-
 gtk/gtkcssbgsizevalue.c             |   4 +-
 gtk/gtkcssbordervalue.c             |   4 +-
 gtk/gtkcsscolorvalue.c              |  12 +-
 gtk/gtkcsscomputedvalues.c          | 657
 ------------------------------------
 gtk/gtkcsscomputedvaluesprivate.h   | 106 ------
 gtk/gtkcsscornervalue.c             |   4 +-
 gtk/gtkcsseasevalue.c               |   4 +-
 gtk/gtkcssenginevalue.c             |   4 +-
 gtk/gtkcssenumvalue.c               |  14 +-
 gtk/gtkcssimage.c                   |  14 +-
 gtk/gtkcssimagebuiltin.c            |   4 +-
 gtk/gtkcssimagegradient.c           |   4 +-
 gtk/gtkcssimageicontheme.c          |   6 +-
 gtk/gtkcssimagelinear.c             |   4 +-
 gtk/gtkcssimageprivate.h            |   8 +-
 gtk/gtkcssimagescaled.c             |   4 +-
 gtk/gtkcssimageurl.c                |   4 +-
 gtk/gtkcssimagevalue.c              |   4 +-
 gtk/gtkcssinheritvalue.c            |   6 +-
 gtk/gtkcssinitialvalue.c            |   4 +-
 gtk/gtkcsskeyframes.c               |  12 +-
 gtk/gtkcsskeyframesprivate.h        |   4 +-
 gtk/gtkcsslookup.c                  |  24 +-
 gtk/gtkcsslookupprivate.h           |   6 +-
 gtk/gtkcssnumbervalue.c             |  12 +-
 gtk/gtkcsspositionvalue.c           |   4 +-
 gtk/gtkcssrepeatvalue.c             |   4 +-
 gtk/gtkcssrgbavalue.c               |   4 +-
 gtk/gtkcssshadowsvalue.c            |   4 +-
 gtk/gtkcssshadowvalue.c             |   4 +-
 gtk/gtkcssstringvalue.c             |   4 +-
 gtk/gtkcssstyle.c                   | 657
 ++++++++++++++++++++++++++++++++++++
 gtk/gtkcssstylefuncs.c              |  30 +-
 gtk/gtkcssstylefuncsprivate.h       |   4 +-
 gtk/gtkcssstyleprivate.h            | 106 ++++++
 gtk/gtkcsstransformvalue.c          |   8 +-
 gtk/gtkcsstransition.c              |  10 +-
 gtk/gtkcsstypedvalue.c              |   4 +-
 gtk/gtkcsstypesprivate.h            |   2 +-
 gtk/gtkcssunsetvalue.c              |   4 +-
 gtk/gtkcssvalue.c                   |  10 +-
 gtk/gtkcssvalueprivate.h            |   8 +-
 gtk/gtkroundedbox.c                 |  12 +-
 gtk/gtkstyleanimation.c             |   6 +-
 gtk/gtkstyleanimationprivate.h      |   6 +-
 gtk/gtkstylecontext.c               |  68 ++--
 51 files changed, 960 insertions(+), 956 deletions(-)

commit f51419adb0034ad784d013db4e57bbdbc7b80153
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 22 22:36:38 2014 +0200

    cssstylefuncs: Rename functions

    This is in preaparation for the big GtkCssComputedValues =>
    GtkCssStyle
    rename

 gtk/gtkcsscustomproperty.c    |  2 +-
 gtk/gtkcssprovider.c          |  4 ++--
 gtk/gtkcssstylefuncs.c        | 20 ++++++++++----------
 gtk/gtkcssstylefuncsprivate.h |  6 +++---
 gtk/gtkcsstypedvalue.c        |  4 ++--
 5 files changed, 18 insertions(+), 18 deletions(-)

commit 314a1689167b6e944230ae7d8be1cac3d43af7b2
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Tue Jan 6 22:42:35 2015 +0000

    Updated German translation

 po/de.po | 2513
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1386 insertions(+), 1127 deletions(-)

commit bb2be84af0feaa634f22f258d2219081388a74fc
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Mon Jan 5 20:40:52 2015 +0000

    Updated British English translation

 po-properties/en_GB.po | 4805
 ++++++++++++++++++++++++++----------------------
 po/en_GB.po            | 2549 +++++++++++++++----------
 2 files changed, 4134 insertions(+), 3220 deletions(-)

commit 78223932c572214f7a1a738c953299d864451724
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 5 21:15:19 2015 +0100

    cssselector: Reintroduce GOT_MATCH

    I removed it in 14f5ce710856708dc80fcc98cb5eb2ba257f34ad because I
    thought it was unnecessary, but it wasn't. When we build a tree like
    this:

    .matches ─┬─ .doesntmatch
              └─ .alsodoesntmatch

    We would get the changes for the .matches part returned. This
    is however
    only right if that node of the tree contains results. If results only
    exist with the child nodes (all of which don't match), then this part
    should not match either.

 gtk/gtkcssselector.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 506639add12d69c2058fa1a72319506adbac1f4d
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 5 21:00:36 2015 +0100

    cssselector: The if was the wrong way around

    We want to keep matching as long as selectors are simple. Otherwise
    we'd
    never be matching, because the first selector is always simple. Oops.

 gtk/gtkcssselector.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43d6ebf9fbecd89cfef8c0c5e7ebc76b50bdde7e
Author: Sebastien Lafargue <slafargue@gnome.org>
Date:   Sun Jan 4 12:40:27 2015 +0100

    cellrenderertext: notify inverted

    The notify for "size" and "size-points" properties
    are inverted.

    https://bugzilla.gnome.org/show_bug.cgi?id=742311

 gtk/gtkcellrenderertext.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b46fdb2d13a072bd9d91c316cae3e9139ea512b5
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Jan 2 23:05:29 2015 +0000

    calendar: Handle invalid dates

    GtkCalendar can have an invalid date — mostly at
    initialization. This
    means that GDateTime construction may fail. We need to handle
    that case
    gracefully, like the old code did.

    This fixes the `notify` test suite, which started failing with:

    /Notification/GtkCalendar:
    GLib-CRITICAL **: g_date_time_get_day_of_week: assertion 'datetime !=
    NULL' failed

    inside the Continuous builder.

 gtk/gtkcalendar.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 21360a453c0b0c124b95de4a500c120432f214ca
Author: Christian Hergert <christian@hergert.me>
Date:   Wed Dec 31 23:27:55 2014 -0800

    textview: fix duplicated binding entries. use kp variants instead.

    This appears to have accidentally used the normal keypresses twice
    instead
    of the KP variants. This resulted in shift+insert pasting twice.

    https://bugzilla.gnome.org/show_bug.cgi?id=742170

 gtk/gtktextview.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bf3b0ea64160f9c711aaf3b6bc5deaa6d841c964
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Dec 31 17:46:21 2014 +0100

    Updated Basque language

 po/eu.po | 2987
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 1916 insertions(+), 1071 deletions(-)

commit cfcb43e3cadbbba0bf80b4bf30b1f920889149f6
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Wed Dec 31 13:29:14 2014 +0000

    Updated Hungarian translation

 po-properties/hu.po | 2511
 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 1381 insertions(+), 1130 deletions(-)

commit dce50674c0ea3790973a3e2a353de694de73a6a5
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Wed Dec 31 13:02:56 2014 +0000

    Updated Hungarian translation

 po/hu.po | 169
 +++++----------------------------------------------------------
 1 file changed, 13 insertions(+), 156 deletions(-)

commit c0e26aad56ab653a0c97f5965900254e24c02b7c
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Wed Dec 31 12:03:47 2014 +0000

    Updated Hungarian translation

 po/hu.po | 2222
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 1417 insertions(+), 805 deletions(-)

commit 38f9e4bf113d2cfe872e4a8078a11bde2a1196a4
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Wed Dec 31 15:50:54 2014 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 258
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 146 insertions(+), 112 deletions(-)

commit 23fa0e341f2daa9c05447c274ae3b73530b44b28
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Tue Dec 30 13:46:11 2014 +0100

    Fix typos in documentation

 gtk/gtkcolorbutton.c        | 2 +-
 gtk/gtkcolorchooserwidget.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 5a41f63426efb6f715119d23acdab0b2676c72ad
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Dec 28 18:11:49 2014 -0800

    gtkstylecontext: Don't try to emit a signal when finalizing

 gtk/gtkstylecontext.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit ecc64f63e4797e564d2d9057eb0f7b6b476ec2b2
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Dec 28 17:54:09 2014 -0800

    gdkeventsource-wayland: Fix style

 gdk/wayland/gdkeventsource.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 915e4c6dd75081f25b1b79fe61728549020aa320
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Dec 28 18:13:24 2014 -0800

    inspector: Update translations .ui.h file

 gtk/inspector/general.ui.h | 3 +++
 1 file changed, 3 insertions(+)

commit b4375cde480a3de959553efd2c2f555ac332ee47
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Dec 28 11:36:10 2014 -0500

    Inspector: Show some X display characteristics

    This helps diagnose e.g. csd problems.

 gtk/inspector/general.c  |  48 ++++++++++++++----
 gtk/inspector/general.ui | 123
 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 161 insertions(+), 10 deletions(-)

commit 20f1c06eedf06dbc3a7fe62875ac996d2c3c2eb5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Dec 28 11:06:24 2014 -0500

    Restore a missing file

    No wonder nobody has tried my awesome magnifier yet...

 gtk/inspector/magnifier.ui | 62
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

commit 07efae7288e4b50cb2f78d340bc7fc1438ef63fa
Author: Rico Tzschichholz <ricotz@ubuntu.com>
Date:   Sun Dec 28 13:34:16 2014 +0100

    mir: Add missing reference to gdkmir-private.h

 gdk/mir/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 049ec56107f1377caacc7617a5ea9dd6acc63217
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Sun Dec 28 09:20:14 2014 +0700

    Updated vi translation for gtk+properties

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po-properties/vi.po | 7611
 ++++++++++++++++++++++++++++++++-------------------
 1 file changed, 4735 insertions(+), 2876 deletions(-)

commit 4d4883f010cf2d30889a004811106bd65b9b0dea
Author: Christian Hergert <christian@hergert.me>
Date:   Fri Dec 26 14:19:55 2014 -0800

    scrolledwindow: fix spurious warnings from previous scrollbar commits

 gtk/gtkscrolledwindow.c | 3 +++
 1 file changed, 3 insertions(+)

commit 5d42c55f280980d715ada52a18f41f1a05a7dfc7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Dec 25 11:49:58 2014 +0000

    x11/gl: Set the correct minor version

    The major version is set twice.

    https://bugzilla.gnome.org/show_bug.cgi?id=741954

 gdk/x11/gdkglcontext-x11.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec37fbe2e29a7a02502f9a9d499a707f208e01d6
Author: Philip Chimento <philip.chimento@gmail.com>
Date:   Fri Oct 10 21:35:23 2014 -0700

    quartz: NSWindow NULL check in get_scale_factor

    Sending backingScaleFactor to a NULL NSWindow will silently give the
    value 0 for the scale factor, causing insidious divide-by-zero
    bugs down
    the line. This checks if the NSWindow is NULL first, as seems
    to happen
    throughout the rest of the file.

    Note that I don't have a hi-DPI OS X machine to test this on, though.

    https://bugzilla.gnome.org/show_bug.cgi?id=738338

 gdk/quartz/gdkwindow-quartz.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4bd787f2afe14233e183fcfac7103cf9597ca50a
Author: John Ralls <jralls@ceridwen.us>
Date:   Wed Dec 24 12:50:57 2014 -0800

    Prevent double-free after 8b5d30d43.

 modules/input/imquartz.c | 3 ---
 1 file changed, 3 deletions(-)

commit 7f28077b5af6bfd5d54447a0f10c552258b9b934
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Dec 1 14:25:23 2014 +0100

    scrolledwindow: Enable "hover" mode in scrollbars after a timeout

    This way transient mouse movements over scrollbars don't cause
    flickering,
    and more spaced movements have it enabled shortly.

 gtk/gtkscrolledwindow.c | 71
 +++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 57 insertions(+), 14 deletions(-)

commit d2b2b34ae5900d94b650f9ed657d09e3915100f3
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Dec 1 13:59:22 2014 +0100

    scrolledwindow: improve v/hscrollbar proximity detection

    Only horizontal coordinates are checked for the vertical scrollbar,
    and
    vice versa.

 gtk/gtkscrolledwindow.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 8b85db08e55e4a34829129f74946497bc769d647
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Dec 1 13:37:18 2014 +0100

    scrolledwindow: fade out scrollbars on leave notify

 gtk/gtkscrolledwindow.c | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit fdf367e8689cb886fbff784349ce7ceaddc99909
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Dec 1 13:23:57 2014 +0100

    scrolledwindow: make it a windowed widget again

    This is so we can detect crossing events on the scrolledwindow widget,
    which can be useful for toggling certain behaviors or not depending on
    whether the mouse is on the widget.

 gtk/gtkscrolledwindow.c | 50
 +++++++++++++++++++++++++++++++++++++------------
 1 file changed, 38 insertions(+), 12 deletions(-)

commit 3bcf5e286328270f22c4a1e969b2a37387687f31
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Nov 29 16:53:05 2014 +0100

    scrolledwindow: Show scrollbars upon captured motion events

    On mice, scrollbars are always triggered temporarily. On proximity
    to an
    scrollbar, it will be switched to full-width.

 gtk/gtkscrolledwindow.c | 168
 +++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 129 insertions(+), 39 deletions(-)

commit 2c6ac1fa3e7098f0a7ec379ef615e903386bb5ed
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Wed Dec 24 21:59:49 2014 +0800

    popover: Add a missing #ifdef

 gtk/gtkpopover.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d216d89d6f1328d06396b8a4fe1fb42baf3e666c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Dec 23 21:49:21 2014 -0500

    GtkCalendar: Slightly change overflow behaviour

    If the first of the month was falling on a Sunday, we would not
    render any days of the previous month, and instead show two weeks
    of the next month at the bottom. Improve this by showing one week
    of each.

    https://bugzilla.gnome.org/show_bug.cgi?id=301835

 gtk/gtkcalendar.c | 19 +++++++++----------
 1 file changed, 9 insertions(+), 10 deletions(-)

commit 7b9065c2eea5332ec69285ccdc52106a27e25111
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Dec 23 21:47:50 2014 -0500

    Avoid a crash in testcalendar

    When changing between months, we can get into a situation like
    'February 30", which GDate doesn't accept. Don't crash in that
    case.

 tests/testcalendar.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 31f502a9ae816fb692716be6b9c68eaa8ee869d3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Dec 23 21:11:00 2014 -0500

    css: Handle font-size changes properly

    Changing font size does not cause widgets to update their size
    properly anymore, since we forgot an invalidation flag. The
    problem can be observed e.g. by running gtk3-demo and calling

    gsettings set org.gnome.desktop.interface font-name "Cantarell 22"

 gtk/gtkcssstylepropertyimpl.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c763e734978645c825a41a5a0725a1aea903e6ef
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Dec 23 20:36:30 2014 -0500

    Adwaita: Bring back 'other month' coloring

    The days that are not in the current month used to be rendered
    in a ligher color. This was lost at some point. Bring it back.

 gtk/theme/Adwaita/_common.scss           |   2 +
 gtk/theme/Adwaita/gtk-contained-dark.css | 205
 +++++++++----------------------
 gtk/theme/Adwaita/gtk-contained.css      | 205
 +++++++++----------------------
 3 files changed, 124 insertions(+), 288 deletions(-)

commit 6ae93f5c46096df452ffdcc966573026a4fd41b8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Dec 23 20:28:49 2014 -0500

    GtkCalendar: Use GDateTime for calculations

    Instead of old copy-paste code, use GDateTime to determine week
    numbers and days of week.

 gtk/gtkcalendar.c | 129
 ++++++++++++++----------------------------------------
 1 file changed, 32 insertions(+), 97 deletions(-)

commit a7cf67f201793bde750a59e273ba4f88898d8271
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Dec 23 18:37:28 2014 -0500

    Formatting fixes

 gtk/gtkappchooserbutton.c | 81
 ++++++++++++++++++++++-------------------------
 1 file changed, 37 insertions(+), 44 deletions(-)

commit 79ada68f8cf925adc7014328c2416f70396b02ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Dec 23 00:20:11 2014 -0500

    Formatting fixes

 gtk/gtkaboutdialog.c | 64
 ++++++++++++++++------------------------------------
 1 file changed, 19 insertions(+), 45 deletions(-)

commit 0a54ad118765f55f77bdbedab3ebe1e4342fe797
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 22 17:16:30 2014 -0500

    GtkRecentManager: Formatting fixes

 gtk/gtkrecentmanager.c | 723
 +++++++++++++++++++++++++------------------------
 1 file changed, 365 insertions(+), 358 deletions(-)

commit ea9f5e22737936dc7a0fb0d6a7428364617460a8
Author: Stas Solovey <whats_up@tut.by>
Date:   Tue Dec 23 14:09:52 2014 +0000

    Updated Russian translation

 po/ru.po | 2162
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 1297 insertions(+), 865 deletions(-)

commit 96f7c11f4840d7425ab19290ea18d3904ab939a1
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Oct 20 19:10:52 2014 +0200

    window: Use subsurfaces for popovers on wayland

    On the wayland backend, set up GDK_WINDOW_SUBSURFACE windows
    for popovers. In the popover code, the popover-relative-to-parent
    calculation had to be tweaked, and it's been made to always prefer
    the given popover position, since there's no sizing limitations.

    https://bugzilla.gnome.org/show_bug.cgi?id=738891

 gtk/gtkpopover.c | 30 +++++++++++++++++++++++++++---
 gtk/gtkwindow.c  | 26 ++++++++++++++++++++++++--
 2 files changed, 51 insertions(+), 5 deletions(-)

commit 5e9bf518a33528a7f7264d16c906ed4b0f99b8fb
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Tue Dec 23 10:35:40 2014 +0000

    GtkApplicationWindow: Documentation fix

    gtk_builder_add_from_string takes more than 2 parameters.

    https://bugzilla.gnome.org/show_bug.cgi?id=741897

 gtk/gtkapplicationwindow.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3a0ced32bf22eda6a6377c36654a5a2e1bb04f18
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Thu Dec 18 14:18:50 2014 +0100

    Adwaita: Special-case server-side window decorations

    The WM already adds the window shadow in that case, so just use the
    box-shadow to add the border here.

 gtk/theme/Adwaita/_common.scss           | 4 ++++
 gtk/theme/Adwaita/gtk-contained-dark.css | 2 ++
 gtk/theme/Adwaita/gtk-contained.css      | 2 ++
 3 files changed, 8 insertions(+)

commit 5127136723f3bc5bbf5cccb5dbca39b894841ee3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 22 10:52:54 2014 -0500

    GtkNotebook: Be a bit more safe against cur_page being NULL

    https://bugzilla.gnome.org/show_bug.cgi?id=477454

 gtk/gtknotebook.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit ea36b7bfb0c01acaaf348e6b42fcb73da0f8a677
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 22 08:21:50 2014 -0500

    GtkRecentManager: Survive without a filename

    We were asserting priv->filename != NULL in various places,
    which leads to apps refusing to work when HOME is set to a
    nonexisting or nonwritable value. Since it isn't hard, just
    make GtkRecentManager survive without a filename. We won't
    save or read any recently used files in this state, but
    thats ok.
    https://bugzilla.gnome.org/show_bug.cgi?id=739038

 gtk/gtkrecentmanager.c | 137
 +++++++++++++++++++++++++------------------------
 1 file changed, 69 insertions(+), 68 deletions(-)

commit 84b0b454655024fe3319f6b48940123e794f0a16
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 22 13:08:37 2014 +0100

    Updated Spanish translation

 po-properties/es.po | 330
 ++++++++++++++++++++++++++--------------------------
 1 file changed, 164 insertions(+), 166 deletions(-)

commit cc5a586ceb4fba938901b9c21d7606570a573ad9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Dec 22 13:08:20 2014 +0100

    Updated Spanish translation

 po/es.po | 57 +++++++++++++++++++++++++++++----------------------------
 1 file changed, 29 insertions(+), 28 deletions(-)

commit 6b26664c414a44e26553c0546632c9d5fff6a7b1
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Dec 16 12:14:23 2014 -0500

    GtkMenuTracker: add hidden-when='macos-menubar'

    Provide a mechanism for hiding the "Quit", "About" and "Preferences"
    menu items from the normal places in a traditional menubar layout (in
    the File and Edit menus) when the menu is being rendered in the Mac OS
    menubar.

    These items can already be found in the application menu.

    With this feature, applications can now define a single menu to use in
    all 'traditional' scenarios.

    Use this new attribute in Bloatpad.

    https://bugzilla.gnome.org/show_bug.cgi?id=741610

 examples/bp/gtk/menus.ui         |  2 ++
 gtk/gtkapplication-quartz-menu.c |  2 ++
 gtk/gtkmenusectionbox.c          |  6 +++---
 gtk/gtkmenushell.c               |  6 +++---
 gtk/gtkmenutracker.c             | 13 ++++++++++---
 gtk/gtkmenutracker.h             |  2 ++
 gtk/gtkmenutrackeritem.c         |  8 ++++++++
 gtk/gtkmenutrackeritem.h         |  1 +
 8 files changed, 31 insertions(+), 9 deletions(-)

commit 4bc3f02d51051fd7deff1a658d40a3859bb68a42
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Dec 21 23:14:02 2014 -0500

    GtkRecentManager: Allow instantiating with gtk_init

    This apparently used to work, and it doesn't do harm to allow it.

    https://bugzilla.gnome.org/show_bug.cgi?id=705582

 gtk/gtkrecentmanager.c | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

commit 53c388b72466497348589553cc0e81d24ca5aa7a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Dec 20 22:49:09 2014 -0500

    Some formatting cleanups

 gtk/gtkwidget.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 36245b70585932f1e3a2ed0a10ce2fd8ce9c43de
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Dec 22 11:25:49 2014 +0800

    GDK-Win32: Drop Some Unused Items

    There were a bit of unused items from the GDK-Win32 work on GL
    support, so
    drop them.

 gdk/win32/gdkdisplay-win32.h   | 2 --
 gdk/win32/gdkglcontext-win32.c | 2 --
 2 files changed, 4 deletions(-)

commit ef57ac6bf1c7ed14e1891d17975afeef70e803e5
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sun Dec 21 14:51:00 2014 +0800

    reftests: Fix typo

    It causes build failure on MinGW.

    https://bugzilla.gnome.org/show_bug.cgi?id=741827

 testsuite/reftests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ef2c68462b6fd83d9e86e3db552f96c910f8cc21
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Dec 16 12:22:23 2014 -0500

    GtkMenuTracker: add missing documentation fragment

    https://bugzilla.gnome.org/show_bug.cgi?id=741610

 gtk/gtkmenutracker.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1e1c5c65d1f6abd1de306730068746b3f0438c93
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Dec 20 19:39:09 2014 -0500

    inspector: Remove an errant shadow

 gtk/inspector/data-list.ui | 1 -
 1 file changed, 1 deletion(-)

commit 2b07b6c069297abdeed1b41c91fde1d47058ce97
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Dec 20 19:24:08 2014 -0500

    inspector: Add a magnifier

    Add a magnifier that shows the selected widget up to 5 times
    enlarged.

 gtk/inspector/Makefile.inc   |  3 ++
 gtk/inspector/init.c         |  5 +++
 gtk/inspector/magnifier.c    | 80
 ++++++++++++++++++++++++++++++++++++++++++++
 gtk/inspector/magnifier.h    | 54 ++++++++++++++++++++++++++++++
 gtk/inspector/magnifier.ui.h |  0
 gtk/inspector/window.c       |  3 ++
 gtk/inspector/window.h       |  2 +-
 gtk/inspector/window.ui      |  8 +++++
 gtk/inspector/window.ui.h    |  1 +
 po/POTFILES.in               |  1 +
 10 files changed, 156 insertions(+), 1 deletion(-)

commit 52b3b4207ffb38233342fac447092b5cb3b52c26
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Dec 20 19:19:24 2014 -0500

    GtkTextView: disconnect the magifier on destroy

    This prevents warnings that would otherwise happen when
    the magifier is finalized.

 gtk/gtktextview.c | 3 +++
 1 file changed, 3 insertions(+)

commit 10d0ca0a3d5536a5c9926998e54775a8b0fd8b2c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Dec 20 19:16:46 2014 -0500

    GtkMagnifier: Add a resizing mode

    In addition to the fixed-size mode that is used by the text view,
    add a mode in which the magnifier requests enough size to render
    the entire inspected widget at the current magnification. In this
    mode, the magnifier will update its size when the size of the
    inspected widget changes. Also, make the magnifier redraw on its
    own whenever the inspected widget draws.

 gtk/gtkmagnifier.c        | 194
 +++++++++++++++++++++++++++++++++++++++++++++-
 gtk/gtkmagnifierprivate.h |   4 +
 2 files changed, 197 insertions(+), 1 deletion(-)

commit 42a6ae6c6c54ddf2f1c0836ed2e67180c0617c0a
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Dec 20 20:39:31 2014 +0100

    widget: Set the allocation via gtk_widget_set_allocation()

    There is no good reason to assign the value directly.

    Also, this fixes d23f3254b7fcef0fc57739ce5cd548742870b119
    where widgets that chained up instead of calling
    gtk_widget_set_allocation() would not draw becaues of empty clip.

 gtk/gtkwidget.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 631688cf6457332e13ffdd1f9c18f3be3bc584c2
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Dec 19 19:16:47 2014 +0100

    csstransform: Fix comparisons crashing

    Transforms of different type are not equal.

 gtk/gtkcsstransformvalue.c | 3 +++
 1 file changed, 3 insertions(+)

commit d23f3254b7fcef0fc57739ce5cd548742870b119
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Dec 19 19:05:12 2014 +0100

    widget: Handle setting clip differently

    (1) Get rid of supports_clip flag. All widgets (implicitly) support
    clip.

    (2) Don't reset the clip to { 0, 0, 0, 0 } before the "size-allocate"
    signal.

    (3) Make gtk_widget_set_allocation() set the clip (to the allocation).
    This ensures that eveyr widget has a clip set.
    Note: It overrides previous calls to gtk_widget_set_clip(), while in
    3.14 this didn't happen.

    (4) As the clip is set by gtk_widget_set_allocation() now, don't set
    it after the "size-allocate" signal anymore.

    This fixes calls to gtk_widget_queue_draw() from inside the
    size_allocate vfunc.

 gtk/gtkwidget.c | 55
 ++++++++++---------------------------------------------
 1 file changed, 10 insertions(+), 45 deletions(-)

commit f0a40b1a2365e3357803342c29b89d215a1efe79
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Dec 16 19:10:53 2014 +0100

    widget-factory: Don't pulse dead widgets

    Causes crashes at cleanup and we don't want those.

    Also, code gets simpler.

 demos/widget-factory/widget-factory.c | 25 ++++++++++---------------
 1 file changed, 10 insertions(+), 15 deletions(-)

commit 1dbc6d91f08e28c90bd39ff8a6137b9480c18510
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Dec 19 12:27:31 2014 -0500

    Don't initialize GL if it has been disabled

    We've observed hangs of mutter when it initializes GTK+, which
    are caused by initializing GL, which in turn makes xwayland
    call back into mutter. With this change, mutter should just
    disable GL support in GDK, and things will work.

 gdk/x11/gdkglcontext-x11.c | 3 +++
 1 file changed, 3 insertions(+)

commit ac5ffd847b1a7e744d7922359c1639b795c28908
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Dec 18 23:20:43 2014 -0500

    GtkApplication: Try to cope with ssh situations better

    Override the gtk-shell-shows-app-menu and gtk-shell-shows-menubar
    settings to FALSE, if we can detect that we are not on the same
    session bus as the xsettings provider that we got these settings
    from.

    We determine this by comparing the bus ID of 'our' session
    bus with the one reported in the Gtk/SessionBusId xsetting.
    If they are different, then it very likely that we are in an ssh
    situation where we see the forwarded X display, but not the
    session bus. The D-Bus based menu exporting will not work
    in this situation.

    https://bugzilla.gnome.org/show_bug.cgi?id=671802

 gtk/gtkapplication-dbus.c | 59
 +++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 54 insertions(+), 5 deletions(-)

commit 57d034ce9f16c883f2f91dd2cc3b3070a8e665e2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Dec 18 23:19:19 2014 -0500

    Add an XSetting for the session bus ID

    This will allow us to identify situations where we are not on
    the same session bus as the xsettings provider.

    https://bugzilla.gnome.org/show_bug.cgi?id=671802

 gdk/x11/gdksettings.c | 1 +
 1 file changed, 1 insertion(+)

commit 583d612c9fb95b7d66f214f99367d9400ad07b82
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Thu Dec 18 22:49:08 2014 +0000

    Updated German translation

 po-properties/de.po | 897
 +++++++++++++++++++++++++++++++---------------------
 1 file changed, 545 insertions(+), 352 deletions(-)

commit 51e1e3b416862774ee87151326fd3bb8e436da4d
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Nov 21 15:21:49 2014 +0100

    textview: make magnifier size dependent on text size

    The magnifier is now set enough height to show the line being
    currently
    manipulated, which makes it just big enough to show the layout
    height at
    that size and magnification.

 gtk/gtktextview.c | 30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)

commit 97137da6e5f5424e4891b07933b017e4e56f6b25
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Nov 20 14:19:39 2014 +0100

    Adwaita: Make text handles a bit larger

    This improves visibility, and interaction, as the invisible rect
    around is
    dependent on the visible handle size

 gtk/theme/Adwaita/_common.scss           | 3 +++
 gtk/theme/Adwaita/gtk-contained-dark.css | 2 ++
 gtk/theme/Adwaita/gtk-contained.css      | 2 ++
 3 files changed, 7 insertions(+)

commit 025340bfc4016edaf19def49ad424b1cb18d4520
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Nov 20 14:12:41 2014 +0100

    textview: Implement friendlier touch selection

    - It is not possible anymore to trigger text DnD through touch,
    pressing
      and dragging from within the selection will instead extend it. Text
      shrinking is still available through the handles
    - The selection mode for touch is per-word, char-level manipulation is
      still available through the handles.
    - Tapping within the selection will bring in text handles, and toggle
      text selection popover.

 gtk/gtktextview.c | 95
 +++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 64 insertions(+), 31 deletions(-)

commit 8c091d1484c7b269b302a03212df37a785aae55e
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Nov 20 14:03:07 2014 +0100

    textview: Make "extend selection" only extend

    This mode could also shrink the selection, plus the starting point
    would
    seem somewhat arbitrary (actually dependent on the dragging
    direction of
    the last selection).

    Made this mode more consistent by only allowing it to extend the
    selection,
    only in one direction for each operation, and so it keeps the current
    selection as a minimum.

 gtk/gtktextview.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit a2e71203c2eb3cf5cfaa881680009542b291a6e0
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Nov 20 13:57:46 2014 +0100

    textview: Pass a boolean telling whether a selection drag should
    extend

    Instead of passing a GdkEvent and let the function figure out
    whether the
    selection should be extended, let that to the caller and just pass a
    boolean here.

 gtk/gtktextview.c | 28 +++++++++++++++-------------
 1 file changed, 15 insertions(+), 13 deletions(-)

commit ccdebb6aa0203a7f6775233741cccd499f03034b
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Nov 20 13:52:13 2014 +0100

    textview: Show magnifier on top of current line

    The X coordinate is dependent on touch position, but Y is stepped.

 gtk/gtktextview.c | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit 79f8db1c0d5dd668c98e76a9279b06bcc0d534b8
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Nov 20 13:46:30 2014 +0100

    texthandle: Use active state when handles are being dragged

    The active state flags is set on both handles when this happens.

 gtk/gtktexthandle.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit e0b9330880634948c87650785f979b0cac106b7e
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Nov 20 13:41:24 2014 +0100

    texthandle: Use the handle widget style context for rendering

    Using the parent widget context is a leftover of the pre-popover
    implementation, which used GdkWindows directly. This will make
    the context
    reflect widget state, at the expense of changing the selector paths
    that used to match the handles.

 gtk/gtktexthandle.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit dca2f4386dbbefe842efd4bcab5fcd0b661b72dd
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Nov 20 13:25:40 2014 +0100

    gesturesingle: check for the sequence being handled, not just
    the event

    Checking the return value was valid for most gestures, but
    GtkGestureLongPress, where the first press triggers internally
    an action,
    but does nothing for the sequence to be claimed/denied, FALSE was
    eventually
    returned, and the button/sequence functions would be incorrect when
    ::pressed is emitted.

    So check that the sequence is being handled by the gesture, this
    is more
    desirable than the return value as it's independent of sequence state,
    and still will be FALSE for the cases we want to catch here.

 gtk/gtkgesturesingle.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ce8dc5186127ae175610366671a30d69625ebaa9
Author: Sebastien Lafargue <slafargue@gnome.org>
Date:   Thu Dec 18 21:00:45 2014 +0100

    gtktextlayout: fix to quiet a warning

    Gcc complains about a possible use of a not initialised
    widget ref ( which can't happen in reality )

    https://bugzilla.gnome.org/show_bug.cgi?id=741702

 gtk/gtktextlayout.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 73c8f3092820c51058f188313c3249685be42a38
Author: Sebastien Lafargue <slafargue@gnome.org>
Date:   Thu Dec 18 20:52:58 2014 +0100

    gtktextlayout: fix for right margin with RTL text

    When a RTL paragraph is not set to wrap, the right margin is not
    respected
    because of the margins counted twice so we replace
    display->width by PIXEL_BOUND (extents.width), the same quantity
    without the margins.

    https://bugzilla.gnome.org/show_bug.cgi?id=741702

 gtk/gtktextlayout.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit ed1fb8d2afa1d7c3bbdd9284a0db09a44bc48327
Author: Erick Pérez Castellanos <erick.red@gmail.com>
Date:   Sat Dec 13 10:36:15 2014 -0500

    Minor documentation fix

 gtk/gtkcssprovider.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 779faafa22af99614bb0f6a5526b4d901a7b095f
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Dec 18 16:26:29 2014 +0100

    printing: Translate context to correct position

    Use correct margins of given page setup when translating context
    to imageable area.

    https://bugzilla.gnome.org/show_bug.cgi?id=671895

 gtk/gtkprintcontext.c | 28 +++++++++++++++++++++++-----
 1 file changed, 23 insertions(+), 5 deletions(-)

commit 9ac9769f360df4d63b4f6e7cbb572092e263c5ea
Author: Marek Kasik <mkasik@redhat.com>
Date:   Thu Dec 18 16:25:50 2014 +0100

    printing: Return correct width and height of page setup

    Use correct margins when computing width and height returned by
    gtk_page_setup_get_page_width() and
    gtk_page_setup_get_page_height().

    https://bugzilla.gnome.org/show_bug.cgi?id=671895

 gtk/gtkpagesetup.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 307ce2f9bd617370ce8a3a62e0b73051de97cbe4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 18 13:21:10 2014 +0100

    Updated Spanish translation

 po/es.po | 36 +++++++++++++++++++++++-------------
 1 file changed, 23 insertions(+), 13 deletions(-)

commit e21786138a3ca3c4c98b4cfafcb660e71ad08406
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Dec 18 13:28:44 2014 +0200

    Updated Hebrew translation

 po/he.po | 96
 ++++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 57 insertions(+), 39 deletions(-)

commit 14e5ca584b1be8f6b2a91a8f4e03d7a8a1e1d019
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Dec 18 15:31:58 2014 +0800

    Visual Studio Builds: Update Header "Installation"

    The list of headers became a bit out-of-date as development went
    on, so
    make it up-to-date.

 build/win32/vs10/gtk-install.props  | 4 +++-
 build/win32/vs9/gtk-install.vsprops | 4 +++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit fe82dc5fb294c03c2235be0f3105107e89eafbf5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Dec 17 22:56:30 2014 -0500

    GtkMenuButton: Don't leak popovers

    Detach the previous popover from the toplevel when a new one
    is set. This should fix

    https://bugzilla.gnome.org/show_bug.cgi?id=741652

 gtk/gtkmenubutton.c | 2 ++
 1 file changed, 2 insertions(+)

commit fdc8c6103a2e11fa4e3ea292728190684932406b
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Wed Dec 17 19:42:11 2014 +0100

    Adwaita: another stab at the undershoot

 gtk/theme/Adwaita/_common.scss           |  92 +++++++++---------
 gtk/theme/Adwaita/_drawing.scss          |  44 ++++++++-
 gtk/theme/Adwaita/gtk-contained-dark.css | 162
 ++++++++++++++++---------------
 gtk/theme/Adwaita/gtk-contained.css      | 162
 ++++++++++++++++---------------
 4 files changed, 250 insertions(+), 210 deletions(-)

commit bf383acd5de9defaa0bb04a96d6e8a705090c6ec
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Wed Dec 17 18:29:02 2014 +0100

    Adwaita: fix treeview progressbar issue

    See https://bugzilla.gnome.org/show_bug.cgi?id=741569

 gtk/theme/Adwaita/_common.scss           |  38 +--
 gtk/theme/Adwaita/gtk-contained-dark.css | 543
 ++++++++++++++++++-------------
 gtk/theme/Adwaita/gtk-contained.css      | 538
 +++++++++++++++++-------------
 3 files changed, 637 insertions(+), 482 deletions(-)

commit b44df22895c794733e15d19a977bc9c2d5a2bd78
Author: Lars Uebernickel <lars.uebernickel@canonical.com>
Date:   Thu Dec 11 17:49:02 2014 +0100

    Menu items: force loading 16x16 icons

    GtkIconTheme doesn't scale icons beyond the size specified in
    the theme
    anymore. This can result in arbitrarily large menu items when a theme
    only provides large icons.

    Force icons to always be 16x16 to ensure that menu items always
    have the
    same height.

    https://bugzilla.gnome.org/show_bug.cgi?id=741259

 gtk/deprecated/gtkimagemenuitem.c | 1 +
 gtk/gtkmodelmenuitem.c            | 1 +
 2 files changed, 2 insertions(+)

commit 9032e0884328e3524c4203e12450dc79aea797e3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Dec 17 13:40:58 2014 +0100

    Updated POTFILES.in

 po-properties/POTFILES.in | 1 +
 po/POTFILES.in            | 1 +
 2 files changed, 2 insertions(+)

commit 3eb18379d55b20fdb7f8bbb706e2067a886179a3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Dec 17 12:38:51 2014 +0100

    Updated Spanish translation

 po-properties/es.po | 1141
 ++++++++++++++++++++++++++-------------------------
 1 file changed, 589 insertions(+), 552 deletions(-)

commit 8e86d820f29795a9c084496719d258f3a13002a4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Dec 17 12:37:49 2014 +0100

    Updated Spanish translation

 po/es.po | 708
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 354 insertions(+), 354 deletions(-)

commit 020258f85a4add53e9f04fce39f1ba3e89f9abae
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Mon Dec 15 14:53:29 2014 +0100

    textview: add extend-selection signal

    To be able to customize the double-click and triple-click behaviors,
    to
    provide custom selection boundaries.

    https://bugzilla.gnome.org/show_bug.cgi?id=111503

 docs/reference/gtk/gtk3-sections.txt |   1 +
 gtk/gtktextview.c                    | 135
 ++++++++++++++++++++++++++++-------
 gtk/gtktextview.h                    |  24 ++++++-
 3 files changed, 134 insertions(+), 26 deletions(-)

commit 7ff3c6df80185e165e3bf6aa31bd014d1f8bf224
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 15 22:19:26 2014 -0500

    Fix distcheck differently

    The previous fix fixed distcheck, but broke distclean.

 docs/tools/Makefile.am | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 22dfa49300a78550b2622356842fe51ba60cb081
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Dec 15 22:19:12 2014 -0500

    More release notes

 README.in | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 6f3385aa602f9c597b7f73c4333bd8e62055f190
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Dec 17 16:24:54 2014 +0800

    MSVC Builds: Build and "Install" GDK-Win32 GL Items

    Since the support for GL support in the GDK Windows backend has
    landed in
    master, we need to build it in the Visual Studio builds.  Update the
    projects for that and "install" the public header that was added.

 build/win32/vs10/gdk-win32.vcxproj         | 1 +
 build/win32/vs10/gdk-win32.vcxproj.filters | 1 +
 build/win32/vs10/gtk-install.props         | 1 +
